/*
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 * 
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 * 
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 * 
 * Contributor(s):
 * 
 * $Id: AirSentPresentationException.java,v 1.1 2004/08/16 09:33:16 slobodan Exp $
 */

package com.lutris.airsent.presentation;

import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.util.ChainedException;

/**
 * AirSent presentation layer exception
 * 
 * @author
 * @version
 */
public class AirSentPresentationException extends HttpPresentationException {

    /**
     * Public constructor to initialize an exception with a user message
     * and an exception chain to follow
     */
    public AirSentPresentationException(String msg, Exception ex) {
	super(msg, ex);
    }

}

