/*
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 * 
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 * 
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 * 
 * Contributor(s):
 * 
 * $Id: DetailsPage.java,v 1.1 2004/08/16 09:33:18 slobodan Exp $
 */

package com.lutris.airsent.presentation.messenger;

import org.w3c.dom.*;
import org.enhydra.xml.xmlc.XMLObject;

/**
 * Interface for DetailsPage.
 * 
 * 
 * @author
 * @version %I%, %G%
 */
public interface DetailsPage extends XMLObject {

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * 
     */
    public Element getTagErrorText();

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * 
     */
    public Element getTagName();

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * 
     */
    public Element getTagDirections();

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * 
     */
    public Element getTagAddress();

    /**
     * Method declaration
     * 
     * 
     * @return
     * 
     * 
     */
    public Element getTagComplete();

     /**
     *Sets the error text.
     *
     */
    public void setTextErrorText(String name);
    

    /**
     *Sets the name text.
     *
     */
    public void setTextName(String name);

     /**
     *Sets the address text.
     *
     */
    public void setTextAddress(String address);
    

     /**
     *Sets the directions text.
     *
     */
    public void setTextDirections(String name);
    
    
}

