/*
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 * 
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 * 
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 * 
 * Contributor(s):
 * 
 * $Id: AirSentException.java,v 1.1 2004/08/16 09:33:18 slobodan Exp $
 */

package com.lutris.airsent.spec;

import com.lutris.util.ChainedException;

/**
 * Main exception class for AirSent.
 */
public class AirSentException 
    extends ChainedException {

    /**
     * Public constructor to initialize an exception with a user message
     * and the exception that spawned it
     */
    public AirSentException(String msg, Throwable ex) {
	super(msg, ex);
    }

    public AirSentException(String msg) {
	super(msg);
    }

    public AirSentException(Throwable ex) {
	super(ex);
    }
}


