/*
 *  airSent
 *
 *  Enhydra super-servlet specification object
 *  
 */
package com.lutris.airsent.spec;


public class HomeManagerFactory {
    
    /**
     * Constructor can't be used.
     */
    private HomeManagerFactory() {
    }

    /**
     * Create a HomeManager as state object/value object/data transfer object
     */
    public static HomeManager getHomeManager(String fullClassName) {
        
        HomeManager result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (HomeManager)objectClass.newInstance();
                            
       } catch (Exception ex) {
       	
            System.out.println("Error on creating the object" + ex);
       }

        return result;
    }
    
     
    
    
    
    
    
    
}