/*
 * put your module comment here
 * formatted with JxBeauty (c) johann.langhofer@nextra.at
 */


package  org.hamletsoft.enhydra.cactus.presentation;

import  org.apache.cactus.server.runner.*;
import  com.lutris.appserver.server.httpPresentation.HttpPresentation;
import  com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import  com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import  org.hamletsoft.enhydra.cactus.spec.*;

import  javax.servlet.ServletException;
import  javax.servlet.http.HttpServlet;
import  javax.servlet.http.HttpServletRequest;
import  javax.servlet.http.HttpServletResponse;
import  javax.servlet.ServletException;
import  java.io.IOException;


public class EnhydraTestRunner extends ServletTestRunner
    implements HttpPresentation {

  public void run (HttpPresentationComms comms) throws HttpPresentationException,
      IOException {
    try {
      HttpServletRequest request = comms.request.getHttpServletRequest();
      HttpServletResponse response = comms.response.getHttpServletResponse();
      doGet(request, response);
    } catch (Exception e) {
      throw  new HttpPresentationException(e.getMessage(), e);
    }
  }
}



