/*
 *  cactus
 *
 *  Enhydra super-servlet presentation object
 *
 * 2001 Ryuji "The Hamlet" Hattori. all right reserved
 *
 *
 * formatted with JxBeauty (c) johann.langhofer@nextra.at
 */


package  org.hamletsoft.enhydra.cactus.presentation;

// Enhydra SuperServlet imports
import  com.lutris.appserver.server.httpPresentation.HttpPresentation;
import  com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import  com.lutris.appserver.server.httpPresentation.HttpPresentationException;
// Standard imports
import  java.io.IOException;
import  java.util.Date;
import  java.text.DateFormat;


public class WelcomePresentation
    implements HttpPresentation {

  public void run (HttpPresentationComms comms) throws HttpPresentationException,
      IOException {
    WelcomeHTML welcome;
    String now;
    welcome = (WelcomeHTML)comms.xmlcFactory.create(WelcomeHTML.class);
    now = DateFormat.getTimeInstance(DateFormat.MEDIUM).format(new Date());
    welcome.getElementTime().getFirstChild().setNodeValue(now);
    comms.response.writeDOM(welcome);
  }
}



