/*
 *  CactusForEnhydra
 *
 *  Enhydra super-servlet specification object
 *  
 */
package  org.hamletsoft.enhydra.cactus.spec;


public class EnhydraAppTestControllerFactory {
    
    /**
     * Constructor can't be used.
     */
    private EnhydraAppTestControllerFactory() {
    }

    /**
     * Create a EnhydraAppTestController as state object/value object/data transfer object
     */
    public static EnhydraAppTestController getEnhydraAppTestController(String fullClassName) {
        
        EnhydraAppTestController result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (EnhydraAppTestController)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}