package org.enhydra.encodingsample;

public class EncodingSampleSessionData implements java.io.Serializable {
	/**
     * Hash key to save session data for the DiscRack app in the Session
     */
    public static final String SESSION_KEY = "EncodingSampleSessionData";
    
    protected String encoding = null;
    protected String fileEncoding = null;
    
    public EncodingSampleSessionData (){
    	this.encoding = "UTF-8";
    	this.fileEncoding = "UTF-8";
    }
    
    /**
     * Sets the encoding parameter
     *
     * @param encoding the parameter, request and response encoding
     */
    public void setEncoding(String encoding) {
        if (encoding!=null&&!"".equals(encoding)&&!"null".equalsIgnoreCase(encoding))
        	this.encoding = encoding;
    }
    
    /**
     * Gets the encoding parameter
     *
     * @return encoding
     */
    public String getEncoding() {
        return this.encoding;
    }    
    
    /**
     * Method to remove the current user from the session
     */
    public void setFileEncoding(String fileEncoding) {
        if (fileEncoding!=null&&!"".equals(fileEncoding)&&!"null".equalsIgnoreCase(fileEncoding))
        	this.fileEncoding = fileEncoding;
    }

    public String getFileEncoding() {
        return this.fileEncoding;
    }
}
