/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package golfShop.business;

import com.lutris.appserver.server.*;
import golfShop.data.user.UserDOImpl;
import golfShop.data.item.*;
import golfShop.spec.Initialize;

public class InitializeImpl implements Initialize,java.io.Serializable {


public void storages(String userStoreOption,String fileName,String storeOption,String dir) throws ApplicationException{	
   
   //Initialize the user , category and item storages
       UserDOImpl.InitializeStorageOption(userStoreOption,fileName);
       CategoryDO.InitializeStorageOption(storeOption,dir); 
       ItemDO.InitializeStorageOption(storeOption,dir);  
 }
}	
