/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec;


public class InitializeFactory {

    /**
     * Constructor can't be used.
     */
    private InitializeFactory() {
    }

    /**
     * Create a Initialize as state object/value object/data transfer object
     */
    public static Initialize getInitialize(String fullClassName) {

        Initialize result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (Initialize)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}