/*
 *  GolfShop
 *
 *  Enhydra super-servlet specification object
 *
 */

package golfShop.spec.cart;

import java.util.Enumeration;

public interface Cart {

public void addItem(long ObjectId);
public void removeItem(long ObjectId);

public void setQuantity(long ObjectId, int quantity);
public int getQuantity(long ObjectId);
public double getTotal();
public Enumeration getContents();
public boolean isEmpty();
public void reset();
public boolean canUndo ();
public boolean canRedo ();
public void doneModifying ();
public void undo ();
public void redo ();


}
