/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec.cart;


public class CartFactory {

    /**
     * Constructor can't be used.
     */
    private CartFactory() {
    }

    /**
     * Create a Cart as state object/value object/data transfer object
     */
    public static Cart getCart(String fullClassName) {

        Cart result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (Cart)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}