/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec.cart;


public class CartItemFactory {

    /**
     * Constructor can't be used.
     */
    private CartItemFactory() {
    }

    /**
     * Create a CartItem as state object/value object/data transfer object
     */
    public static CartItem getCartItem(String fullClassName) {

        CartItem result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (CartItem)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}