/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec.cart;


public class CartItemPairFactory {

    /**
     * Constructor can't be used.
     */
    private CartItemPairFactory() {
    }

    /**
     * Create a CartItemPair as state object/value object/data transfer object
     */
    public static CartItemPair getCartItemPair(String fullClassName) {

        CartItemPair result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (CartItemPair)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}