/*
 *  GolfShop
 *
 *  Enhydra super-servlet specification object
 *
 */

package golfShop.spec.user;


import com.lutris.appserver.server.user.*;
import com.lutris.appserver.server.session.*;
import golfShop.spec.LoginException;
public interface GolfShopUserManager {
	
	
 public final int AUTH_OK = 0;
 public final int AUTH_FAILED = 1;
 public  final int UNKNOWN_ERROR = 2;
 public final int IO_ERROR = 3;
 public final int PERMISSION_DENIED = 4;
 public final int MULTIPLE_LOGIN = 5;
 public final int ACCOUNT_DISABLED = 6;
 public  final int PASSWORD_TYPO = 7;
 public  final int PASSWORD_WEAK = 8;
 public final int UNKNOWN_HOST = 9;
 public  final int USERNAME_ALREADY_EXISTS = 10;

	
	

public void login(String username, String password, Session session)
                        throws LoginException, SessionException;
public void logout(Session session) throws SessionException ;

public void createAccount(String username,
                              String password,
                              String address1,
                              String address2,
                              String city,
                              String state,
                              String zip,
                              String creditCard,
                              String email,
                              Session session) throws LoginException, SessionException;
public User getUser(String username);
}