/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec.user;


public class GolfShopUserManagerFactory {

    /**
     * Constructor can't be used.
     */
    private GolfShopUserManagerFactory() {
    }

    /**
     * Create a GolfShopUserManager as state object/value object/data transfer object
     */
    public static GolfShopUserManager getGolfShopUserManager(String fullClassName) {

        GolfShopUserManager result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (GolfShopUserManager)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}