/*
 *  SampleVoiceXML
 *
 *  Enhydra super-servlet presentation object
 *
 * @Copyright 2000 Lutris Technologies, Inc. All Rights Reserved
 *
 */

package simplevxml.presentation;

import simplevxml.*;
// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.appserver.server.httpPresentation.HttpPresentationOutputStream;
import com.lutris.appserver.server.httpPresentation.HttpPresentationResponse;

// Standard imports
import java.io.IOException;
import java.util.Date;
import java.text.DateFormat;

public class WelcomePresentation implements HttpPresentation {


    public void run(HttpPresentationComms comms)
        throws HttpPresentationException, IOException {

        WelcomeVoiceXML welcome;
        String now;
        welcome = (WelcomeVoiceXML)comms.xmlcFactory.create(WelcomeVoiceXML.class);
        now = DateFormat.getTimeInstance(DateFormat.SHORT).format(new Date());
        welcome.setTextTime(now);
        comms.response.writeDOM(welcome);
        
    }

}
