
/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ErrorHandler.java,v 1.1 2004/08/16 10:50:22 slobodan Exp $
 */

package com.lutris.appserver.welcome.presentation;

//dr2806 import com.lutris.xml.xmlc.*;
//dr2806 import com.lutris.xml.xmlc.html.*;
import com.lutris.appserver.server.httpPresentation.*;
import java.io.*;
import org.w3c.dom.*;
import org.w3c.dom.html.*;

/**
 * Trivial error handler.
 */
public class ErrorHandler implements HttpPresentation {
    /**
     * Entry.
     */
    public void run(HttpPresentationComms comms)
        throws HttpPresentationException {
        ErrorHandlerHTML htmlObj
            = (ErrorHandlerHTML)comms.xmlcFactory.create(ErrorHandlerHTML.class);
        comms.response.writeHTML(htmlObj);
    }   
}
