package org.enhydra.wlh.business;

import java.lang.reflect.Constructor;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import org.enhydra.shark.Shark;
import org.enhydra.shark.api.client.wfmc.wapi.WMConnectInfo;
import org.enhydra.shark.api.client.wfmodel.WfActivity;
import org.enhydra.shark.api.client.wfmodel.WfProcess;
import org.enhydra.shark.api.client.wfmodel.WfProcessMgr;
import org.enhydra.shark.api.client.wfservice.SharkConnection;
import org.enhydra.shark.api.common.SharkConstants;
import org.enhydra.wlh.spec.User;

import sun.rmi.runtime.Log;

public class WHLTools {
	
	
	
	public static void completeActivity(String procId,String actId,User user) throws Exception{
		try{
		
		SharkConnection sc = Shark.getInstance().getSharkConnection();
		WMConnectInfo wmci = new WMConnectInfo(user.getUsername(), user.getPassword(), "", "");
		sc.connect(wmci);
		WfActivity act=sc.getActivity(procId,actId);
		if (act.state().equals(SharkConstants.STATE_OPEN_NOT_RUNNING_NOT_STARTED)) {
			act.change_state(SharkConstants.STATE_OPEN_RUNNING);
		}
		if(!act.state().equals(SharkConstants.STATE_CLOSED_COMPLETED))
		act.complete();
		sc.disconnect();
		}catch(Exception ex){
			
			ex.printStackTrace();
			throw ex;
		}
		
		
	}
	
	public static void setResult(Map map,User user,String procId,String actId) throws Exception{
		try{
		
		SharkConnection sc = Shark.getInstance().getSharkConnection();
		WMConnectInfo wmci = new WMConnectInfo(user.getUsername(), user.getPassword(), "", "");
		sc.connect(wmci);
		WfActivity act=sc.getActivity(procId,actId);
		WfProcess pro=act.container();
		Map contex=prepareContext(map,pro);
		
		
		
		act.set_result(contex);
		sc.disconnect();
		}catch(Exception ex){
			
			ex.printStackTrace();
			throw ex;
		}
		
		
	}
	
	private static Map prepareContext(Map map, WfProcess pro) throws Exception {
		try {
			WfProcessMgr mgr = pro.manager();
			Map cs = mgr.context_signature();

			Map contex = new HashMap();

			Iterator iter = map.keySet().iterator();

			String key = null;
			String className = null;
			String value = null;
			while (iter.hasNext()) {

				key = (String) iter.next();

				value = (String) map.get(key);
				className = (String) cs.get(key);
				Object res=null;

				try {
					Constructor constr = Class.forName(className).getConstructor(new Class[] { String.class });

					res = (Object) constr.newInstance(new Object[] { value });

					
				} catch (Exception ex) {
                continue;
				}
				contex.put(key, res);
			}

			return contex;
		} catch (Exception ex) {
			throw ex;
		}

	}
	
	public static void acceptedActivity(String procId,String actId,String accepted,User user) throws Exception{
		try{
		
		SharkConnection sc = Shark.getInstance().getSharkConnection();
		WMConnectInfo wmci = new WMConnectInfo(user.getUsername(), user.getPassword(), "", "");
		sc.connect(wmci);
		WfActivity act=sc.getActivity(procId,actId);
		
		   if(accepted.equals("false") && !act.state().equals(SharkConstants.STATE_OPEN_RUNNING))
			act.change_state(SharkConstants.STATE_OPEN_RUNNING);
		   else if(!accepted.equals("false")&& !act.state().equals(SharkConstants.STATE_OPEN_NOT_RUNNING_NOT_STARTED))
			   act.change_state(SharkConstants.STATE_OPEN_NOT_RUNNING_NOT_STARTED);
	  sc.disconnect();
		}catch(Exception ex){
			
			ex.printStackTrace();
			throw ex;
		}
		
		
	}

}
