<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tws="http://www.together.at/together/prod/tws" version="1.0" xmlns:prop="java.util.Properties">
                
                   
                 
<xsl:output method="html"/>
 
 
<xsl:template match="tws:TWSInfo">
    <div>
         <xsl:apply-templates select="tws:AssignmentInfos"/> 
         <xsl:apply-templates select="tws:ActivityInfos"/> 
   </div>
</xsl:template>       
<xsl:template match="tws:AssignmentInfos">
<form  id="mainForm" name="mainForm" method="post" action="Blank.html">

<input type="hidden" name="pro_id"/>
<input type="hidden" name="act_id"/>
<input type="hidden" name="event"/>
<input type="hidden" name="accepted"/>

 <table class="line_style" width="75%" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#96171A">
  	 	<tr>			
    		<td width="10%" class="title_style" background="media/bg.png" >
    	     <div align="left"><img src="media/enhydra200_200.gif"/></div>
	      </td>
  	  </tr>
    	<tr >
    		<td  colspan="2" align="right"  class="line_style" height="50" >
    		<img src="media/blank.gif"  alt="" width="1"/></td>
   		</tr>
    	<tr>
    		<td  colspan="2" class="title_style" height="20" ><img src="media/blank.gif"  alt="" width="1"/></td>
   		</tr>
  		<tr>
    		<td colspan="2">
    		<xsl:choose>
           <xsl:when test="tws:AssignmentInfo">           
                  <table width="100%" hight="100%" border="1" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
      							<tr>
        							<td colspan="5" align="center" class="main_header_text">WORKLIST</td>
        				 		</tr>
      							<tr>
      						  	<td hight="1" class="main_header_text"><img src="media/blank.gif"  alt="" width="1"/></td>
        							<td class="main_header_text"><div align="center">Process Name </div></td>
        							<td class="main_header_text"><div align="center">Activity Name </div></td>
        							<td class="main_header_text"><div align="center">Priority </div></td>
        							<td class="main_header_text"><div align="center">Actions</div></td>
     						  	</tr>
     						  	
     									<xsl:for-each select="tws:AssignmentInfo"> 
     						 				<xsl:variable name="proid"><xsl:value-of select="@ProcessId"/></xsl:variable>
     						  			<xsl:variable name="actId"><xsl:value-of select="@ActivityId"/></xsl:variable>
     						  			<xsl:variable name="priority"> <xsl:apply-templates select="tws:Priority"/> </xsl:variable>
     						  			<xsl:variable name="accepted"><xsl:value-of select="@IsAccepted"/> </xsl:variable>
     					   				<xsl:variable name="url1">javascript:submitFormWithEvent('mainForm','WorklistHandlerPO.po','<xsl:value-of select="@ProcessId"/>','<xsl:value-of select="@ActivityId"/>','accepted','<xsl:value-of select="@IsAccepted"/>')</xsl:variable>
     						  
     						  
      							<tr class="content_label_text">
      								<td class="content_label_text" width="3%">
      									<xsl:choose>
                    			<xsl:when test="$accepted='true'">
                      			<input name="{$actId}" type="checkbox" checked="{$accepted}" onclick="{$url1}"/>
                   				</xsl:when>
                   				<xsl:otherwise>
                    				<input name="{$actId}" type="checkbox"  onclick="{$url1}"/>
                   				</xsl:otherwise>
                   			</xsl:choose> 
      								</td>
											<td>
												<xsl:value-of select="@ProcessName"/>  
											</td>
											<td>
												<xsl:value-of select="@ActivityName"/>  
											</td>
											<td align="center">
												<xsl:value-of select="$priority"/>  
											</td>
     	  
											<xsl:variable name="url" >javascript:var wnd=window.open('WorklistHandlerPO.po?pro_id=<xsl:value-of select="@ProcessId"/>&#38;act_id=<xsl:value-of select="@ActivityId"/>&#38;activity=yes','','toolbar=no,status=no,menubar=no,scrollbars=yes,left=250,top=60,width=700,height=600,resizable=yes');wnd.focus()</xsl:variable>  
     	 	 							<xsl:variable name="url2" >javascript:submitFormWithEvent('mainForm','WorklistHandlerPO.po','<xsl:value-of select="@ProcessId"/>','<xsl:value-of select="@ActivityId"/>','complete','none')</xsl:variable>  	  
     	  							
     	  							<td>
     	  							   <xsl:choose>
                    			<xsl:when test="$accepted='true'">
                      			<a href="{$url}"><img src="media/read.png" width="16" height="16" border="0" alt="Update variable"/></a> 
					            			<a href="{$url2}"><img src="media/complite.png" width="16" height="16" border="0" alt="Complete activity" /></a> 
                   			 </xsl:when>
                   <xsl:otherwise>
                   <img src="media/blank.gif"  alt="" width="1"/>
                   </xsl:otherwise>
                   </xsl:choose> 
					
				</td>
      		 	 
     </tr>
 </xsl:for-each>  
  
 
</table> 
         			
      </xsl:when>
   	       <xsl:otherwise>
   						<table width="100%" >
   							<tr>
   								<td align="center" class="message_style">
   	   							There are no elements in worklist !!!!!!!!!!!!!!!!
   	   					  </td>
   	   				 </tr>
   	   			 </table>
   	   		 </xsl:otherwise>
       </xsl:choose>
       
    	</td>
    </tr>
    <tr>
    	<td  colspan="2" class="title_style" height="30" align="right" ><img src="media/blank.gif"  alt="" width="1"/>
    	<input type="button" value="Refresh" name="refresh" onClick="javascript:submitForm('mainForm','WorklistHandlerPO.po')" class="button_format"/>
    	</td>
   	</tr>
 </table>
</form>   
</xsl:template> 
<xsl:template match="tws:ActivityInfos">
 
 <table class="line_style" width="100%" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#96171A">
  	 	
    	
    	<tr>
    		<td  class="title_style" height="30" ><img src="media/blank.gif"  alt="" width="1"/></td>
   		</tr>
   		<tr>
    		<td  class="line_style" height="20" ><img src="media/blank.gif"  alt="" width="1"/></td>
  		</tr>
  		<tr>
    		<td>
    		<xsl:choose>
           <xsl:when test="tws:ActivityInfo">
 
 
 
 
 
 <xsl:for-each select="tws:ActivityInfo"> 
 <form  method="post" action="WorklistHandlerPO.po?event=update" >
 
        <xsl:variable name="actid"><xsl:value-of select="@Id"/></xsl:variable>  
        <xsl:variable name="proid"><xsl:value-of select="@ProcessId"/></xsl:variable>  
        
        <input type="hidden" value="{$actid}" name="act_id"/> 
        <input type="hidden" value="{$proid}" name="pro_id"/> 
        
      <table width="75%" align="center" border="1" bgcolor="#CCCCCC">
        <tr > 
          <td colspan="2" align="center" class="main_header_text">Acitvity details</td>
        </tr>
          <tr class="content_label_text"> 
          <td>Id</td>
          <td><xsl:value-of select="@Id"/></td>
        </tr>
        <tr class="content_label_text">
          <td width="30%">Name</td>
          <td ><xsl:value-of select="@Name"/></td>
        </tr>
        <tr class="content_label_text"> 
          <td>Process Id</td>
          <td><xsl:value-of select="@ProcessId"/></td>
        </tr>
        <tr class="content_label_text"> 
          <td>Process Name</td>
          <td><xsl:value-of select="@ProcessName"/></td>
        </tr>
        
        <tr class="content_label_text">
          <td>Process Definition Name</td>
          <td><xsl:value-of select="@ProcessDefinitionName"/></td>
        </tr>
        <tr class="content_label_text"> 
          <td>Created</td>
          <td><xsl:value-of select="@Created"/></td>
        </tr>
		 		<tr class="prod_grey"> 
          <td colspan="2"></td>
        </tr>
        	<xsl:apply-templates select="tws:VariableInfos"/>
        	<xsl:apply-templates select="tws:Description"/>
       
		      <tr height="28">
              <td colspan="2" width="100%"  valign="middle" align="center">
      			   <input type="submit" value="Update variable" name="updateButton" class="button_format"/>              
      			   <input type="button" value="Close" name="closeButton" onClick="window.close()" class="button_format"/>
              </td>
            </tr>
      </table> 
      </form>
 </xsl:for-each> 
 
 
  </xsl:when>
   	       <xsl:otherwise>
   						<table width="100%" >
   							<tr>
   								<td align="center" class="message_style">
   	   							There are no elements in worklist !!!!!!!!!!!!!!!!
   	   					  </td>
   	   				 </tr>
   	   			 </table>
   	   		 </xsl:otherwise>
  </xsl:choose>
  
  	</td>
    </tr>
    <tr>
    	<td  class="title_style" height="30" ><img src="media/blank.gif"  alt="" width="1"/>
    	
    	</td>
   	</tr>
 </table>  
</xsl:template> 
 

<xsl:template match="tws:VariableInfos">

         <tr> 
          	<td colspan="4" align="center" class="main_header_text">Variables</td>
         </tr>
        
        <xsl:for-each select="tws:VariableInfo"> 
        
        <xsl:variable name="vId"><xsl:value-of select="@Id"/></xsl:variable>
        <xsl:variable name="vName"><xsl:value-of select="@Name"/></xsl:variable>
        
       
         <xsl:variable name="nameLenth" select="string-length($vName)"/>
        
        	<tr class="content_label_text"> 
            <td>
            	<xsl:choose>
                    <xsl:when test="$nameLenth>0">
                          <xsl:value-of select="@Name"/>
                   </xsl:when>
                   <xsl:otherwise>
                    <xsl:value-of select="@Id"/>
                   </xsl:otherwise>
               </xsl:choose> 
            </td>
            <xsl:variable name="iname">var_<xsl:value-of select="@Id"/></xsl:variable>  
            <xsl:variable name="ivalue"><xsl:value-of select="@StringValue"/></xsl:variable> 
		        <td><input type="text" name="{$iname}" value="{$ivalue}"/></td>
        	</tr>   
       </xsl:for-each>  
      
</xsl:template> 

<xsl:template match="tws:Description">

        <tr> 
          <td colspan="4" align="center" class="main_header_text">Description</td>
        </tr>
        <tr class="content_label_text"> 
          <td colspan="4"> <xsl:value-of select="."/></td>
        </tr>
        
        <tr class="prod_grey"> 
          <td colspan="4"><p></p></td>
        </tr>
      
</xsl:template> 

 
<xsl:template match="tws:Priority">
     <xsl:value-of select="."/>
</xsl:template>
</xsl:stylesheet> 
