package org.enhydra.wlh.presentation;

import org.enhydra.wlh.presentation.session.SessionData;
import org.enhydra.wlh.presentation.session.UserImp;
import org.enhydra.wlh.presentation.utils.NavigConsts;
import org.enhydra.wlh.presentation.utils.ParamConsts;
import org.enhydra.xml.xmlc.XMLObject;

import com.lutris.appserver.server.httpPresentation.ClientPageRedirectException;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.util.KeywordValueException;

public class StartPO extends BasePO {

	public XMLObject handleDefault() throws HttpPresentationException {
		 return showPage(null);
	}

	protected boolean loggedInUserRequired() {
		return false;
	}

	public XMLObject showPage(String errorMsg) {

		StartHTML page = (StartHTML) myComms.xmlcFactory.create(StartHTML.class);

		return page;
		
	}
	
	
	public XMLObject handleLogin() throws HttpPresentationException {
		try {
			
		 if( myComms.request.getParameter(ParamConsts.STR_PREFIX+ParamConsts.USERNAME_INPUT)!=null 
				 && !myComms.request.getParameter(ParamConsts.STR_PREFIX+ParamConsts.USERNAME_INPUT).equals("")){
			super.mySessionData = new SessionData(new UserImp(super.myComms));
		 
			super.myComms.sessionData.set(SessionData.SESSION_KEY, super.mySessionData);
		 }else{
			 StartHTML page = (StartHTML) myComms.xmlcFactory.create(StartHTML.class);

				
				return page;
			  
		 }
		 } catch (KeywordValueException e) {
			
			e.printStackTrace();
		}
		throw new ClientPageRedirectException(NavigConsts.WORKLIST_HANDLER);
	}
	

}
