/*
 *  calculator
 *
 *  Enhydra super-servlet specification object
 *  
 */
package calculator.spec;

import com.lutris.util.KeywordValueException;

public class StateFactory {
    
    /**
     * Constructor can't be used.
     */
    private StateFactory() {
    }

    /**
     * Create a State as state object/value object/data transfer object
     */
    public static State getState(String fullClassName) throws KeywordValueException{
        
        State result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (State)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}