package chat.presentation;

// Standard imports
import java.io.IOException;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.util.KeywordValueException;

import chat.ChatApplication;

public class ChatPresentation implements HttpPresentation {

  private static ChatHTML chat;

  public void run(HttpPresentationComms comms) throws HttpPresentationException, IOException {
    try{
      getTitle(comms);
    }catch(Exception e){
      e.printStackTrace();
    }
  }

  static public void getTitle(HttpPresentationComms comms) throws Exception {
    ChatApplication myApp = (ChatApplication) comms.application;

    chat = (ChatHTML)comms.xmlcFactory.create(ChatHTML.class);
    chat.setTitle(myApp.getRoomName());
    comms.response.writeDOM(chat);

  }

}



