/*
 *  chat
 *
 *  Enhydra super-servlet specification object
 *  
 */
package chat.spec;


public class MessageFactory {
    
    /**
     * Constructor can't be used.
     */
    private MessageFactory() {
    }

    /**
     * Create a Mesage as state object/value object/data transfer object
     */
    public static Message getMessage(String fullClassName) {
        
        Message result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (Message)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}