/*
 *  discRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package discRack.spec;

public class PersonGeneratorFactory {
/**
* Constructor can't be used.
*/
 private PersonGeneratorFactory() {
    }
    /**
     * Create a PersonGenerator as state object/value object/data transfer object
     */ 

   
    public static PersonGenerator getPersonGenerator(String fullClassName) {
        PersonGenerator result = null;
        Class objectClass = null;

        try {
            // Create the value object
            objectClass = Class.forName(fullClassName);
            result = (PersonGenerator) objectClass.newInstance();
       
        } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    
    }
  }