/*
 *  jtaDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package jtaDiscRack.spec;

import org.enhydra.dods.exceptions.AssertionDataObjectException;

public interface Disc {

	public String getHandle();

	public String getTitle();

	public String getArtist();

	public String getGenre();

	public boolean isLiked();

	public void setTitle(String title);

	public void setArtist(String artist);

	public void setGenre(String genre);

	public void setOwner(String ownerHandle);

	public void setLiked(boolean isLiked);

	public void save()
			throws JtaDiscRackException, AssertionDataObjectException;

	public void delete()
			throws JtaDiscRackException, AssertionDataObjectException;

}