/*
 *  jtaDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package jtaDiscRack.spec;

public class DiscFactory {
	/**
	 * Constructor can't be used.
	 */
	private DiscFactory() {
	}

	/**
	 * Create a Disc as state object/value object/data transfer object
	 */
	public static Disc getDisc(String fullClassName)
			throws ClassNotFoundException, InstantiationException,
			IllegalAccessException {
		Disc result = null;
		Class objectClass = null;
		// Create the value object
		objectClass = Class.forName(fullClassName);
		result = (Disc) objectClass.newInstance();
		return result;
	}
}