/*
 *  jtaDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package jtaDiscRack.spec;

public class DiscGeneratorFactory {
	/**
	 * Constructor can't be used.
	 */
	private DiscGeneratorFactory() {
	}

	/**
	 * Create a DiscGenerator as state object/value object/data transfer object
	 */
	public static DiscGenerator getDiscGenerator(String fullClassName)
			throws ClassNotFoundException, InstantiationException,
			IllegalAccessException {
		DiscGenerator result = null;
		Class objectClass = null;
		// Create the value object
		objectClass = Class.forName(fullClassName);
		result = (DiscGenerator) objectClass.newInstance();
		return result;
	}
}