/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: JtaDiscRackException.java,v 1.1 2005/12/28 12:01:11 slobodan Exp $
 */

package jtaDiscRack.spec;

import com.lutris.util.ChainedException;

public class JtaDiscRackException extends ChainedException {
    
    /**
     * Public constructor to initialize an exception with a user message
     * and the exception that spawned it
     */
    public JtaDiscRackException(String msg, Throwable ex) {
        super(msg, ex);
    }
    
    /**
     * Public constructor to initialize an exception with a user message
     */
    public JtaDiscRackException(String msg) {
        super(msg);
    }
}
