/*
 *  jtaDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package jtaDiscRack.spec;

public class PersonGeneratorFactory {
	/**
	 * Constructor can't be used.
	 */
	private PersonGeneratorFactory() {
	}

	/**
	 * Create a PersonGenerator as state object/value object/data transfer
	 * object
	 */

	public static PersonGenerator getPersonGenerator(String fullClassName)
			throws ClassNotFoundException, InstantiationException,
			IllegalAccessException {
		PersonGenerator result = null;
		Class objectClass = null;
		// Create the value object
		objectClass = Class.forName(fullClassName);
		result = (PersonGenerator) objectClass.newInstance();
		return result;
	}
}