package phoneList.presentation;


// Standard imports
import java.util.Vector;
import java.io.IOException;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import org.w3c.dom.html.HTMLAnchorElement;
import org.w3c.dom.Node;

public class ErrorPresentation implements HttpPresentation {

  private static ErrorHTML error;

  public void run(HttpPresentationComms comms) throws HttpPresentationException, IOException {

    try{
      OutputError(comms);
    }catch(Exception e){
      e.printStackTrace();
    }
  }


  public static void OutputError(HttpPresentationComms comms) throws Exception {
    String errorText = comms.request.getParameter("err");
    error = (ErrorHTML)comms.xmlcFactory.create(ErrorHTML.class);
    error.setTextError(errorText);
    comms.response.writeDOM(error);
   }
}

