/*
 *  PhoneBookClient
 *
 *  Enhydra super-servlet specification object
 *  
 */
package phoneList.spec;


public class PhoneListFactory {
    
    /**
     * Constructor can't be used.
     */
    private PhoneListFactory() {
    }

    /**
     * Create a Message as state object/value object/data transfer object
     */
    public static PhoneList getPhoneList(String fullClassName) {
        
        PhoneList result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (PhoneList)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}