/**
 * Title:        OpenUSS - Open Source University Support System
 *               My Piggy Bank Example
 * Description:  Enhydra Presentation Object
 * Copyright:    Copyright (c) 2003 by B. Lofi Dewanto, T. Menzel
 * Company:      University of Muenster, HTWK Leipzig
 * @author  B. Lofi Dewanto, T. Menzel
 * @version 1.1
 */
package net.sourceforge.ejosa.piggybank.presentation.enhydra;

import org.openuss.presentation.enhydra.framework.*;


/**
 * The base exception presentation object for foundation components.
 *
 * @author  B. Lofi Dewanto, T. Menzel
 * @version 1.1
 */
public class FoundationPOException extends BasePOException {
    /**
     * Public constructor to initialize an exception with a user message
     * and the exception that spawned it
     */
    public FoundationPOException(String msg, Exception ex) {
        super(msg, ex);
    }
}