/**
 * Title:        OpenUSS - Open Source University Support System
 * Description:  Enhydra Presentation Object
 * Copyright:    Copyright (c) B. Lofi Dewanto
 * Company:      University of Muenster
 * @author  B. Lofi Dewanto
 * @version 1.0
 */
package org.openuss.presentation.enhydra.framework;

/**
 * The base footer object for Enhydra. This
 *
 * @author  B. Lofi Dewanto
 * @version 1.0
 */
public interface BaseFooter {
    /**
     * This method has to be implemented. 
     */
    public void showFooter() throws BasePOException;
}