/**
 * Title:        EJOSA - Enterprise Java Open Source Architecture
 *               My Piggy Bank Example
 * Description:  Specification Object
 * Copyright:    Copyright (c) 2003 by B. Lofi Dewanto, T. Menzel
 * Company:      University of Muenster, HTWK Leipzig
 * @author  B. Lofi Dewanto, T. Menzel
 * @version 1.2
 */
package net.sourceforge.ejosa.piggybank.spec;

import org.openuss.utility.*;


/**
 * The exception class.
 *
 * @author  B. Lofi Dewanto, T. Menzel
 * @version 1.2
 */
public class CoinException extends NestingException {
    /**
     * Constructor.
     */
    public CoinException() {
        super();
    }

    /**
     * Constructor.
     */
    public CoinException(String msg) {
        super(msg);
    }
}