/**
 * Title:        OpenUSS - Open Source University Support System
 * Description:  Utility for OpenUSS
 * Copyright:    Copyright (c) B. Lofi Dewanto
 * Company:      University of Muenster
 * @author  B. Lofi Dewanto
 * @version 1.0
 */
package org.openuss.utility;

import java.util.*;


/**
 * Utility for classes.
 *
 * @author  B. Lofi Dewanto
 * @version 1.0
 */
public class ClassUtility {
    /**
     * Create an object from the classname and its package.
     */
    public static Object createClass(String policyName, String packageName)
                              throws Exception {
        // Put the package name
        String className = policyName;
        String fullClassName = packageName.concat(".").concat(className);

        Class objectClass = null;
        Object result = null;


        // Create the policy
        objectClass = Class.forName(fullClassName);
        result = objectClass.newInstance();

        // Result
        return result;
    }
}