/*
 *  Poker
 *
 *  Enhydra super-servlet presentation object
 *
 */

package poker.presentation.login;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;


public class BlackPagePresentation implements HttpPresentation {


    public void run(HttpPresentationComms comms)
        throws HttpPresentationException {

        BlackPageHTML black;

        black = (BlackPageHTML)comms.xmlcFactory.create(BlackPageHTML.class);
        comms.response.writeDOM(black);
    }

}
