/*
 *  poker
 *
 *  Enhydra super-servlet specification object
 *  
 */
package poker.spec;


public class PitBossListFactory {
    
    /**
     * Constructor can't be used.
     */
    private PitBossListFactory() {
    }

    /**
     * Create a PitBossList as state object/value object/data transfer object
     */
    public static PitBossList getDealer(String fullClassName) {
        
        PitBossList result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (PitBossList)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}