/*
 *  projectManagement
 *
 *  Enhydra super-servlet presentation object
 *
 */

package projectmanagement.presentation;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;

// Standard imports
import java.io.IOException;

/**
* Generates the main application frame that consists of two frames,
* the left one-control frame, and the right one controled frame.
* the login frame.
*/
public class Index implements HttpPresentation {
   public void run(HttpPresentationComms comms) throws HttpPresentationException, IOException {
      comms.response.writeDOM(new indexHTML());
   }

}
