/*
 *  projectManagement
 *
 *  Enhydra super-servlet presentation object
 *
 */

package projectmanagement.presentation.customers;

import projectmanagement.presentation.*;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.*;
import org.enhydra.xml.xmlc.XMLObject;

// Standard imports
import java.io.IOException;

/**
* Generates the blank HTML page.
*/
public class Context extends BasePO {

   /**
    * Superclass method override. Returns 2.
    */
   protected int getRequiredAuthLevel() {
      return 2;
   }

   /**
    *  Default event. Just show the page.
    */
   public XMLObject handleDefault() throws HttpPresentationException {

      ContextHTML page=new ContextHTML();
      return page;
   }

}
