/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.customer;

public class CustomerManagerFactory {
/**
* Constructor can't be used.
*/
 private CustomerManagerFactory() {
    }
    /**
     * Create a CustomerManager as state object/value object/data transfer object
     */
    public static CustomerManager getCustomerManager(String fullClassName) 
    {
    	CustomerManager result=null;
        Class objectClass = null;
    	
    	try{
    	 // Create the value object
    	 objectClass = Class.forName(fullClassName);
                                   
          result = (CustomerManager)objectClass.newInstance();
    	
       	 } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
         }

    	return result;
    
  }
  
   } 