/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.project;

import projectmanagement.spec.ProjectManagementException;


public interface ProjectManager {
	
public Project[] getAllProjects()
    throws ProjectManagementException;
public  Project findProjectByID(String id)
    throws ProjectManagementException;
public  Project[] getAllProjectsForCustomer(String customerID) 
    throws ProjectManagementException;
public Project getProject()
      throws ProjectManagementException;
}	
	
	
	