/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.project;

public class ProjectManagerFactory {
/**
* Constructor can't be used.
*/
 private ProjectManagerFactory() {
    }
    /**
     * Create a ProjectManager as state object/value object/data transfer object
     */
    public static ProjectManager getProjectManager(String fullClassName) 
    {
    	ProjectManager result=null;
        Class objectClass = null;
    	
    	try{
    	 // Create the value object
    	 objectClass = Class.forName(fullClassName);
                                   
          result = (ProjectManager)objectClass.newInstance();
    	
       	 } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
         }

    	return result;
    
  }
  
   } 