/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.timewage;

import projectmanagement.spec.ProjectManagementException;
import projectmanagement.spec.employee.*;
import projectmanagement.spec.project.*;
import java.sql.Date;

public interface PayRate {

public String getHandle()
      throws ProjectManagementException;
public void setRate(double rate)
      throws ProjectManagementException;      	
public double getRate ()
      throws ProjectManagementException;
public void setValidFrom(Date validFrom)
      throws ProjectManagementException;
public Date getValidFrom ()
      throws ProjectManagementException;
public void setEmployee(Employee employee)
      throws ProjectManagementException;
public Employee getEmployee()
      throws ProjectManagementException;
public void setProject(Project project)
      throws ProjectManagementException;
public Project getProject()
      throws ProjectManagementException;
public void save() throws ProjectManagementException;
public void delete() throws ProjectManagementException;    
}