/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.timewage;

public class PayRateManagerFactory {
/**
* Constructor can't be used.
*/
 private PayRateManagerFactory() {
    }
    /**
     * Create a PayRateManager as state object/value object/data transfer object
     */
    public static PayRateManager getPayRateManager(String fullClassName) 
    {
    	PayRateManager result=null;
        Class objectClass = null;
    	
    	try{
    	 // Create the value object
    	 objectClass = Class.forName(fullClassName);
                                   
          result = (PayRateManager)objectClass.newInstance();
    	
       	 } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
         }

    	return result;
    
  }
  
   } 