package tableapp.business.axis;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

import org.apache.axis.Constants;
import org.apache.axis.encoding.DeserializationContext;
import org.apache.axis.encoding.Deserializer;
import org.apache.axis.encoding.DeserializerImpl;
import org.apache.axis.encoding.FieldTarget;
import org.apache.axis.message.SOAPHandler;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

import javax.xml.namespace.QName;
import java.util.Hashtable;
import tableapp.spec.Access;
import tableapp.business.AccessImpl;

import java.util.Date;

public class AccessDeser
    extends DeserializerImpl {

  public static final String INTMEMBER = "noAccesses";
  public static final String DATEMEMBER = "sDate";

  private Hashtable typesByMemberName = new Hashtable();

  public AccessDeser() {
    typesByMemberName.put(INTMEMBER, Constants.SOAP_INT);
    typesByMemberName.put(DATEMEMBER, Constants.XSD_STRING);
    value = (Access)new AccessImpl();
    ( (Access) value).setNoAccesses(9);
    //((Access)value).setDate(new Date((long)12345678));
  }

  /** DESERIALIZER STUFF - event handlers
   */

  /**
   * This method is invoked when an element start tag is encountered.
   * @param namespace is the namespace of the element
   * @param localName is the name of the element
   * @param prefix is the element's prefix
   * @param attributes are the attributes on the element...used to get the type
   * @param context is the DeserializationContext
   */
  public SOAPHandler onStartChild(String namespace,
                                  String localName,
                                  String prefix,
                                  Attributes attributes,
                                  DeserializationContext context) throws
      SAXException {
    QName typeQName = (QName) typesByMemberName.get(localName);
    if (typeQName == null)
      throw new SAXException("Invalid element in Data struct - " + localName);

    // These can come in either order.
    Deserializer dSer = context.getDeserializerForType(typeQName);
    try {
      dSer.registerValueTarget(new FieldTarget(value, localName));
    }
    catch (NoSuchFieldException e) {
      throw new SAXException(e);
    }

    if (dSer == null)
      throw new SAXException("No deserializer for a " + typeQName + "???");

    return (SOAPHandler) dSer;
  }
}