package tableappclient.business;

import tableappclient.spec.AccessData;
import tableapp.spec.Access;
import tableappclient.business.axis.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class AccessDataImpl
    implements AccessData {
  private Access access;

  public AccessDataImpl(String hostName, String portNum) {
    this.access = getAccess(hostName, portNum);
  }

  private Access getAccess(String hostName, String portNum) {
    try {
      WelcomePresentationService service = new
          WelcomePresentationServiceLocator();
      WelcomePresentation welcome;
      welcome = service.gettableApp(new java.net.URL("http://"+hostName+":"+portNum+"/tableApp/tableApp"));
      Access access = welcome.returnAccess();
      return access;
    }
    catch (Exception exception) {
      exception.printStackTrace();
      return null;
    }
  }

  public int getNoAccesses() {
    return access.getNoAccesses();
  }

  public String getAccessTime() {
    return access.getDate();
  }
}