<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    xmlns:gvs="org.ejen.ext.GlobalVariables"
                    extension-element-prefixes="gvs"
                    exclude-result-prefixes="gvs">

<xsl:import href="writeFileHeaderDataStruct.xsl"/>
<xsl:import href="writeMemberStuffDataStruct.xsl"/>
<xsl:import href="writeBeginCompareCondDS.xsl"/>
<xsl:import href="writeCompareCondDS.xsl"/>
<xsl:import href="writeEndCompareCondDS.xsl"/>
<xsl:import href="writeFileFooterDataStructBegin.xsl"/>
<xsl:import href="cloningDataStruct.xsl"/>
<xsl:import href="writeFileFooterDataStructEnd.xsl"/> 
                    
<xsl:output omit-xml-declaration="yes"/>

<xsl:template match ="/">
    <xsl:apply-templates />
</xsl:template>

<xsl:template match="TABLE">
    <xsl:call-template name="fileHeader"/>
    <xsl:for-each select="//COLUMN">
        <xsl:call-template name="memberStuff"/>
    </xsl:for-each>
    <xsl:call-template name="beginCompareCond"/>
    <xsl:for-each select="//COLUMN">
  	   <xsl:call-template name="compareCond"/>
    </xsl:for-each>
    <xsl:call-template name="endCompareCond"/>
    <xsl:call-template name="fileFooterBegin"/>
    <xsl:for-each select="//COLUMN">
        <xsl:call-template name="cloning"/>
    </xsl:for-each>
    <xsl:call-template name="fileFooterEnd"/>
</xsl:template>
</xsl:stylesheet>