<!-- edited with XML Spy v4.3 U (http://www.xmlspy.com) by slobodan (none) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html"/>
	<!--<xsl:param name="date"/>          -->
	<!-- 
  Erstellt von der Softmax OEG
  Programmiert von Rene Huber/Alexander Pelzl            /Dragan Radeka 03.02.2003.
  Erstellt:  24.04.2001
  Verändert: 25.04.2001  Design, Links bei den Packages aaa.bbb.ccc.ddd zwischen den Punkten
             26.04.2001  für IE6
             24.09.2001  Links auch auf Klassen gesetzt, nicht nur auf Packages. Backlink.
             03.02.2003. Prepared for *.doml file version 5.* .
                         New table - Index is designed.
-->
	<xsl:template match="doml">
		<!--	<xsl:with-param name="date"/>
		<xsl:variable name="today">
			<xsl:value-of select="substring-before($date,'_')"/>
		</xsl:variable>
		<xsl:message>
			<xsl:value-of select="$today"/>
		</xsl:message>
		<xsl:variable name="time">
			<xsl:value-of select="substring-before(substring-after($date,'_'),'_')"/>
		</xsl:variable>
		<xsl:message>
			<xsl:value-of select="$time"/>
		</xsl:message>
		<xsl:variable name="file">
			<xsl:value-of select="substring-after(substring-after($date,'_'),'_')"/>
		</xsl:variable>
	    <xsl:message>
			<xsl:value-of select="$file"/>
		</xsl:message>                                         -->
		<xsl:for-each select="database">
			<HTML>
				<meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/>
				<title>DOML Documentation <!--<xsl:value-of select="substring-before($date,'_')"/> | <xsl:value-of select="substring-before(substring-after($date,'_'),'_')"/> | <xsl:value-of select="substring-after(substring-after($date,'_'),'_')"/>-->
				</title>
				<style type="text/css">
				td {  font-family: Arial, Helvetica, sans-serif; font-size: 11}
				.white { color: #FFFFFF; font-size: small}
				.white a { color: #FFFFFF}
				.medium { font-size: 14}
				.big { font-size: 18}
				</style>
				<BODY link="#FF0000" vlink="#FF0000" alink="#FF0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
					<TABLE BORDER="0" WIDTH="100%" bgcolor="#333333">
						<TR>
							<TD>
								<center>
									<H3>
										<font color="#FFFFFF">Data model-Documentation</font>
									</H3>
									<font color="#FFFFFF">
										<!--<h4>
									<xsl:value-of select="substring-before($date,'_')"/> | <xsl:value-of select="substring-before(substring-after($date,'_'),'_')"/> | 
									<xsl:value-of select="substring-after(substring-after($date,'_'),'_')"/></h4>             -->
									Database: <xsl:value-of select="@database"/>
									</font>
								</center>
							</TD>
						</TR>
					</TABLE>
					<xsl:call-template name="getclasseswithgenerateSecureInsecure">
						<!--promenjeno ime templejta iz getclasseswithlazycaching - Slobodan Vujasinovic-->
					</xsl:call-template>
					<xsl:for-each select="//package">
						<xsl:sort order="ascending" select="@id"/>
						<xsl:call-template name="package"/>
					</xsl:for-each>
				</BODY>
			</HTML>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="package">
		<!--	<xsl:message>==================================================</xsl:message>   -->
		<TABLE BORDER="0" WIDTH="100%" bgcolor="#77AA77" cellpadding="0" cellspacing="0">
			<!-- FFFF99 Farbteil 2 -->
			<xsl:if test="@id!='root'">
				<TR style="white">
					<TD>
						<table border="0" width="100%" cellspacing="5">
							<tr valign="top">
								<td>
									<TABLE>
										<TR valign="top">
											<TD WIDTH="100">
												<!-- Anker für Packages setzen -->
												<xsl:element name="a">
													<xsl:attribute name="name"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
												</xsl:element>
												<h4>
													<B>Package:</B>
												</h4>
											</TD>
											<TD class="white">
												<b>
													<!--	  <xsl:value-of select="substring-after(@id,'.')"/> -->
													<xsl:if test="substring-before(@id,'.')='root'">
														<xsl:call-template name="linktree">
															<xsl:with-param name="reststring" select="substring-after(@id,'.')"/>
														</xsl:call-template>
														<!--/font><font color="#FFFFFF"-->
													</xsl:if>
													<xsl:if test="substring-before(@id,'.')!='root'">
														<xsl:call-template name="linktree">
															<xsl:with-param name="reststring" select="@id"/>
														</xsl:call-template>
														<!--/font><font color="#FFFFFF"-->
													</xsl:if>
												</b>
											</TD>
										</TR>
										<xsl:if test="substring-before(package/@id,'.')='root'">
											<TR valign="top">
												<TD> SubPackages:</TD>
												<TD>
													<h5>
														<!--bgcolor="#FFFFFF" font color="#FFFFFF"-->
														<xsl:for-each select="package">
															<xsl:sort order="ascending" select="@id"/>
															<!-- Links setzen -->
															<xsl:element name="a">
																<xsl:attribute name="href">#<xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
																<xsl:attribute name="title">to the package: <xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
																<xsl:variable name="strl">
																	<xsl:if test="substring-before(parent::package/@id,'.')='root'">
																		<font color="#FFFFFF">
																			<xsl:value-of select="number(string-length(substring-after(parent::package/@id,'.')))+2"/>
																		</font>
																	</xsl:if>
																	<xsl:if test="substring-before(parent::package/@id,'.')!='root'">
																		<font color="#FFFFFF">
																			<xsl:value-of select="number(string-length(parent::package/@id))+2"/>
																		</font>
																	</xsl:if>
																</xsl:variable>
																<xsl:if test="substring-before(@id,'.')='root'">
																	<font color="#FFFFFF">
																		<xsl:value-of select="substring(substring-after(@id,'.'),$strl,200)"/>
																	</font>
																</xsl:if>
																<xsl:if test="substring-before(@id,'.')!='root'">
																	<font color="#FFFFFF">
																		<xsl:value-of select="substring(@id,$strl,200)"/>
																	</font>
																</xsl:if>
															</xsl:element>
															<BR/>
														</xsl:for-each>
													</h5>
												</TD>
											</TR>
										</xsl:if>
									</TABLE>
								</td>
								<td class="medium">
									<xsl:if test="count(table)>1">
										<h4>
											<b>Classes:</b>
										</h4>
										<br/>
										<xsl:for-each select="table">
											<xsl:sort order="ascending" select="@id"/>
											<xsl:element name="a">
												<xsl:attribute name="href">#<xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
												<xsl:attribute name="title">to the class: <xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
												<xsl:if test="substring-before(@id,'.')='root'">
													<xsl:call-template name="functionpack">
														<xsl:with-param name="ID" select="substring-after(@id,'.')"/>
													</xsl:call-template>
												</xsl:if>
												<xsl:if test="substring-before(@id,'.')!='root'">
													<xsl:call-template name="functionpack">
														<xsl:with-param name="ID" select="@id"/>
													</xsl:call-template>
												</xsl:if>
												<br/>
											</xsl:element>
										</xsl:for-each>
									</xsl:if>
								</td>
							</tr>
						</table>
						<xsl:apply-templates select="table">
							<xsl:sort order="ascending" select="@id"/>
						</xsl:apply-templates>
					</TD>
				</TR>
			</xsl:if>
		</TABLE>
		<br/>
	</xsl:template>
	<xsl:template match="table">
		<!--	<xsl:message>working on class: <xsl:value-of select="@id"/>
		</xsl:message>                                              -->
		<xsl:for-each select=".">
			<xsl:sort order="ascending" select="@id"/>
			<div align="center">
				<table bgcolor="#99DD99" width="99%" border="1" bordercolor="#000000">
					<!-- FFFF33 Farbteil 3 -->
					<tr>
						<td>
							<!-- Anker für Klassen setzen -->
							<xsl:element name="a">
								<xsl:attribute name="name"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
							</xsl:element>
							<table width="99%" border="0">
								<tr>
									<td width="100">
										<h5>Class:</h5>
									</td>
									<td>
										<h5>
											<xsl:if test="substring-before(@id,'.')='root'">
												<xsl:call-template name="functionpack">
													<xsl:with-param name="ID" select="substring-after(@id,'.')"/>
												</xsl:call-template>
											</xsl:if>
											<xsl:if test="substring-before(@id,'.')!='root'">
												<xsl:call-template name="functionpack">
													<xsl:with-param name="ID" select="@id"/>
												</xsl:call-template>
											</xsl:if>
										</h5>
									</td>
								</tr>
								<tr>
									<td>
id:
</td>
									<td>
										<xsl:element name="a">
											<xsl:attribute name="href">#<xsl:if test="substring-before(parent::package/@id,'.')='root'"><xsl:value-of select="substring-after(parent::package/@id,'.')"/></xsl:if><xsl:if test="substring-before(parent::package/@id,'.')!='root'"><xsl:value-of select="parent::package/@id"/></xsl:if></xsl:attribute>
											<xsl:attribute name="title"><xsl:if test="substring-before(parent::package/@id,'.')='root'"><xsl:value-of select="substring-after(parent::package/@id,'.')"/></xsl:if><xsl:if test="substring-before(parent::package/@id,'.')!='root'"><xsl:value-of select="parent::package/@id"/></xsl:if></xsl:attribute>
											<xsl:if test="substring-before(parent::package/@id,'.')='root'">
												<xsl:value-of select="substring-after(parent::package/@id,'.')"/>
											</xsl:if>
											<xsl:if test="substring-before(parent::package/@id,'.')!='root'">
												<xsl:value-of select="parent::package/@id"/>
											</xsl:if>
										</xsl:element>.<xsl:if test="substring-before(@id,'.')='root'">
											<xsl:call-template name="functionpack">
												<xsl:with-param name="ID" select="substring-after(@id,'.')"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="substring-before(@id,'.')!='root'">
											<xsl:call-template name="functionpack">
												<xsl:with-param name="ID" select="@id"/>
											</xsl:call-template>
										</xsl:if>
									</td>
								</tr>
								<tr>
									<td>
	Table Name:
</td>
									<td>
										<xsl:value-of select="@dbTableName"/>
									</td>
								</tr>
								<tr>
									<!--Dodato umesto isLazy  - Slobodan Vujasinovic-->
									<td>
	GenerateSecure:
</td>
									<td>
										<xsl:if test="@generateSecure" xml:space="default">
											<xsl:value-of select="@generateSecure"/>
										</xsl:if>
										<xsl:if test="not(@generateSecure)">false</xsl:if>
									</td>
								</tr>
								<tr>
									<!--Dodato umesto caching  - Slobodan Vujasinovic-->
									<td>
	GenerateInsecure:
</td>
									<td>
										<xsl:if test="@generateInsecure" xml:space="default">
											<xsl:value-of select="@generateInsecure"/>
										</xsl:if>
										<xsl:if test="not(@generateInsecure)">true</xsl:if>
									</td>
								</tr>
								<tr>
									<!--Dodato   - Predrag Djojic-->
									<td>
	MassDeletes:
</td>
									<td>
										<xsl:if test="@massDeletes" xml:space="default">
											<xsl:value-of select="@massDeletes"/>
										</xsl:if>
										<xsl:if test="not(@massDeletes)">false</xsl:if>
									</td>
								</tr>
								<tr>
									<!--Dodato  massUpdates - Predrag Djojic-->
									<td>
	MassUpdates:
</td>
									<td>
										<xsl:if test="@massUpdates" xml:space="default">
											<xsl:value-of select="@massUpdates"/>
										</xsl:if>
										<xsl:if test="not(@massUpdates)">false</xsl:if>
									</td>
								</tr>
								<tr>
								
									<!--Dodat novi atribut tabele  - Slobodan Vujasinovic-->
									<td>
	MultiDB:
</td>
									<td>
										<xsl:if test="@multidb" xml:space="default">
											<xsl:value-of select="@multidb"/>
										</xsl:if>
										<xsl:if test="not(@multidb)">false</xsl:if>
									</td>
								</tr>
								<tr>
						<!--Dodat novi atribut tabele  - Djojic Predrag-->		
								   <td>
	DirtyDOs:
</td>
									<td>
										<xsl:if test="@dirtyDOs" xml:space="default">
			    		 					<xsl:value-of select="@dirtyDOs"/>
		     							</xsl:if>
		     							<xsl:if test="not(@dirtyDOs)"><xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
			     							<xsl:value-of select="/doml/database/@dirtyDOs"/>
		     							</xsl:if></xsl:if>
		     							<xsl:if test="not(@dirtyDOs)"><xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if></xsl:if>
									</td>
								</tr>
							</table>
							<xsl:variable name="id2find" select="@id"/>
							<xsl:variable name="refanz">
								<xsl:for-each select="//referenceObject">
									<xsl:if test="@reference=$id2find">.</xsl:if>
								</xsl:for-each>
							</xsl:variable>
							<xsl:if test="string-length($refanz)>0">
								<xsl:call-template name="findreference">
									<xsl:with-param name="table" select="@id"/>
								</xsl:call-template>
							</xsl:if>
							<table width="100%" bgcolor="#CCFFCC" border="1" cellpadding="0" cellspacing="0" rules="rows" bordercolor="#9CDF9C">
								<!-- Farbteil AttrbiuteTable  -->
								<tr bordercolor="#CEFFCE">
									<td colspan="9">
										<div align="center" class="big">Attributes</div>
									</td>
								</tr>
								<tr bordercolor="#CEFFCE">
									<!--bgcolor="#EFEFBC"-->
									<td>
										<b>id</b>
									</td>
									<!--							<td>
									<b>Index</b>
								</td>                        Dragan Radeka  -->
									<td>
										<b>Query</b>
									</td>
									<td>
										<b>Constr</b>
									</td>
									<td>
										<b>Null</b>
									</td>
									<td>
										<b>Java Type</b>
									</td>
									<td>
										<b>DB Type</b>
									</td>
									<td>
										<b>Size</b>
									</td>
									<td>
										<b>Reference</b>
									</td>
									<td>
										<b>Reference Table</b>
									</td>
								</tr>
								<!--Ostavljeno zbog toga sto je sada vrednosty parametra NotUsingOid stalno na false - Slobodan Vujasinovic-->
								<xsl:if test="'true'='true'">
									<tr>
										<td>oid</td>
										<td>.</td>
										<td>.</td>
										<td>no</td>
										<td>.</td>
										<td>DECIMAL</td>
										<td>19,0</td>
										<td>.</td>
										<td>.</td>
									</tr>
									<tr>
										<td>version</td>
										<td>.</td>
										<td>.</td>
										<td>no</td>
										<td>.</td>
										<td>INTEGER</td>
										<td>4</td>
										<td>.</td>
										<td>.</td>
									</tr>
								</xsl:if>
								<xsl:apply-templates select="column"/>
							</table>
							<br/>
							<xsl:variable name="indexno" select="count(index/indexColumn)"/>
							<!--					<xsl:message>
							<xsl:value-of select="number($indexno)"/>
						</xsl:message>                                  -->
							<xsl:if test="$indexno>0">
								<table width="100%" bgcolor="#CCFFCC" border="1" cellpadding="0" cellspacing="0" rules="rows" bordercolor="#9CDF9C">
									<!-- IndexTable     Dragan Radeka -->
									<tr bordercolor="#CEFFCE">
										<td colspan="4">
											<div align="center" class="big">Indexes</div>
										</td>
									</tr>
									<tr bordercolor="#CEFFCE">
										<td colspan="3">
											<div align="left" class="medium">index</div>
										</td>
										<td colspan="1">
											<div align="left" class="medium">indexColumn</div>
										</td>
									</tr>
									<tr bordercolor="#CEFFCE">
										<!--bgcolor="#EFEFBC"-->
										<td>
											<b>id</b>
										</td>
										<td>
											<b>unique</b>
										</td>
										<td>
											<b>clustered</b>
										</td>
										<td>
											<b>id</b>
										</td>
									</tr>
									<xsl:apply-templates select="index"/>
								</table>
							</xsl:if>
							<br/>
							<xsl:variable name="docanz" select="count(column/javadoc)"/>
							<xsl:if test="$docanz>0">
								<xsl:call-template name="javadoc"/>
							</xsl:if>
						</td>
					</tr>
				</table>
			</div>
			<p/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="column">
		<tr>
			<xsl:for-each select=".">
				<td>
					<xsl:value-of select="@id"/>
				</td>
				<!--			<td>                                      Dragan Radeka  -->
				<!--				<xsl:if test="@isIndex='true'">yes</xsl:if>
					<xsl:if test="@isIndex!='true'">no</xsl:if>
					<xsl:if test="not(@isIndex)">no</xsl:if>     Dragan Radeka  -->
				<!--				<xsl:call-template name="index1">
    				  <xsl:with-param name="index1" select="@id"/>
    				</xsl:call-template>
				</td>                                     Dragan Radeka  -->
				<td>
					<xsl:if test="@usedForQuery='true'">yes</xsl:if>
					<xsl:if test="@usedForQuery!='true'">no</xsl:if>
					<xsl:if test="not(@usedForQuery)">no</xsl:if>
				</td>
				<td>
					<xsl:if test="referenceObject/@constraint='true'">yes</xsl:if>
					<xsl:if test="referenceObject/@constraint!='true'">no</xsl:if>
					<xsl:if test="not(referenceObject/@constraint)">no</xsl:if>
				</td>
				<td>
					<xsl:if test="type/@canBeNull='true'">yes</xsl:if>
					<xsl:if test="type/@canBeNull!='true'">no</xsl:if>
					<xsl:if test="not(type/@canBeNull)">no</xsl:if>
				</td>
				<td>
					<xsl:if test="contains(type/@javaType,'.')">
						<!-- kann a.b.c.d oder auch nur 'wert' sein -->
						<xsl:call-template name="functionpack">
							<xsl:with-param name="ID" select="type/@javaType"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="not(contains(type/@javaType,'.'))">
						<!-- else -->
						<xsl:value-of select="type/@javaType"/>
					</xsl:if>
				</td>
				<td>
					<xsl:if test="type/@dbType='none'">DECIMAL
			</xsl:if>
					<xsl:if test="type/@dbType!='none'">
						<xsl:value-of select="type/@dbType"/>
					</xsl:if>
				</td>
				<td>
					<xsl:if test="type/@dbType='none'">19,0
			</xsl:if>
					<xsl:if test="type/@dbType!='none'">
						<xsl:value-of select="type/@size"/>
					</xsl:if>
				</td>
				<td>
					<xsl:element name="a">
						<xsl:attribute name="href">#<xsl:if test="substring-before(referenceObject/@reference,'.')='root'"><xsl:value-of select="substring-after(referenceObject/@reference,'.')"/></xsl:if><xsl:if test="substring-before(referenceObject/@reference,'.')!='root'"><xsl:value-of select="referenceObject/@reference"/></xsl:if></xsl:attribute>
						<xsl:attribute name="title"><xsl:if test="substring-before(referenceObject/@reference,'.')='root'"><xsl:value-of select="substring-after(referenceObject/@reference,'.')"/></xsl:if><xsl:if test="substring-before(referenceObject/@reference,'.')!='root'"><xsl:value-of select="referenceObject/@reference"/></xsl:if></xsl:attribute>
						<xsl:call-template name="functionpack">
							<xsl:with-param name="ID" select="referenceObject/@reference"/>
						</xsl:call-template>
					</xsl:element>
				</td>
				<td>
					<xsl:if test="referenceObject/@reference">
						<xsl:call-template name="findtable">
							<xsl:with-param name="table" select="referenceObject/@reference"/>
						</xsl:call-template>
					</xsl:if>
				</td>
			</xsl:for-each>
		</tr>
	</xsl:template>
	<!--
Function:     index1
Parameter:    char ID    e.g. "aaa"
Beschreibung: 
This template was added by Dragan Radeka 19.01.2003.-->
	<xsl:template name="index1">
		<xsl:param name="index1"/>
		<xsl:param name="index2" select="$index1"/>
		<xsl:choose>
			<xsl:when test="../index/indexColumn[@id=$index2]">
				<xsl:for-each select="../index/indexColumn[@id=$index2]">
					<xsl:choose>
						<xsl:when test="../@unique='true'">Unique</xsl:when>
						<xsl:otherwise>notUnique</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>no</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
Function:     index
Parameter:    char ID    e.g. "aaa"
Beschreibung: 
This template was added by Dragan Radeka 29.01.2003.-->
	<!--Index Ostaje ista tabela-->
	<xsl:template match="index">
		<xsl:for-each select=".">
			<xsl:for-each select="indexColumn">
				<tr>
					<td>
						<xsl:value-of select="../@id"/>
					</td>
					<td>
						<xsl:if test="../@unique='true'">yes</xsl:if>
						<xsl:if test="../@unique!='true'">no</xsl:if>
						<xsl:if test="not(../@unique)">no</xsl:if>
					</td>
					<td>
						<xsl:if test="../@clustered='true'">yes</xsl:if>
						<xsl:if test="../@clustered!='true'">no</xsl:if>
						<xsl:if test="not(../@clustered)">no</xsl:if>
					</td>
					<td>
						<xsl:value-of select="@id"/>
					</td>
				</tr>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!--
Function:     functionpack
Parameter:    char ID    e.g. "aaa.bbb.ccc"
Beschreibung: Holt die Zeichenkette nach dem letzten Punkt
-->
	<xsl:template name="functionpack">
		<xsl:param name="ID"/>
		<xsl:variable name="varpack">
			<xsl:value-of select="substring-after($ID,'.')"/>
		</xsl:variable>
		<xsl:if test="string-length(substring-after($varpack,'.'))>0">
			<xsl:call-template name="functionpack">
				<xsl:with-param name="ID" select="$varpack"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(substring-after($varpack,'.'))=0">
			<xsl:value-of select="$varpack"/>
		</xsl:if>
	</xsl:template>
	<!--
Function:     functionpack2
Parameter:    char ID    e.g. "aaa.bbb.ccc"
Beschreibung: Holt alle Zeichenketten, _exclusive_ der letzten!!
-->
	<xsl:template name="functionpack2">
		<xsl:param name="ID"/>
		<!-- <xsl:value-of select="$ID"/> -->
		<xsl:variable name="varpack">
			<xsl:if test="substring-before($ID,'.')='root'">
				<xsl:call-template name="functionpack">
					<xsl:with-param name="ID" select="substring-after($ID,'.')"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="substring-before($ID,'.')!='root'">
				<xsl:call-template name="functionpack">
					<xsl:with-param name="ID" select="$ID"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:variable>
		<xsl:value-of select="substring(substring-after($ID,'.'),1,string-length(substring-after($ID,'.'))-string-length($varpack)-1)"/>
	</xsl:template>
	<!--
Function:     linktree
Parameter:    char Reststring    e.g. "aaa.bbb.ccc"
              char Wurzel, Aktuell (Intern)
Beschreibung: Hinterlegt den Text zwischen den Punkten mit Links.
-->
	<xsl:template name="linktree">
		<xsl:param name="reststring"/>
		<!--	<xsl:param name="wurzel"/>
		<xsl:param name="aktuell"/>           -->
		<xsl:if test="string-length(substring-after($reststring,'.'))=0">
			<font color="#FFFFFF">
				<xsl:value-of select="$reststring"/>
			</font>
		</xsl:if>
		<xsl:if test="string-length(substring-after($reststring,'.'))>0">
			<xsl:variable name="wurzel_a">
				<!--			<xsl:if test="string-length($wurzel)>0">           -->
				<!--				<xsl:value-of select="concat($wurzel,'.',substring-before($reststring,'.'))"/>    -->
				<!--			</xsl:if>                                          -->
				<!--			<xsl:if test="string-length($wurzel)=0">           -->
				<xsl:value-of select="substring-before($reststring,'.')"/>
				<!--			</xsl:if>                                          -->
			</xsl:variable>
			<xsl:variable name="aktuell">
				<xsl:value-of select="substring-before($reststring,'.')"/>
			</xsl:variable>
			<xsl:variable name="reststring">
				<xsl:value-of select="substring-after($reststring,'.')"/>
			</xsl:variable>
			<xsl:element name="a">
				<!--			<xsl:if test="string-length($wurzel)>0">           -->
				<xsl:attribute name="href">#<xsl:value-of select="$wurzel_a"/></xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="$wurzel_a"/></xsl:attribute>
				<xsl:value-of select="$aktuell"/>
				<!--			</xsl:if>                                          -->
			</xsl:element>
			<!--	<xsl:message>==================================================</xsl:message>
		<xsl:message>wurzel = <xsl:value-of select="$wurzel_a"/>
		</xsl:message>
		<xsl:message>aktuell = <xsl:value-of select="$aktuell"/>
		</xsl:message>
		<xsl:message>reststring = <xsl:value-of select="$reststring"/>
		</xsl:message>
		<xsl:message>==================================================</xsl:message>   -->
			<xsl:if test="string-length(substring-after($reststring,'.'))>0">.<!-- Ruf dich selbst auf mit Parametern -->
				<xsl:call-template name="linktree2">
					<xsl:with-param name="wurzel" select="$wurzel_a"/>
					<xsl:with-param name="aktuell" select="$aktuell"/>
					<xsl:with-param name="reststring" select="$reststring"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(substring-after($reststring,'.'))=0">.<!-- this is the last element in the linkchain -->
				<!-- wenn das Element mit der id "$reststring ist ein table, dann class -->
				<!-- wenn id des Knotens mit der id "$reststring ist ein table, dann class 
				<xsl:if test="//*::@id=$reststring">
				<xsl:message><xsl:value-of select="name(//*[@id=concat($wurzel,'.',$reststring)])"/></xsl:message>
				<xsl:if test="name(//*[@id=concat($wurzel,'.',$reststring)])='table'">-->
				<xsl:element name="a">
					<xsl:attribute name="href">#<xsl:value-of select="concat($wurzel_a,'.',$reststring)"/></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="concat($wurzel_a,'.',$reststring)"/></xsl:attribute>
					<xsl:value-of select="$reststring"/>
				</xsl:element>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--
Function:     linktree2
Parameter:    char Reststring    e.g. "aaa.bbb.ccc"
              char Wurzel, Aktuell (Intern)
Beschreibung: Hinterlegt den Text zwischen den Punkten mit Links.
This template was added by Dragan Radeka 19.01.2003.
-->
	<xsl:template name="linktree2">
		<xsl:param name="reststring"/>
		<xsl:param name="wurzel"/>
		<xsl:param name="aktuell"/>
		<xsl:if test="string-length(substring-after($reststring,'.'))=0">
			<font color="#FFFFFF">
				<xsl:value-of select="$reststring"/>
			</font>
		</xsl:if>
		<xsl:if test="string-length(substring-after($reststring,'.'))>0">
			<xsl:variable name="wurzel_a">
				<!--			<xsl:if test="string-length($wurzel)>0">       -->
				<xsl:value-of select="concat($wurzel,'.',substring-before($reststring,'.'))"/>
				<!--			</xsl:if>
				<xsl:if test="string-length($wurzel)=0">
					<xsl:value-of select="substring-before($reststring,'.')"/>
				</xsl:if>                                     -->
			</xsl:variable>
			<xsl:variable name="aktuell">
				<xsl:value-of select="substring-before($reststring,'.')"/>
			</xsl:variable>
			<xsl:variable name="reststring">
				<xsl:value-of select="substring-after($reststring,'.')"/>
			</xsl:variable>
			<xsl:element name="a">
				<xsl:if test="string-length($wurzel)>0">
					<xsl:attribute name="href">#<xsl:value-of select="$wurzel_a"/></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$wurzel_a"/></xsl:attribute>
					<xsl:value-of select="$aktuell"/>
				</xsl:if>
			</xsl:element>
			<!--	<xsl:message>==================================================</xsl:message>
		<xsl:message>wurzel = <xsl:value-of select="$wurzel_a"/>
		</xsl:message>
		<xsl:message>aktuell = <xsl:value-of select="$aktuell"/>
		</xsl:message>
		<xsl:message>reststring = <xsl:value-of select="$reststring"/>
		</xsl:message>
		<xsl:message>==================================================</xsl:message>   -->
			<xsl:if test="string-length(substring-after($reststring,'.'))>0">.<!-- Ruf dich selbst auf mit Parametern -->
				<xsl:call-template name="linktree2">
					<xsl:with-param name="wurzel" select="$wurzel_a"/>
					<xsl:with-param name="aktuell" select="$aktuell"/>
					<xsl:with-param name="reststring" select="$reststring"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(substring-after($reststring,'.'))=0">.<!-- this is the last element in the linkchain -->
				<!-- wenn das Element mit der id "$reststring ist ein table, dann class -->
				<!-- wenn id des Knotens mit der id "$reststring ist ein table, dann class 
				<xsl:if test="//*::@id=$reststring">
				<xsl:message><xsl:value-of select="name(//*[@id=concat($wurzel,'.',$reststring)])"/></xsl:message>
				<xsl:if test="name(//*[@id=concat($wurzel,'.',$reststring)])='table'">-->
				<xsl:element name="a">
					<xsl:attribute name="href">#<xsl:value-of select="concat($wurzel_a,'.',$reststring)"/></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="concat($wurzel_a,'.',$reststring)"/></xsl:attribute>
					<xsl:value-of select="$reststring"/>
				</xsl:element>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--
Function:     findtable
Parameter:    char table    e.g. "root.com.eosrisq.omdsdownload.data.log.OMDSDownloadLog"
Beschreibung: Holt den Tablename
-->
	<!--dbTableName ostaje nepromenjeno-->
	<xsl:template name="findtable">
		<xsl:param name="table"/>
		<xsl:for-each select="//package">
			<xsl:for-each select="table">
				<xsl:if test="@id=$table">
					<xsl:value-of select="@dbTableName"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!--
Function:     findreference
Parameter:    char table    e.g. "root.com.eosrisq.omdsdownload.data.log.OMDSDownloadLog"
Beschreibung: Liefert alle Klassen, die auf table zeigen.
-->
	<!--Tabela relations ispod je uredu-->
	<xsl:template name="findreference">
		<xsl:param name="table"/>
		<br/>
		<table width="100%" bgcolor="#CCFFCC" border="1" cellpadding="0" cellspacing="0" rules="rows" bordercolor="#9CDF9C">
			<tr bordercolor="#CEFFCE">
				<td colspan="3">
					<div align="center" class="big">Relations</div>
				</td>
			</tr>
			<tr bordercolor="#CEFFCE">
				<!--bgcolor="#CCCC33"-->
				<td>
					<b>Class</b>
				</td>
				<td>
					<b>Table Name</b>
				</td>
				<td>
					<b>Attribute</b>
				</td>
			</tr>
			<!--<xsl:param name="table"/>                              -->
			<xsl:for-each select="//package">
				<xsl:for-each select="table">
					<xsl:for-each select="column">
						<xsl:if test="referenceObject/@reference=$table">
							<tr>
								<td>
									<xsl:if test="substring-before(parent::table/@id,'.')='root'">
										<xsl:call-template name="linktree">
											<xsl:with-param name="reststring" select="substring-after(parent::table/@id,'.')"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="substring-before(parent::table/@id,'.')!='root'">
										<xsl:call-template name="linktree">
											<xsl:with-param name="reststring" select="parent::table/@id"/>
										</xsl:call-template>
									</xsl:if>
								</td>
								<td>
									<xsl:element name="a">
										<xsl:attribute name="href">#<xsl:if test="substring-before(parent::table/@id,'.')='root'"><xsl:value-of select="substring-after(parent::table/@id,'.')"/></xsl:if><xsl:if test="substring-before(parent::table/@id,'.')!='root'"><xsl:value-of select="parent::table/@id"/></xsl:if></xsl:attribute>
										<xsl:attribute name="title"><xsl:if test="substring-before(parent::table/@id,'.')='root'"><xsl:value-of select="substring-after(parent::table/@id,'.')"/></xsl:if><xsl:if test="substring-before(parent::table/@id,'.')!='root'"><xsl:value-of select="parent::table/@id"/></xsl:if></xsl:attribute>
										<xsl:call-template name="findtable">
											<xsl:with-param name="table" select="parent::table/@id"/>
										</xsl:call-template>
									</xsl:element>
								</td>
								<td>
									<xsl:value-of select="@id"/>
								</td>
							</tr>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
		</table>
		<br/>
	</xsl:template>
	<!--ovo ispod je sredjeno i predstavlja prvu tabelu na stranici-->
	<xsl:template name="getclasseswithgenerateSecureInsecure">
		<!--Promenjeno ime templejta iz getclasseswithlazycaching - Slobodan Vujasinovic-->
		<table border="0" width="100%" bgcolor="#333333" cellpadding="0" cellspacing="0">
			<tr>
				<td width="25%">
					<h4>
						<font color="#FFFFFF">Package</font>
					</h4>
				</td>
				<td width="25%">
					<h4>
						<font color="#FFFFFF">Class</font>
					</h4>
				</td>
				<td width="10%">
					<h4 align="center">
						<font color="#FFFFFF">
							<!--Dodato umesto isLazy  - Slobodan Vujasinovic-->GenSecure</font>
					</h4>
				</td>
				<td width="10%">
					<h4 align="center">
						<font color="#FFFFFF">
							<!--Dodato umesto caching  - Slobodan Vujasinovic-->GenInsecure</font>
					</h4>
				</td>
				<td width="10%">
					<h4 align="center">
						<font color="#FFFFFF">
							<!--Dodato      -dp                              -->MassDeletes</font>
					</h4>
				</td>
				<td width="10%">
					<h4 align="center">
						<font color="#FFFFFF">
							<!--Dodato      -dp                              -->MassUpdates</font>
					</h4>
				</td>				
				<td width="10%">
					<h4 align="center">
						<font color="#FFFFFF">
							<!--Dodato umesto caching  - Slobodan Vujasinovic-->DirtyDOs</font>
					</h4>
				</td>
			</tr>
			<tr>
				<td colspan="7">
					<xsl:for-each select="//package">
						<xsl:sort order="ascending" select="@id"/>
						<xsl:if test="@id!='root'">
							<table bgcolor="#77AA77" width="100%" border="0" class="white" cellpadding="0" cellspacing="0">
								<tr>
									<td>
										<xsl:if test="substring-before(@id,'.')='root'">
											<xsl:call-template name="linktree">
												<xsl:with-param name="reststring" select="substring-after(@id,'.')"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:if test="substring-before(@id,'.')!='root'">
											<xsl:call-template name="linktree">
												<xsl:with-param name="reststring" select="@id"/>
											</xsl:call-template>
										</xsl:if>
									</td>
								</tr>
							</table>
							<table border="0" width="100%" bgcolor="#CCFFCC" cellpadding="0" cellspacing="0">
								<xsl:for-each select="table">
									<xsl:sort order="ascending" select="@id"/>
									<tr>
										<td width="25%"/>
										<td width="25%">
											<xsl:element name="a">
												<xsl:attribute name="href">#<xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
												<xsl:attribute name="title"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
												<xsl:value-of select="substring-after(@id,concat(parent::package/@id,'.'))"/>
											</xsl:element>
										</td>
										<td width="10%">
											<!--Dodato umesto isLazy  - Slobodan Vujasinovic-->
											<div align="center">
												<xsl:if test="@generateSecure='true'">true</xsl:if>
												<xsl:if test="@generateSecure!='true'">false</xsl:if>
												<xsl:if test="not(@generateSecure)">false</xsl:if>
											</div>
										</td>
										<td width="10%">
											<!--Dodato umesto caching  - Slobodan Vujasinovic-->
											<div align="center">
												<xsl:if test="@generateInsecure='true'">true</xsl:if>
												<xsl:if test="@generateInsecure!='true'">false</xsl:if>
												<xsl:if test="not(@generateInsecure)">true</xsl:if>
											</div>
										</td>
										<td width="10%">
											<div align="center">
												<xsl:if test="@massDeletes" xml:space="default">
			    		 					       <xsl:value-of select="@massDeletes"/>
		     							      </xsl:if>
												<!-- <xsl:if test="not(@dirtyDOs)"> zoran -->
												 <xsl:if test="not(@massDeletes)">
												    <xsl:if test="/doml/database/@massDeletes" xml:space="default">
												        <xsl:value-of select="/doml/database/@massDeletes"/>
		     							          </xsl:if>
		     							          <xsl:if test="not(/doml/database/@massDeletes)">false</xsl:if>
		     							      </xsl:if>
											</div>
										</td>
										<td width="10%">
											<div align="center">
												<xsl:if test="@massUpdates" xml:space="default">
			    		 					       <xsl:value-of select="@massUpdates"/>
		     							      </xsl:if>
												<xsl:if test="not(@massUpdates)">
												    <xsl:if test="/doml/database/@massUpdates" xml:space="default">
												        <xsl:value-of select="/doml/database/@massUpdates"/>
		     							          </xsl:if>
		     							          <xsl:if test="not(/doml/database/@massUpdates)">false</xsl:if>
		     							      </xsl:if>
											</div>
										</td>
										<td width="10%">
											<div align="center">
												<xsl:if test="@dirtyDOs" xml:space="default">
			    		 					       <xsl:value-of select="@dirtyDOs"/>
		     							      </xsl:if>
												<xsl:if test="not(@dirtyDOs)">
												    <xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
												        <xsl:value-of select="/doml/database/@dirtyDOs"/>
		     							          </xsl:if>
		     							          <xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if>
		     							      </xsl:if>
											</div>
										</td>
									</tr>
								</xsl:for-each>
							</table>
						</xsl:if>
					</xsl:for-each>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="javadoc">
		<table width="100%" bgcolor="#CCFFCC" border="1" cellpadding="0" cellspacing="0" rules="rows" bordercolor="#9CDF9C">
			<!-- Farbteil AttrbiuteTable  -->
			<tr bordercolor="#CEFFCE">
				<td colspan="2">
					<div align="center" class="big">JavaDoc</div>
				</td>
			</tr>
			<tr bordercolor="#CEFFCE">
				<td>
					<b>id</b>
				</td>
				<td>
					<b>Text</b>
				</td>
			</tr>
			<xsl:apply-templates select="column/javadoc"/>
		</table>
	</xsl:template>
	<xsl:template match="column/javadoc">
		<tr>
			<td valign="top">
				<xsl:value-of select="parent::column/@id"/>
			</td>
			<td>
				<pre>
					<xsl:value-of select="current()"/>
				</pre>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
