/*
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 * 
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 * 
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 * 
 * Contributor(s):
 * 
 * $Id: SMS.java,v 1.1 2004/08/16 09:33:11 slobodan Exp $
 */

package com.lutris.airsent.business.sms;
import java.io.IOException;

/**
 * Utility class used to send email.
 * 
 * @author Joseph Shoop
 */
public class SMS{
    private String	       host = "localhost";
    private String	       port = "9001";
    private String	       id = "0";
    private String	       type = "0";
    private String             password = "foo";
 

    /**
     * Constructor with mail server name.
     * 
     * 
     * @param mailserverURL
     * 
     */
    public SMS(String host, String port, String id,
		   String type, String password) throws IOException {
	this.host = host;
	this.port = port;
	this.id = id;
	this.type = type;
	this.password = password;
	
    }

    /**
     * Sends mail.
     * 
     * 
     * @param id
     * @param body
     * 
     * @throws Exception
     * 
     */
    public void sendMessage(String id, String body) throws Exception {
	try {
	    sendSMSMessage(id, body);
	} catch (Exception e) {
	    throw new Exception("Error opening socket" + e);
	} 
	
    } 
    
    private void sendSMSMessage(String id, String body) throws Exception {
	try {
	    //Assuming we are using Noctor SMS SDK.
	   //   sms.Smpp t = new Smpp("host", port);
	    //  	    t.bind(new sms.Binding(id, type, password));
	    //  	    sms.Address address = new sms.Address(id, sms.GSM_TON_INTERNATIONAL,
	    //  						  sms.GSM_NPI_E164);
	    //  	    smsMessage message = new sms.Message(address, body);
	    //  	    t.send(message);
	    
	} catch (Exception e) {
	    throw new Exception("Error opening socket" + e);
	} 
	
    } 

}




