/*
 * Copyright (c) 1999-2001 Lutris Technologies, Inc. All Rights
 * Reserved.
 * 
 * This source code file is distributed by Lutris Technologies, Inc. for
 * use only by licensed users of product(s) that include this source
 * file. Use of this source file or the software that uses it is covered
 * by the terms and conditions of the Lutris Enhydra Development License
 * Agreement included with this product.
 * 
 * This Software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific terms
 * governing rights and limitations under the License.
 * 
 * Contributor(s):
 * 
 * $Id: OrderForm.java,v 1.1 2004/08/16 09:33:18 slobodan Exp $
 */

package com.lutris.airsent.spec.delivery;

import com.lutris.airsent.spec.AirSentException;

/**
 * OrderForm interface.
 */
public interface OrderForm {
	
public boolean getFragile();
public void setFragile(boolean f);
public boolean getUrgent();
public void setUrgent(boolean u);
public String getSize();
public void  setSize(String s);
public String getDescription();
public void setDescription(String d)throws AirSentException;
public String getOrderId();
public String getPickUpName();
public String getPickUpAddress1();
public String getPickUpPhone();
public String getPickUpDirections();
public String getDropOffName();
public String getDropOffAddress1();
public String getDropOffPhone();
public String getDropOffDirections();
public void setPickUpName(String name) throws AirSentException;

public void setPickUpAddress1(String addr)throws AirSentException;
public void setPickUpDirections(String dir)throws AirSentException;
public void setPickUpPhone(String phone)throws AirSentException;
 public void setDropOffName(String name)throws AirSentException;
 public void setDropOffAddress1(String addr)throws AirSentException;
 public void  setDropOffPhone(String phone)throws AirSentException;
 public void setDropOffDirections(String dir)throws AirSentException; 
}	
	
	