/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id: RenderRegister.java,v 1.4 2004/12/03 14:12:34 slobodan Exp $
 */
package barracudaDiscRack.presentation.personMgmt.events;

import barracudaDiscRack.presentation.events.RenderEvent;

/**
 * This event indicates we need to render the Register
 * screen view.
 */
public class RenderRegister extends RenderEvent {
	/**
	 * Default noargs constructor
	 */
	public RenderRegister() {super();}

	/**
	 * Public constructor. Automatically sets the source parameter.
	 * If you do not use this method you should manually set the
	 * source before dispatching the event.	
	 */
	public RenderRegister(Object source) {
		super(source);
	}
}
