package fops.presentation;

import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import org.w3c.dom.html.*;
import org.w3c.dom.Node;
import java.io.IOException;
import fops.presentation.*;
import java.text.DateFormat;
import org.w3c.dom.Node;

public class ShowAppletPO implements HttpPresentation {


    public void run(HttpPresentationComms comms)
        throws HttpPresentationException, IOException {

				String param = comms.request.getParameter("language");

				if(param.equalsIgnoreCase("EN1")) {
					FOPappletEN1HTML page = (FOPappletEN1HTML)comms.xmlcFactory.create(FOPappletEN1HTML.class);
          comms.response.writeDOM(page);
        }

        if(param.equalsIgnoreCase("EN2")) {
					FOPappletEN2HTML page = (FOPappletEN2HTML)comms.xmlcFactory.create(FOPappletEN2HTML.class);
          comms.response.writeDOM(page);
        }

        if(param.equalsIgnoreCase("DE1")) {
					FOPappletDE1HTML page = (FOPappletDE1HTML)comms.xmlcFactory.create(FOPappletDE1HTML.class);
          comms.response.writeDOM(page);
        }

        if(param.equalsIgnoreCase("DE2")) {
					FOPappletDE2HTML page = (FOPappletDE2HTML)comms.xmlcFactory.create(FOPappletDE2HTML.class);
          comms.response.writeDOM(page);
        }

        if(param.equalsIgnoreCase("SH1")) {
					FOPappletSH1HTML page = (FOPappletSH1HTML)comms.xmlcFactory.create(FOPappletSH1HTML.class);
          comms.response.writeDOM(page);
        }

        if(param.equalsIgnoreCase("SH2")) {
					FOPappletSH2HTML page = (FOPappletSH2HTML)comms.xmlcFactory.create(FOPappletSH2HTML.class);
          comms.response.writeDOM(page);
        }

    }

}