/*
 *  fopEditor
 *
 *  Enhydra super-servlet specification object
 *  
 */
package fops.spec;


public class RenderManagerFactory {
    
    /**
     * Constructor can't be used.
     */
    private RenderManagerFactory() {
    }

    /**
     * Create a RenderManager as state object/value object/data transfer object
     */
    public static RenderManager getRenderManager(String fullClassName) {
        
        RenderManager result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (RenderManager)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}