/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

/**
	This interface defines the required functions of a cart item
    query object. When items are added to the cart, they are added by ObjectId.
    This object is what the cart uses to convert ObjectIds to actual items.
	This interface exists so that the shopping cart may be reused in
    other contexts, with other objects.
*/
package golfShop.business.cart;

import golfShop.spec.cart.CartItem;

public interface CartItemQuery {

	CartItem getItem(long ObjectId);

}
