/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package golfShop.presentation.xmlc.main;

import org.enhydra.xml.xmlc.*;
import com.lutris.appserver.server.httpPresentation.*;


/**
 * This presentation object acts as a wrapper for 
 * Contents.po and Shelf.po. These presentation objects
 * are responsible for  the dynamic content on this that 
 * appears on this page.
 */
public class Main implements HttpPresentation {

    public void run(HttpPresentationComms comms)
        throws HttpPresentationException {

        MainHTML main
            = (MainHTML)comms.xmlcFactory.create(MainHTML.class);
        comms.response.writeDOM(main);
    }

}
