/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec.inventory;


public class InventoryFactory {

    /**
     * Constructor can't be used.
     */
    private InventoryFactory() {
    }

    /**
     * Create a Cart as state object/value object/data transfer object
     */
    public static Inventory getInventory(String fullClassName) {

        Inventory result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (Inventory)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}