/*
 *  golfShop
 *
 *  Enhydra super-servlet specification object
 *
 */
package golfShop.spec.user;


public class UserDOFactory {

    /**
     * Constructor can't be used.
     */
    private UserDOFactory() {
    }

    /**
     * Create a UserDO as state object/value object/data transfer object
     */
    public static UserDO getUserDO(String fullClassName) {

        UserDO result = null;

        Class objectClass = null;

        try {
            // Create the value object


         objectClass = Class.forName(fullClassName);

          result = (UserDO)objectClass.newInstance();

      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}