/*
 * JivanExample 
 *
 * This type of presentation object could be the target of a form's 
 * submit button, process the data, and then decide where to send 
 * the user (back or on to the next page).
 *  
 */

package org.enhydra.jivan.test.presentation;

import com.lutris.appserver.server.httpPresentation.*;


public class RedirectPresentation implements HttpPresentation {

   /*
    * There is the only function needed in order to be a presentation object.
    */
    public void run(HttpPresentationComms comms) throws Exception {
        throw new ClientPageRedirectException(
                      comms.request.getAppFileURIPath("WelcomePresentation.po"));
    }

}
