/*
 *  transactionsDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package transactionsDiscRack.spec;

import org.enhydra.dods.exceptions.AssertionDataObjectException;

import com.lutris.appserver.server.sql.DBTransaction;

public interface Disc {

	public String getHandle();

	public String getTitle();

	public String getArtist();

	public String getGenre();

	public boolean isLiked();

	public void setTitle(String title);

	public void setArtist(String artist);

	public void setGenre(String genre);

	public void setOwner(String ownerHandle);

	public void setLiked(boolean isLiked);

	public void save(DBTransaction transaction)
			throws TransactionsDiscRackException, AssertionDataObjectException;

	public void delete(DBTransaction transaction)
			throws TransactionsDiscRackException, AssertionDataObjectException;

}