/*
 *  transactionsDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */

package transactionsDiscRack.spec;

import org.enhydra.dods.exceptions.AssertionDataObjectException;

import com.lutris.appserver.server.sql.DBTransaction;

public interface Person {

	public String getHandle() throws TransactionsDiscRackException;

	public String getLogin() throws TransactionsDiscRackException;

	public String getPassword() throws TransactionsDiscRackException;

	public String getFirstname() throws TransactionsDiscRackException;

	public String getLastname() throws TransactionsDiscRackException;

	public void setLogin(String login) throws TransactionsDiscRackException;

	public void setPassword(String password)
			throws TransactionsDiscRackException;

	public void setFirstname(String firstname)
			throws TransactionsDiscRackException;

	public void setLastname(String lastname)
			throws TransactionsDiscRackException;

	public void save(DBTransaction transaction)
			throws TransactionsDiscRackException, AssertionDataObjectException;

}
