/*
 *  transactionsDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package transactionsDiscRack.spec;

public class PersonFactory {

	/**
	 * Constructor can't be used.
	 */
	private PersonFactory() {
	}

	/**
	 * Create a Person as state object/value object/data transfer object
	 */
	public static Person getPerson(String fullClassName)
			throws ClassNotFoundException, InstantiationException,
			IllegalAccessException {
		Person result = null;
		Class objectClass = null;
		// Create the value object
		objectClass = Class.forName(fullClassName);
		result = (Person) objectClass.newInstance();
		return result;
	}

}