
/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Welcome.java,v 1.1 2004/08/16 10:50:22 slobodan Exp $
 */

package com.lutris.appserver.welcome;

import com.lutris.appserver.server.*;
import com.lutris.appserver.server.httpPresentation.*;

/**
 * This is a standard Enhydra appliation. All of the work is done in the
 * parent class StandardApplication. Normally application-wide data would
 * be stored here, as well as startup code etc..
 */
public class Welcome extends StandardApplication {

    /**
     *   This is an optional function, used by the Multiserver's graphical
     *   admin. This bit of HTML appears in the status page for this
     *   application.
     *
     *  @return HTML that is displayed in the status page of the
     *   Multiserver.
     */
    public String toHtml() {
        return "<I>Customized information about your application " +
               "can be displayed here.</I>";
    }


}
