package org.enhydra.wlh.presentation.session;



import org.enhydra.wlh.presentation.utils.ParamConsts;
import org.enhydra.wlh.spec.User;


import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;

public class UserImp implements User{

 /**
   * The user's password
   */
  private String password = null;

  /**
   * The user's username
   */
  private String username = null;

 
  /**
   * Simple constructor
   */
  public UserImp() {
  }


  public UserImp(HttpPresentationComms comms) {
    try { 
    	 this.username = comms.request.getParameter(ParamConsts.STR_PREFIX+ParamConsts.USERNAME_INPUT);
    	 this.password = comms.request.getParameter(ParamConsts.STR_PREFIX+ParamConsts.USERNAME_INPUT);
    }
    catch (Exception ex) {
    }
  }

  /**
   * Constructor for user only with username
   * @param usrN
   */ 
  
  public UserImp(String usrN) {
    try { 
    	 this.username = usrN;	 
    }
    catch (Exception ex) {
    }
  }
  /**
   * Sets the username
   * @param name user's username
   */
  public void setUsername(String name) {
    this.username = name;
  }

  /**
   * Gets the username
   * @return Username
   */
  public String getUsername() {
    return this.username;
  }

  /**
   * Sets the password
   * @param pass user's password
   */
  public void setPassword(String pass) {
    this.password = pass;
  }

  /**
   * Gets the password
   * @return Password
   */
  public String getPassword() {
    return this.password;
  }


}