/*
 *  xalanDoc
 *
 *  Enhydra super-servlet specification object
 *  
 */
package org.enhydra.wlh.spec;


public class TransformManagerFactory {
    
    /**
     * Constructor can't be used.
     */
    private TransformManagerFactory() {
    }

    /**
     * Create a Manager as state object/value object/data transfer object
     */
    public static TransformManager getTransformManager(String fullClassName) {
        
    	TransformManager result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (TransformManager)objectClass.newInstance();
                                     
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}