package org.enhydra.wlh.spec;

import java.io.OutputStream;

public interface XMLBuilder {

	/**
	 * return String representation on XML 
	 * 
	 * @param xmlType
	 * @return XML document 
	 * @throws Exception
	 */




	public String getResult(int xmlType) throws Exception;

	
	/**
	 * fill OutputStream with content of XML document
	 * 
	 * @param os
	 * @param xmlType
	 * @throws Exception
	 */
	
	public void writeResult(OutputStream os,int xmlType) throws Exception;
}
