/*
 *  calculator
 *
 *  Enhydra super-servlet specification object
 *  
 */

package calculator.spec;

import com.lutris.util.KeywordValueException;
import com.lutris.appserver.server.session.SessionData;

public interface CalculatorManager {

   public void addDigit(SessionData sd, String button) throws KeywordValueException;
   public void addPoint(SessionData sd) throws KeywordValueException;
   public void negate(SessionData sd) throws KeywordValueException;
   public void doEquals(SessionData sd) throws KeywordValueException;
   public void doFunction(SessionData sd, String op) throws KeywordValueException;
   public void clear(SessionData sd) throws KeywordValueException;
}