/*
 *  chat
 *
 *  Enhydra super-servlet specification object
 *  
 */

package chat.spec;


public interface DiscussionManager {
	
 public void addMessage(String name, String text);
 public void clear();
 public Snapshot getContents(long currentState, long wait);
 public void startHarvester(int lifetimeSec, int intervalSec);
 public void setMaxQueueSize(int maxQueueSize);
 public long getTotalReceived();
 public long getCurrentSize();
 public int getNumWaiting();
 public void stopHarvester();
}