/*
 *  discRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package discRack.spec;

import org.enhydra.dods.exceptions.AssertionDataObjectException;

public interface Disc {
	

	 public String getHandle() throws DiscRackException;
	 public String getTitle()  throws DiscRackException;
	 public String getArtist() throws DiscRackException;
	 public String getGenre()  throws DiscRackException;
	 public boolean isLiked()  throws DiscRackException;
	 public void setTitle(String title) throws DiscRackException;
	 public void setArtist(String artist) throws DiscRackException;
	 public void setGenre(String genre) throws DiscRackException;
	 public void setOwner(Person owner) throws DiscRackException;
	 public void setLiked(boolean isLiked) throws DiscRackException;
	 public void save() throws DiscRackException, AssertionDataObjectException;
	 public void delete() throws DiscRackException, AssertionDataObjectException;
}