/*
 *  discRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package discRack.spec;

public class DiscFactory {
/**
* Constructor can't be used.
*/
 private DiscFactory() {
    }
    /**
     * Create a Disc as state object/value object/data transfer object
     */
    public static Disc getDisc(String fullClassName) throws DiscRackException
    {
    	Disc result=null;
        Class objectClass = null;
    	
    	try{
    	 // Create the value object
    	 objectClass = Class.forName(fullClassName);
                                   
          result = (Disc)objectClass.newInstance();
    	
    	
    	 } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

    	return result;
    
  }
  
   } 