/*
 *  discRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package discRack.spec;

public class DiscGeneratorFactory {
/**
* Constructor can't be used.
*/
    private DiscGeneratorFactory() {
    }

/**
* Create a DiscGenerator as state object/value object/data transfer object
*/
    public static DiscGenerator getDiscGenerator(String fullClassName) {
        DiscGenerator result = null;
        Class objectClass = null;

        try {
            // Create the value object
            objectClass = Class.forName(fullClassName);
            result = (DiscGenerator) objectClass.newInstance();
       
        } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}