/*
 *  discRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package discRack.spec;


public class PersonFactory {
    
    /**
     * Constructor can't be used.
     */
    private PersonFactory() {
    }

    /**
     * Create a Person as state object/value object/data transfer object
     */
    public static Person getPerson(String fullClassName)throws DiscRackException {
        
        Person result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (Person)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
    
     
    
    
    
    
    
    
}