/*
 *  imapWeb
 *
 *  Enhydra super-servlet specification object
 *  
 */
package scioworks.imap.spec.beans;


public class IWMessageFactory {
    
    /**
     * Constructor can't be used.
     */
    private IWMessageFactory() {
    }

    /**
     * Create a IWMessage as state object/value object/data transfer object
     */
    public static IWMessage getIWMessage(String fullClassName) {
        
        IWMessage result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (IWMessage)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}