/*
 *  imapWeb
 *
 *  Enhydra super-servlet specification object
 *  
 */
package scioworks.imap.spec.util;


public class MessagingUtilFactory {
    
    /**
     * Constructor can't be used.
     */
    private MessagingUtilFactory() {
    }

    /**
     * Create a MessagingUtil as state object/value object/data transfer object
     */
    public static MessagingUtil getMessagingUtil(String fullClassName) {
        
        MessagingUtil result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (MessagingUtil)objectClass.newInstance();
               
                       
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}