/*
 *  jtaDiscRack 
 *
 *  Enhydra super-servlet specification object
 *  
 */

package jtaDiscRack.spec;

import org.enhydra.dods.exceptions.AssertionDataObjectException;

public interface Person {

	public String getHandle() throws JtaDiscRackException;

	public String getLogin() throws JtaDiscRackException;

	public String getPassword() throws JtaDiscRackException;

	public String getFirstname() throws JtaDiscRackException;

	public String getLastname() throws JtaDiscRackException;

	public void setLogin(String login) throws JtaDiscRackException;

	public void setPassword(String password)
			throws JtaDiscRackException;

	public void setFirstname(String firstname)
			throws JtaDiscRackException;

	public void setLastname(String lastname)
			throws JtaDiscRackException;

	public void save()
			throws JtaDiscRackException, AssertionDataObjectException;

}
