package phoneList.business;

import phoneList.data.PersonDO;
import phoneList.spec.*;

/**
 * Person defines the business level methods available to modify
 * a person.  This object would enforce any business logic....
 * it isn't really used by this demo.
 */
public class PersonImpl implements Person {

    private PersonDO p;

    protected PersonImpl(PersonDO p) {
        this.p = p;
    }

    public String getFirstName() {
        try {
            return p.getFirstName();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

    public String getLastName() {
        try {
            return p.getLastName();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

    public String getPhoneNumber() {
        try {
            return p.getPhoneNumber();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

    public String getId() throws Exception {
        try {
            return "" + p.getOId();
        } catch (Exception e) {
            System.out.println(e);
            return "";
        }
    }

}


