/*
 * put your module comment here
 * formatted with JxBeauty (c) johann.langhofer@nextra.at
 */


package  phoneList.presentation;

import  com.lutris.appserver.server.httpPresentation.*;
import  phoneList.spec.*;


/**
 */
public class DoServerPresentation
    implements HttpPresentation {

  public void run (HttpPresentationComms comms) throws Exception {
    String server = null;
    try {
      server = comms.request.getParameter("server");
    } catch (Exception e) {}
    String port = null;
    try {
      port = comms.request.getParameter("port");
    } catch (Exception e) {}
    String okTarget = comms.request.getAppFileURIPath("ListPresentation.po");
    String errTarget = comms.request.getAppFileURIPath("ErrorPresentation.po");
    ClientPageRedirectException err = new ClientPageRedirectException(errTarget);
    ClientPageRedirectException ok = new ClientPageRedirectException(okTarget);
    if ((server == null) || (server.length() == 0)) {
      err.addArgument("err", "Error: no server name specified.");
      throw  err;
    }
    if ((port == null) || (port.length() == 0)) {
      err.addArgument("err", "Error: no port value specified.");
      throw  err;
    }
    PhoneList phoneList = PhoneListFactory.getPhoneList("phoneList.business.PhoneListImpl");
   try{
    phoneList.setServerUrl(server, port);
   } catch(NullPointerException ex) {}
   
    throw  ok;
  }
}



