/**
 * Title:        OpenUSS - Open Source University Support System
 * Description:  BaseException Table Object
 * Copyright:    Copyright (c) B. Lofi Dewanto
 * Company:      University of Muenster
 * @author  B. Lofi Dewanto
 * @version 1.0
 */
package org.openuss.presentation.enhydra.framework;

/**
 * The base exception table object for Enhydra.
 *
 * @author  B. Lofi Dewanto
 * @version 1.0
 */
public class BaseTableException extends java.lang.Exception {
    /**
     * Constructor.
     */
    public BaseTableException() {
        super();
    }

    /**
     * Constructor.
     */
    public BaseTableException(String msg) {
        super(msg);
    }
}