package poker.data.game;

import java.util.Vector;

/**
 * 
 * EnhyDraw!, beta 4, 5/21/99
 *
 * Copyright 1999, Larry Wolcot & Daryl Tempesta
 * ALL rights reserved. Not for commercial use
 * without written permission from both authors.
 *
 * Forgive the lack of docs and CR's in the Data Objects.
 * I don't have a lot of time for this project, and this
 * should be easy enough to figure out
 */
public class PitBossVDO implements java.io.Serializable {
    private String gameName= "";
    private int totalDollars = 0;
    private int totalBankrupt = 0;
    private int totalHandsDealt = 1;
    private int totalHandsWon = 0;

   /**
    * Basic Constructor
    */
    public PitBossVDO(){
    }

    //basic "SET" encapsulation methods for this object.
    public void setGameName(String gameName){ 
	this.gameName = gameName; 
    }

    public void setTotalDollars(int totalDollars){ 
	this.totalDollars = totalDollars; 
    }

    public void setTotalBankrupt(int totalBankrupt){ 
	this.totalBankrupt = totalBankrupt; 
    }

    public void setTotalHandsDealt(int totalHandsDealt){ 
	this.totalHandsDealt = totalHandsDealt; 
    }

    public void setTotalHandsWon(int totalHandsWon){ 
	this.totalHandsWon = totalHandsWon; 
    }

    //basic "GET" encapsulation methods for this object.
    public String getGameName(){ 
	return gameName; 
    }

    public int getTotalDollars(){ 
	return totalDollars; 
    }

    public int getTotalHandsDealt(){ 
	return totalHandsDealt; 
    }

    public int getTotalBankrupt(){ 
	return totalBankrupt; 
    }

    public int getTotalHandsWon(){ 
	return totalHandsWon; 
    }

} 
