/**
 * EnhyDraw!, beta 4, 5/21/99
 *
 * Copyright 1999, Larry Wolcot & Daryl Tempesta
 * ALL rights reserved. Not for commercial use
 * without written permission from both authors.
 *
 */

package poker.data.other;

public class Fortune{
    private int fortuneNumber;
    private boolean hasBeenUsed;
    private String fortune;

    public Fortune(int fortuneNumber, String fortune){
	this.fortuneNumber = fortuneNumber;
	this.fortune = fortune;
	this.hasBeenUsed = false;
    }

    public String getFortune(){
	return fortune;
    }

    public boolean getHasBeenUsed(){
	return hasBeenUsed;
    }

    public int getFortuneNumber(){
	return fortuneNumber;
    }

    public void setFortune(String fortune){
	this.fortune = fortune;
    }

    public void setFortuneNumber(int fortuneNumber){
	this.fortuneNumber = fortuneNumber;
    }

    public void setHasBeenUsed(boolean hasBeenUsed){
	this.hasBeenUsed = hasBeenUsed;
    }

}
