/*
 *  Poker
 *
 *  Enhydra super-servlet presentation object
 *
 */

package poker.presentation.main;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;


public class HelpPresentation implements HttpPresentation {


  public void run(HttpPresentationComms comms)
                      throws HttpPresentationException {

    HelpHTML help;

    help = (HelpHTML)comms.xmlcFactory.create(HelpHTML.class);
    comms.response.writeDOM(help);
  }

}
