/*
 *  poker
 *
 *  Enhydra super-servlet specification object
 *  
 */

package poker.spec;

import java.util.Vector;

public interface GameList {

public void setUseDB(boolean useDB) throws Exception;
public  void addGame(PokerGame thisGame);
public  void addGameToDB(PokerGame newGame) throws Exception;
public  void removeGame(String thisName);
public  void removeDBGame(String name) throws Exception;
public void removeMemoryGame(String name);
public PokerGame getGame(String name);
public boolean getIsNameUsed(String name);
public Vector getTopTen();
public boolean authenticate(String name, String pw);
public  boolean getIsNameUsedInDB(String name);
public  boolean getIsNameUsedInMemory(String name);
public  boolean authenticateInDB(String name, String pw);
public  boolean authenticateInMemory (String name, String pw);
public  PokerGame getGameInMemory(String name);
public  Vector getTopTenInMemory();
public  void updateGame(PokerGame thisGame);
public int getCount();
public Vector getTopTenInDB();
public  int getRank(int cash);

}