/*
 *  poker
 *
 *  Enhydra super-servlet specification object
 *  
 */

package poker.spec;

import java.util.Vector;

public interface GameManager {
public void setUseDB(boolean useDB) throws Exception;
public String getTotalBankrupt();
public String getHouseProfit();
public String getTotalPlayers();
public String getTotalHandsDealt();
public String getTotalHandsWon();
public String getTotalHandsLost();
public  void setTotalHandsWon(int n);
public  void setTotalBankrupt(int n);
public  void setHandsDealt(int n);
public  void setDollars(int n);
public  void setTotalDollars(int n);
public  Vector getGameList();
public  int getCount();
public  Vector getTopTen();
public  boolean getIsNameUsed(String name);
public  boolean authenticate(String name, String pw);
public  PokerGame getGame(String name) ;
public  void addGame(PokerGame newGame);
public  int getRank(int cash);
public  void removeGame(String name);
public  void updateGame(PokerGame thisGame);
}