/*
 *  poker
 *
 *  Enhydra super-servlet specification object
 *  
 */

package poker.spec;

import java.util.Vector;
import poker.spec.user.PlayerDO;;

public interface PokerGame {
	
public PlayerDO getPlayer();
public String getName();
public boolean getIsDirty();
public String getEmail();
public String getPassword();
public int getCash();
public int getPlayRound();
public String getID();
public int getBet();
public int getVersion();
public int getLargestBet();
public int getSmallestBet();
public int getTotalPlayed();
public int getTotalWon();
public Vector getCardsInHand();
public Vector getCardsUsed();
public int getDefaultBet();
public Vector getDropCards();
public String getDeck();
public String getLastError();
public void setCash(int cash);
public void setPlayRound(int playRound);
public void setLastError(String lastError);
public void setID(String id);
public void setName(String name);
public void setPassword(String pw);
public void setEmail(String email);
public void setBet(int bet);
public void setVersion(int version);
public void setLargestBet(int largestBet);
public void setSmallestBet(int smallestBet);
public void setTotalPlayed(int totalPlayed);
public void setTotalWon(int totalWon);
public void setCardsInHand(Vector cardsInHand);
public void setCardsUsed(Vector cardsUsed);
public void setDropCards(Vector dropCards);
public void setDeck(String deck);
public void setDefaultBet(int defaultBet);
}