package projectmanagement.business;

import projectmanagement.spec.*;;
/**
 * ProjectManagementBusinessException.
 * @author Sasa Bojanic
 * @version 1.0
 */
public class ProjectManagementBusinessException extends ProjectManagementException {

   /**
    * Public constructor to initialize an exception with a user message
    * and the exception that spawned it
    */
   public ProjectManagementBusinessException(String msg, Throwable ex) {
      super(msg, ex);
   }

   /**
    * Public constructor to initialize an exception with a user message
    */
   public ProjectManagementBusinessException(String msg) {
      super(msg);
   }
}
