/*
 *  projectManagement
 *
 *  Enhydra super-servlet presentation object
 *
 */

package projectmanagement.presentation;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;

// Standard imports
import java.io.IOException;

/**
* Generates a ProjectManagement help page.
*/
public class Help implements HttpPresentation {


   public void run(HttpPresentationComms comms) throws HttpPresentationException, IOException {
      comms.response.writeDOM(new HelpHTML());
   }

}
