package projectmanagement.presentation;

import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.util.ChainedException;

/**
 * ProjectManagement exception
 *
 * @author Sasa Bojanic
 * @version 1.0
 */
public class ProjectManagementPresentationException extends HttpPresentationException {

    /**
     * Public constructor to initialize an exception with a user message
     * and an exception chain to follow
     */
    public ProjectManagementPresentationException(String msg, Exception ex) {
        super(msg, ex);
    }
}
