/*
 *  projectManagement
 *
 *  Enhydra super-servlet presentation object
 *
 */

package projectmanagement.presentation.employees;

import projectmanagement.presentation.*;
import projectmanagement.spec.customer.*;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;

// Standard imports
import java.io.IOException;

/**
* Generates the blank HTML page.
*/
public class Controls implements HttpPresentation {

   public void run(HttpPresentationComms comms) throws HttpPresentationException, IOException {
      ControlsHTML page=new ControlsHTML();
      comms.response.writeDOM(page);
   }

}
