package projectmanagement.spec;

import com.lutris.util.ChainedException;
/**
 * ProjectManagementBusinessException.
 * @author Sasa Bojanic
 * @version 1.0
 */
public class ProjectManagementException extends ChainedException {

   /**
    * Public constructor to initialize an exception with a user message
    * and the exception that spawned it
    */
   public ProjectManagementException(String msg, Throwable ex) {
      super(msg, ex);
   }

   /**
    * Public constructor to initialize an exception with a user message
    */
   public ProjectManagementException(String msg) {
      super(msg);
   }
}
