/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.employee;

import projectmanagement.spec.ProjectManagementException;
import java.sql.Date;

public interface Employee {

public int getAuthLevel ();
public String getHandle()
      throws ProjectManagementException;
public void setLogin(String login)
      throws ProjectManagementException;
public String getLogin()
      throws ProjectManagementException; 
public void setPassword(String password)
      throws ProjectManagementException;
public String getPassword()
      throws ProjectManagementException;
public void setFirstName(String firstname)
      throws ProjectManagementException;
public String getFirstName()
      throws ProjectManagementException;      
public void setLastName(String lastname)
      throws ProjectManagementException;
public String getLastName()
      throws ProjectManagementException;
public void setTitle(String title)
      throws ProjectManagementException;
public String getTitle()
      throws ProjectManagementException;
public void setTitleOfCourtesy(String titleOfCourtesy)
      throws ProjectManagementException;
public String getTitleOfCourtesy()
      throws ProjectManagementException;
public void setBirthDate(Date birthDate)
      throws ProjectManagementException;
public Date getBirthDate()
      throws ProjectManagementException;
 public void setHireDate(Date hireDate)
      throws ProjectManagementException;
public Date getHireDate()
      throws ProjectManagementException;                  	
public void setAddress(String address)
      throws ProjectManagementException;
public String getAddress()
      throws ProjectManagementException;
public void setCity(String city)
      throws ProjectManagementException;
public String getCity()
      throws ProjectManagementException;
 public void setRegion(String region)
      throws ProjectManagementException;
public String getRegion()
      throws ProjectManagementException;
public void setPostalCode(String postalCode)
      throws ProjectManagementException;
public String getPostalCode()
      throws ProjectManagementException;
public void setCountry(String country)
      throws ProjectManagementException;
public String getCountry()
      throws ProjectManagementException;
public void setHomePhone(String homePhone)
      throws ProjectManagementException;
public String getHomePhone()
      throws ProjectManagementException;
public void setMobilePhone(String mobilePhone)
      throws ProjectManagementException;
public String getMobilePhone()
      throws ProjectManagementException;     
public void setEmail(String email)
      throws ProjectManagementException;    
public String getEmail()
      throws ProjectManagementException;
public void setNotes(String notes)
      throws ProjectManagementException;
public String getNotes()
      throws ProjectManagementException; 
public void setIsAdmin(boolean isAdmin)
      throws ProjectManagementException;     
public boolean getIsAdmin()
      throws ProjectManagementException;
public void save() throws ProjectManagementException;          
public void delete() throws ProjectManagementException;    
                
}	