/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.project;

import projectmanagement.spec.ProjectManagementException;
import projectmanagement.spec.customer.*;

public interface Project {

public String getHandle()
      throws ProjectManagementException;
public void setName(String name)
      throws ProjectManagementException;
public String getName ()
      throws ProjectManagementException;      
public void setMoneyPerHour(double moneyPerHour)
      throws ProjectManagementException;
public double getMoneyPerHour ()
      throws ProjectManagementException;
public void setCustomer(Customer customer)
      throws ProjectManagementException;
public Customer getCustomer()
      throws ProjectManagementException;
public void save() throws ProjectManagementException;
public void delete() throws ProjectManagementException;
}