/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.timewage;

import projectmanagement.spec.ProjectManagementException;
import java.sql.Date;

public interface PayRateManager {

public  PayRate[] getAllPayRates()
         throws ProjectManagementException;
public  PayRate[] getAllPayRatesForEmployee(String employeeID, boolean distinctOnEmployProjectPair)
    throws ProjectManagementException; 
public  PayRate[] getAllPayRatesForEmployeeProjectPair (String employeeID,String projectID)
         throws ProjectManagementException;
public  PayRate findPayRateByID(String id)
         throws ProjectManagementException;
public  PayRate findPayRateByEmployeeProjectAndDate(String employeeID, String projectID, Date workingDate)
    throws ProjectManagementException;
public PayRate getPayRate() 
       throws ProjectManagementException;
}