/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.timewage;

import projectmanagement.spec.ProjectManagementException;
import java.sql.Date;
import java.sql.Time;
public interface WorkSheet {

public String getHandle()
      throws ProjectManagementException;
public void setPayRate(PayRate thePayRate)
      throws ProjectManagementException;
public PayRate getPayRate ()
      throws ProjectManagementException;    
public void setWorkingDate(Date workingDate)
      throws ProjectManagementException;
public Date getWorkingDate ()
      throws ProjectManagementException;
public void setTimeStarted(Time timeStarted)
      throws ProjectManagementException;
public Time getTimeStarted()
      throws ProjectManagementException;
public void setTimeFinished(Time timeFinished)
      throws ProjectManagementException;
public Time getTimeFinished()
      throws ProjectManagementException;
public void setPersonalComment(String personalComment)
      throws ProjectManagementException;
public String getPersonalComment ()
      throws ProjectManagementException;
public void setCommentForClient(String commentForClient)
      throws ProjectManagementException;
public String getCommentForClient ()
      throws ProjectManagementException;
public void save() throws ProjectManagementException;
public void delete() throws ProjectManagementException;
}