/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.timewage;

import projectmanagement.spec.ProjectManagementException;
import projectmanagement.spec.employee.*;
import projectmanagement.spec.project.*;

public interface WorkSheetManager {

public  WorkSheet[] getAllWorkSheets()
         throws ProjectManagementException;
public  WorkSheet[] getAllWorkSheetsForEmployee(Employee employee)
         throws ProjectManagementException;
public  WorkSheet findWorkSheetByID(String id)
         throws ProjectManagementException;
public  WorkSheet[] getAllWorkSheetsForEmployeeProjectPair(String employeeID,String projectID)
         throws ProjectManagementException;
public  WorkSheet[] getAllWorkSheetsForEmployeeProjectPair(Employee employee, Project project)
         throws ProjectManagementException;
public  WorkSheet[] getAllWorkSheetsForEmployeeProjectPairFromDate1ToDate2(
                    String employeeID, String projectID, java.sql.Date date1, java.sql.Date date2)
         throws ProjectManagementException;
public  WorkSheet[] getAllWorkSheetsForEmployeeProjectPairFromDate1ToDate2(
                    Employee employee, Project project, java.sql.Date date1, java.sql.Date date2)
         throws ProjectManagementException;
public  WorkSheet[] getAllWorksheetsForEmployeeArrayAndProjectArrayBetweenDates(
            java.util.ArrayList employeeIDs, java.util.ArrayList projectIDs, java.sql.Date date1, java.sql.Date date2) 
         throws ProjectManagementException;
public WorkSheet getWorkSheet()
         throws ProjectManagementException;

}