/*
 *  ProjectManagement 
 *
 *  Enhydra super-servlet specification object
 *  
 */
package projectmanagement.spec.timewage;

public class WorkSheetManagerFactory {
/**
* Constructor can't be used.
*/
 private WorkSheetManagerFactory() {
    }
    /**
     * Create a WorkSheetManager as state object/value object/data transfer object
     */
    public static WorkSheetManager getWorkSheetManager(String fullClassName) 
    {
    	WorkSheetManager result=null;
        Class objectClass = null;
    	
    	try{
    	 // Create the value object
    	 objectClass = Class.forName(fullClassName);
                                   
          result = (WorkSheetManager)objectClass.newInstance();
    	
       	 } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
         }

    	return result;
    
  }
} 