<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<xsl:output method="html" indent="yes" /> 
<xsl:template match="ContactList"> 
    <table> 
    <tr>
      <th>Name</th>
      <th>Address</th>
      <th>Phone</th>
      <th>Email</th>
    </tr> 
    <xsl:apply-templates select="Contact"/> 
    </table> 
</xsl:template> 

<xsl:template match="Contact"> 
    <tr> 
        <td> 
            <xsl:value-of select="FirstName"/>&#160; 
            <xsl:value-of select="LastName"/> 
        </td> 
        <td> 
            <xsl:value-of select="Street1"/>&#160; 
            <xsl:value-of select="Street2"/>&#160;
            <xsl:value-of select="City"/>,&#160;
            <xsl:value-of select="State"/>&#160;&#160; 
            <xsl:value-of select="Zip"/> 
        </td> 
        <td> 
            <xsl:value-of select="Phone"/> 
        </td> 
        <td> 
            <xsl:value-of select="Email"/> 
        </td> 
    </tr> 
</xsl:template> 

</xsl:stylesheet> 
