/*
 *  xalanDoc
 *
 *  Enhydra super-servlet specification object
 *  
 */
package xalanDoc.spec;


public class ManagerFactory {
    
    /**
     * Constructor can't be used.
     */
    private ManagerFactory() {
    }

    /**
     * Create a Manager as state object/value object/data transfer object
     */
    public static Manager getManager(String fullClassName) {
        
        Manager result = null;
       
        Class objectClass = null;

        try {
            // Create the value object
       
      
         objectClass = Class.forName(fullClassName);
                                   
          result = (Manager)objectClass.newInstance();
                                     
                    
      } catch (Exception ex) {
            System.out.println("Error on creating the object" + ex);
        }

        return result;
    }
}