<!-- edited with XML Spy v4.3 U (http://www.xmlspy.com) by slobodan (none) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0" xmlns:fox="http://xml.apache.org/fop/extensions">
	<xsl:output method="xml" encoding="utf-8"/>
	<xsl:param name="date">es würde funktionieren ganz oben</xsl:param>
	<!-- 
  Erstellt von der Softmax OEG
  Programmiert von Rene Huber/Mag. Alexander Pelzl         /Dragan Radeka 03.02.2003.
  http://www.softmax.at
  Erstellt: 11.05.2001
  Letzte Änderung: 03.10.2001
  03.02.2003. Prepared for *.doml file version 5.0 . 
              Prepared for Fop version 0.20.4 .
              New table - Index is designed.
-->
	<xsl:template match="/">
		<!--<fo:block font-size="18pt" font-family="sans-serif" background-color="#333333" line-height="30pt" color="white" text-align="center">
Datum: <xsl:value-of select="$date"/> aus</fo:block>
<xsl:apply-templates/>
</xsl:template>                                   Dragan Radeka -->
		<!--<xsl:template match="doml">                   Dragan Radeka -->
		<!--	<xsl:with-param name="date"/>             Dragan Radeka -->
		<!--	<xsl:message>
			<xsl:value-of select="$date"/>
		</xsl:message>
		<xsl:variable name="today">
			<xsl:value-of select="substring-before($date,'_')"/>
		</xsl:variable>
		<xsl:message>
			<xsl:value-of select="$today"/>
		</xsl:message>
		<xsl:variable name="time">
			<xsl:value-of select="substring-before(substring-after($date,'_'),'_')"/>
		</xsl:variable>
		<xsl:message>
			<xsl:value-of select="$time"/>
		</xsl:message>
		<xsl:variable name="file">
			<xsl:value-of select="substring-after(substring-after($date,'_'),'_')"/>
		</xsl:variable>
		<xsl:message>
			<xsl:value-of select="$file"/>
		</xsl:message>                            Dragan Radeka -->
		<!--	<xsl:for-each select="database">          Dragan Radeka -->
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<fo:layout-master-set>
				<!-- Layoutdefinition -->
				<fo:simple-page-master master-name="A3" page-height="41cm" page-width="29.5cm" margin-top="0.4cm" margin-bottom="0cm" margin-left="0.4cm" margin-right="0.4cm">
					<fo:region-body margin-bottom="2.3cm" margin-top="0cm"/>
					<fo:region-before extent="0cm"/>
					<fo:region-after extent="2.3cm"/>
				</fo:simple-page-master>
				<!-- Einsatz des Layouts -->
				<fo:page-sequence-master master-name="basicPSM">
					<fo:repeatable-page-master-alternatives>
						<fo:conditional-page-master-reference master-name="A3"/>
					</fo:repeatable-page-master-alternatives>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<!-- Seitenzähler -->
			<fo:page-sequence master-name="basicPSM" master-reference="A3">
				<fo:static-content flow-name="xsl-region-after">
					<fo:block text-align="center" space-before="15pt" font-size="10pt" font-family="serif" line-height="40pt">
						<!--					DOML Dokumentation (Seite: <fo:page-number/> von         -->
						DOML Documentation (Page: <fo:page-number/> of 
							<fo:page-number-citation>
							<xsl:attribute name="ref-id">end</xsl:attribute>
						</fo:page-number-citation>) <!--/ <xsl:value-of select="$today"/> / <xsl:value-of select="$time"/> / <xsl:value-of select="$file"/>   -->
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<fo:block/>
					<xsl:apply-templates select="doml"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template match="doml">
		<xsl:apply-templates select="database"/>
	</xsl:template>
	<xsl:template match="database">
		<fo:block font-size="18pt" font-family="sans-serif" background-color="#333333" line-height="30pt" color="white" text-align="center">
			<!--Farbteil "0"-->
			<!--	Datenmodell-Dokumentation      -->
		Data model-Documentation
		</fo:block>
		<fo:block font-size="10pt" font-family="sans-serif" text-align="center" line-height="30pt">
			<!--	Datenbank-System: <xsl:value-of select="@database"/>     -->
		Database: <xsl:value-of select="@database"/>
		</fo:block>
		<xsl:call-template name="getclasseswithgenerateSecureInsecure">
			<!--Promenjen naziv templejta i getclasseswithlazycaching -Slobodan Vujasinovic-->
		</xsl:call-template>
		<fo:block background-color="#333333" font-size="14pt" font-family="sans-serif" color="#333333" line-height="30pt">.</fo:block>
		<xsl:for-each select="//package">
			<xsl:sort order="ascending" select="@id"/>
			<xsl:call-template name="package"/>
		</xsl:for-each>
		<!--<xsl:apply-templates select="package"/>-->
		<fo:block id="end"/>
		<xsl:for-each select="package/package">
			<xsl:call-template name="lesezeichen"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="package">
		<fo:block space-before.optimum="3pt"/>
		<!-- zuvor 10 -->
		<xsl:if test="@id!='root'">
			<!--		<fo:table background-color="#77AA77">            Dragan Radeka -->
			<fo:table background-color="#77AA77" table-layout="fixed">
				<!--Farbteil "1"-->
				<fo:table-column column-width="2.5cm"/>
				<fo:table-column column-width="24.4cm"/>
				<fo:table-column column-width="1.8cm"/>
				<!--25.2-->
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell>
							<xsl:if test="substring-before(@id,'.')='root'">
								<xsl:value-of select="substring-after(@id,'.')"/>
							</xsl:if>
							<xsl:if test="substring-before(@id,'.')!='root'">
								<xsl:value-of select="@id"/>
							</xsl:if>
							<fo:block font-size="16pt" font-family="sans-serif" margin-left="0.05cm">
								<xsl:attribute name="id"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
								Package:
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-size="18pt" font-family="sans-serif" color="#FFFFFF" keep-with-next="always">
								<xsl:call-template name="linktree">
									<xsl:with-param name="reststring">
										<xsl:if test="substring-before(@id,'.')='root'">
											<xsl:value-of select="substring-after(@id,'.')"/>
										</xsl:if>
										<xsl:if test="substring-before(@id,'.')!='root'">
											<xsl:value-of select="@id"/>
										</xsl:if>
									</xsl:with-param>
								</xsl:call-template>
							</fo:block>
						</fo:table-cell>
						<!-- Senka Cicvara dodata kolona Page -->
						<fo:table-cell>
						 <xsl:if test="count(table)>1">
						   <fo:block font-size="10pt" font-family="sans-serif" margin-left="0.05cm">
						   Page: 
						   </fo:block>
						 </xsl:if>  
						</fo:table-cell>
			 
					</fo:table-row>
					<xsl:if test="substring-before(package/@id,'.')='root'">
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.05cm">
							      Sub-Packages:
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:for-each select="package">
									<xsl:sort order="ascending" select="@id"/>
									<fo:block font-size="12pt" font-family="sans-serif" color="#FFFFFF">
										<fo:basic-link>
											<xsl:attribute name="internal-destination"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
											<xsl:variable name="strl">
												<xsl:if test="substring-before(parent::package/@id,'.')='root'">
													<xsl:value-of select="number(string-length(substring-after(parent::package/@id,'.')))+2"/>
												</xsl:if>
												<xsl:if test="substring-before(parent::package/@id,'.')!='root'">
													<xsl:value-of select="number(string-length(parent::package/@id))+2"/>
												</xsl:if>
											</xsl:variable>
											<xsl:if test="substring-before(@id,'.')='root'">
												<xsl:value-of select="substring(substring-after(@id,'.'),$strl,200)"/>
											</xsl:if>
											<xsl:if test="substring-before(@id,'.')!='root'">
												<xsl:value-of select="substring(@id,$strl,200)"/>
											</xsl:if>
										</fo:basic-link>
									</fo:block>
								</xsl:for-each>
							</fo:table-cell>
						</fo:table-row>
					</xsl:if>
					<xsl:if test="count(table)>1">
						<fo:table-row keep-with-next="always">
							<fo:table-cell>
								<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.05cm">
							      Classes: 
									</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<xsl:for-each select="table">
									<xsl:sort order="ascending" select="@id"/>
									<fo:block font-size="10pt" font-family="sans-serif" color="#FF0000">
										<fo:basic-link>
											<xsl:attribute name="internal-destination"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
											<xsl:call-template name="functionpack">
												<xsl:with-param name="ID">
													<xsl:if test="substring-before(@id,'.')='root'">
														<xsl:value-of select="substring-after(@id,'.')"/>
													</xsl:if>
													<xsl:if test="substring-before(@id,'.')!='root'">
														<xsl:value-of select="@id"/>
													</xsl:if>
												</xsl:with-param>
											</xsl:call-template>
										</fo:basic-link>
									</fo:block>
								</xsl:for-each>
							</fo:table-cell>
			  <!--senka-->	               <fo:table-cell>
			                                      <xsl:for-each select="table">
									<xsl:sort order="ascending" select="@id"/>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.05cm">		   											
								         <fo:page-number-citation>  
									   <xsl:attribute name="ref-id"><xsl:if test="substring-before(@id,'.')='root'">
									    <xsl:value-of select="substring-after(@id,'.')"/>
									     </xsl:if><xsl:if test="substring-before(@id,'.')!='root'">
									     <xsl:value-of select="@id"/></xsl:if>
									   </xsl:attribute>
								        </fo:page-number-citation> 			
									</fo:block>
								</xsl:for-each>             
		                                      </fo:table-cell>      <!--senka --> 
						</fo:table-row>
					</xsl:if>
				</fo:table-body>
			</fo:table>
		</xsl:if>
		<!--OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO -->
		<!--	<fo:table background-color="#77AA77" margin-left="0.4cm">     Dragan Radeka -->
		<fo:table background-color="#77AA77" margin-left="0.4cm" table-layout="fixed">
			<!--Farbteil "2"-->
			<fo:table-column column-width="28.7cm"/>
			<!--Hier ist die Breite der unteren Packages geregelt-->
			<fo:table-body>
				<fo:table-row keep-with-next="always">
					<fo:table-cell>
						<xsl:apply-templates select="table">
							<xsl:sort order="ascending" select="@id"/>
						</xsl:apply-templates>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		<fo:block space-before.optimum="5pt" space-after.optimum="5pt"/>
		<!-- Abstände der Packages-->
	</xsl:template>
	<xsl:template match="table">
		<xsl:for-each select=".">
			<xsl:sort order="ascending" select="/@id"/>
			<fo:block space-before.optimum="5pt"/>
			<fo:block margin-left="0.2cm" margin-right="0.2cm">
				<fo:block font-size="10pt" font-family="sans-serif" background-color="#AAEEAA">
					<!--Farbteil "3"-->
					<!--				<fo:table>                        Dragan Radeka -->
					<fo:table table-layout="fixed">
						<fo:table-column column-width="4.5cm"/>
						<fo:table-column column-width="23.2cm"/>
						<fo:table-body>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="14pt" font-family="sans-serif" margin-left="0.25cm">
								Class:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-size="14pt" font-family="sans-serif">
										<xsl:attribute name="id"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
										<xsl:call-template name="functionpack">
											<xsl:with-param name="ID">
												<xsl:if test="substring-before(@id,'.')='root'">
													<xsl:value-of select="substring-after(@id,'.')"/>
												</xsl:if>
												<xsl:if test="substring-before(@id,'.')!='root'">
													<xsl:value-of select="@id"/>
												</xsl:if>
											</xsl:with-param>
										</xsl:call-template>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
								id:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-size="8pt" font-family="sans-serif">
										<fo:basic-link color="#FF0000">
											<xsl:attribute name="internal-destination"><xsl:if test="substring-before(parent::package/@id,'.')='root'"><xsl:value-of select="substring-after(parent::package/@id,'.')"/></xsl:if><xsl:if test="substring-before(parent::package/@id,'.')!='root'"><xsl:value-of select="parent::package/@id"/></xsl:if></xsl:attribute>
											<xsl:if test="substring-before(parent::package/@id,'.')='root'">
												<xsl:value-of select="substring-after(parent::package/@id,'.')"/>
											</xsl:if>
											<xsl:if test="substring-before(parent::package/@id,'.')!='root'">
												<xsl:value-of select="parent::package/@id"/>
											</xsl:if>
										</fo:basic-link>	
								.<xsl:call-template name="functionpack">
											<xsl:with-param name="ID">
												<xsl:if test="substring-before(@id,'.')='root'">
													<xsl:value-of select="substring-after(@id,'.')"/>
												</xsl:if>
												<xsl:if test="substring-before(@id,'.')!='root'">
													<xsl:value-of select="@id"/>
												</xsl:if>
											</xsl:with-param>
										</xsl:call-template>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
								Table Name:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:value-of select="@dbTableName"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
										<!--Dodato umesto isLazy  - Slobodan Vujasinovic-->
								GenerateSecure:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<!--Doadato umesto isLazy  - Slobodan Vujasinovic-->
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:if test="not(@generateSecure)">false</xsl:if>
										<xsl:if test="@generateSecure">
											<xsl:value-of select="@generateSecure"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
										<!--Dodato umesto caching  - Slobodan Vujasinovic-->
								GenerateInsecure:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<!--Dodato umesto caching  - Slobodan Vujasinovic-->
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:if test="not(@generateInsecure)">true</xsl:if>
										<xsl:if test="@generateInsecure">
											<xsl:value-of select="@generateInsecure"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
										<!--Dodat novi atribut tabele  - Slobodan Vujasinovic-->
								MultiDB:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<!--Dodat novi parametar tabele  - Slobodan Vujasinovic-->
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:if test="not(@multidb)">false</xsl:if>
										<xsl:if test="@multidb">
											<xsl:value-of select="@multidb"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
										<!--Dodat novi atribut tabele  - Djojic Predrag-->
								MassDeletes:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<!--Dodat novi parametar tabele  - Djojic Predrag-->
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:if test="@massDeletes" xml:space="default">
			     							<xsl:value-of select="@massDeletes"/>
		     							</xsl:if>
		     							<xsl:if test="not(@massDeletes)"><xsl:if test="/doml/database/@massDeletes" xml:space="default">
			     							<xsl:value-of select="/doml/database/@massDeletes"/>
		     							</xsl:if></xsl:if>
		    							<xsl:if test="not(@massDeletes)"><xsl:if test="not(/doml/database/@massDeletes)">False</xsl:if></xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
										<!--Dodat novi atribut tabele  - Djojic Predrag-->
								MassUpdates:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<!--Dodat novi parametar tabele  - Djojic Predrag-->
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:if test="@massUpdates" xml:space="default">
			     							<xsl:value-of select="@massUpdates"/>
		     							</xsl:if>
		     							<xsl:if test="not(@massUpdates)"><xsl:if test="/doml/database/@massUpdates" xml:space="default">
			     							<xsl:value-of select="/doml/database/@massUpdates"/>
		     							</xsl:if></xsl:if>
		    							<xsl:if test="not(@massUpdates)"><xsl:if test="not(/doml/database/@massUpdates)">False</xsl:if></xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>														
							<fo:table-row keep-with-next="always">
								<fo:table-cell>
									<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.25cm">
										<!--Dodat novi atribut tabele  - Djojic Predrag-->
								DirtyDOs:
							</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<!--Dodat novi parametar tabele  - Djojic Predrag-->
									<fo:block font-size="8pt" font-family="sans-serif">
										<xsl:if test="@dirtyDOs" xml:space="default">
			     							<xsl:value-of select="@dirtyDOs"/>
		     							</xsl:if>
		     							<xsl:if test="not(@dirtyDOs)"><xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
			     							<xsl:value-of select="/doml/database/@dirtyDOs"/>
		     							</xsl:if></xsl:if>
		    							<xsl:if test="not(@dirtyDOs)"><xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if></xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					<!-- References:	-->
					<fo:block margin-left="0.4cm" margin-right="0.4cm">
						<xsl:variable name="id2find" select="@id"/>
						<xsl:variable name="refanz">
							<xsl:for-each select="//referenceObject">
								<xsl:if test="@reference=$id2find">.</xsl:if>
							</xsl:for-each>
						</xsl:variable>
						<!--<xsl:value-of select="string-length($refanz)"/>-->
						<xsl:if test="string-length($refanz)>0">
							<fo:block font-size="10pt" font-family="sans-serif" background-color="#AAEEAA">
								<fo:block space-before.optimum="5pt"/>
								<xsl:call-template name="findreference">
									<xsl:with-param name="table">
										<xsl:value-of select="@id"/>
									</xsl:with-param>
								</xsl:call-template>
							</fo:block>
						</xsl:if>
					</fo:block>
					<fo:block space-before.optimum="5pt" space-after.optimum="5pt"/>
					<fo:block margin-left="0.4cm" margin-right="0.4cm" keep-with-next="always">
						<fo:block background-color="#CCFFCC">
							<!--Farbteil "5"-->
							<!--						<fo:table>                        Dragan Radeka -->
							<fo:table table-layout="fixed">
								<!--background-color="#FFFFCC"-->
								<fo:table-column column-width="5.6cm"/>
								<fo:table-column column-width="1.2cm"/>
								<fo:table-column column-width="1.2cm"/>
								<fo:table-column column-width="1.2cm"/>
								<fo:table-column column-width="5cm"/>
								<fo:table-column column-width="2cm"/>
								<fo:table-column column-width="0.8cm"/>
								<fo:table-column column-width="5cm"/>
								<fo:table-column column-width="4.9cm"/>
								<fo:table-column column-width="1.8cm"/>
								<fo:table-body>
									<fo:table-row keep-with-next="always">
										<fo:table-cell number-columns-spanned="10">
											<fo:block font-family="sans-serif" font-size="14pt">
												<fo:inline color="#CCFFCC">___________________________________________</fo:inline>Attributes</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<!--Izbaceni su iz tabele oid i value redovi koji zavise od parametra NotUsingOid koga nema u novom DTD-u  - Slobodan Vujasinovic-->
									<fo:table-row keep-with-previous="always" keep-with-next="always">
										<fo:table-cell>
											<fo:block font-size="9pt" font-family="sans-serif" margin-left="0.45cm">id</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="9pt" font-family="sans-serif">Query</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="9pt" font-family="sans-serif">Constr</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="9pt" font-family="sans-serif">Null</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="10pt" font-family="sans-serif">Java Type</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="10pt" font-family="sans-serif">Type</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="10pt" font-family="sans-serif">Size</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="10pt" font-family="sans-serif">Reference</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="10pt" font-family="sans-serif">Reference Table</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="10pt" font-family="sans-serif">Page</fo:block>  <!--senka-->
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row keep-with-next="always">
										<fo:table-cell number-columns-spanned="10"> <!--Senka Cicvara promenila iz 9 u 10-->
											<fo:block border-bottom-color="#AAEEAA" border-bottom-width="3pt" border-bottom-style="solid"/>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row keep-with-next="always">
										<fo:table-cell number-columns-spanned="10"> <!--Senka Cicvara promenila iz 9 u 10-->
											<fo:block space-before.optimum="5pt"/>
										</fo:table-cell>
									</fo:table-row>
									<!-- Dragan Radeka  -->
									<!--Ostavljeno jer je vrednost parametra NotUsingOid uvek na false - Slobodan Vujasinovic-->
									<xsl:if test="'true'='true'">
										<fo:table-row keep-with-next="always">
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif" margin-left="0.45cm">oid</fo:block>
											</fo:table-cell>
											<fo:table-cell/>
											<fo:table-cell/>
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif">no</fo:block>
											</fo:table-cell>
											<fo:table-cell/>
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif">DECIMAL</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif">19,0</fo:block>
											</fo:table-cell>
											<fo:table-cell/>
											<fo:table-cell/>
										</fo:table-row>
										<fo:table-row keep-with-next="always">
											<fo:table-cell number-columns-spanned="10">  <!--senka promenila iz 9 u 10-->
												<fo:block border-bottom-color="#AAEEAA" border-bottom-width="0.5pt" border-bottom-style="solid"/>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row keep-with-next="always">
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif" margin-left="0.45cm">version</fo:block>
											</fo:table-cell>
											<fo:table-cell/>
											<fo:table-cell/>
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif">no</fo:block>
											</fo:table-cell>
											<fo:table-cell/>
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif">INTEGER</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-size="8pt" font-family="sans-serif">4</fo:block>
											</fo:table-cell>
											<fo:table-cell/>
											<fo:table-cell/>
										</fo:table-row>
										<fo:table-row keep-with-next="always">
											<fo:table-cell number-columns-spanned="10"> <!--Senka Cicvara promenila iz 9 u 10 -->
												<fo:block border-bottom-color="#AAEEAA" border-bottom-width="0.5pt" border-bottom-style="solid"/>
											</fo:table-cell>
										</fo:table-row>
									</xsl:if>
									<xsl:apply-templates select="column"/>
								</fo:table-body>
							</fo:table>
						</fo:block>
					</fo:block>
					<fo:block space-before.optimum="5pt" space-after.optimum="5pt"/>
					<xsl:variable name="indexno" select="count(index/indexColumn)"/>
					<!--				<xsl:message>
						<xsl:value-of select="number($indexno)"/>
					</xsl:message>     -->
					<xsl:if test="$indexno>0">
						<fo:block margin-left="0.4cm" margin-right="0.4cm" keep-with-next="always">
							<!-- Dragan Radeka  -->
							<fo:block background-color="#CCFFCC">
								<fo:table table-layout="fixed">
									<!--background-color="#FFFFCC"-->
									<fo:table-column column-width="6cm"/>
									<fo:table-column column-width="2cm"/>
									<fo:table-column column-width="5cm"/>
									<fo:table-column column-width="15.7cm"/>
									<fo:table-body>
										<fo:table-row keep-with-next="always">
											<fo:table-cell number-columns-spanned="4">
												<fo:block font-family="sans-serif" font-size="14pt">
													<fo:inline color="#CCFFCC">____________________________________________</fo:inline>Indexes</fo:block>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row keep-with-previous="always" keep-with-next="always">
											<fo:table-cell number-columns-spanned="3">
												<fo:block font-family="sans-serif" font-size="12pt">
												index
											</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-family="sans-serif" font-size="12pt">
												indexColumn
											</fo:block>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row keep-with-previous="always" keep-with-next="always">
											<fo:table-cell>
												<fo:block font-size="9pt" font-family="sans-serif" margin-left="0.45cm">id</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-size="9pt" font-family="sans-serif">unique</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-size="9pt" font-family="sans-serif">clustered</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block font-size="9pt" font-family="sans-serif">id</fo:block>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row keep-with-next="always">
											<fo:table-cell number-columns-spanned="4">
												<fo:block border-bottom-color="#AAEEAA" border-bottom-width="3pt" border-bottom-style="solid"/>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row keep-with-next="always">
											<fo:table-cell number-columns-spanned="4">
												<fo:block space-before.optimum="5pt"/>
											</fo:table-cell>
										</fo:table-row>
										<xsl:apply-templates select="index"/>
									</fo:table-body>
								</fo:table>
							</fo:block>
						</fo:block>
						<fo:block space-before.optimum="5pt" space-after.optimum="5pt"/>
					</xsl:if>
					<xsl:variable name="docanz" select="count(column/javadoc)"/>
					<!--				<xsl:message>
						<xsl:value-of select="number($docanz)"/>
					</xsl:message>      -->
					<xsl:if test="$docanz>0">
						<xsl:call-template name="javadoc"/>
					</xsl:if>
				</fo:block>
				<fo:block space-after.optimum="5pt"/>
			</fo:block>
		</xsl:for-each>
		<!-- hier-->
		<fo:block space-before.optimum="5pt" space-after.optimum="5pt"/>
	</xsl:template>
	<xsl:template match="column">
		<fo:table-row keep-with-next="always">
			<!-- border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid"-->
			<xsl:for-each select=".">
				<fo:table-cell margin-left="0.4cm">
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif" margin-left="0.45cm">
						<xsl:value-of select="@id"/>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<!--			<fo:table-cell>                                      Dragan Radeka  -->
				<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
				<!--				<fo:block font-size="8pt" font-family="sans-serif">   Dragan Radeka  -->
				<!--					<xsl:if test="@isIndex='true'">yes</xsl:if>
						<xsl:if test="@isIndex!='true'">no</xsl:if>
						<xsl:if test="not(@isIndex)">no</xsl:if>     Dragan Radeka  -->
				<!--					<xsl:call-template name="index1">
    					  <xsl:with-param name="index1" select="@id"/>
    					</xsl:call-template>
					</fo:block>                                      Dragan Radeka  -->
				<!--</fo:block>-->
				<!--			</fo:table-cell>                                     Dragan Radeka  -->
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="@usedForQuery='true'">yes</xsl:if>
						<xsl:if test="@usedForQuery!='true'">no</xsl:if>
						<xsl:if test="not(@usedForQuery)">no</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="referenceObject/@constraint='true'">yes</xsl:if>
						<xsl:if test="referenceObject/@constraint!='true'">no</xsl:if>
						<xsl:if test="not(referenceObject/@constraint)">no</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="type/@canBeNull='true'">yes</xsl:if>
						<xsl:if test="type/@canBeNull!='true'">no</xsl:if>
						<xsl:if test="not(type/@canBeNull)">no</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="contains(type/@javaType,'.')">
							<!-- kann a.b.c.d oder auch nur 'wert' sein -->
							<xsl:call-template name="functionpack">
								<xsl:with-param name="ID">
									<xsl:value-of select="type/@javaType"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="not(contains(type/@javaType,'.'))">
							<!-- else -->
							<xsl:value-of select="type/@javaType"/>
						</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="type/@dbType='none'">DECIMAL
						</xsl:if>
						<xsl:if test="type/@dbType!='none'">
							<xsl:value-of select="type/@dbType"/>
						</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="type/@dbType='none'">19,0
						</xsl:if>
						<xsl:if test="type/@dbType!='none'">
							<xsl:value-of select="type/@size"/>
						</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif" color="#FF0000">
						<xsl:if test="referenceObject/@reference">
							<fo:basic-link>
								<xsl:attribute name="internal-destination"><xsl:if test="substring-before(referenceObject/@reference,'.')='root'"><xsl:value-of select="substring-after(referenceObject/@reference,'.')"/></xsl:if><xsl:if test="substring-before(referenceObject/@reference,'.')!='root'"><xsl:value-of select="referenceObject/@reference"/></xsl:if></xsl:attribute>
								<xsl:call-template name="functionpack">
									<xsl:with-param name="ID">
										<xsl:value-of select="referenceObject/@reference"/>
									</xsl:with-param>
								</xsl:call-template>
							</fo:basic-link>
						</xsl:if>
					</fo:block>
					<!--</fo:block>-->
				</fo:table-cell>
				<fo:table-cell>
					<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
					<fo:block font-size="8pt" font-family="sans-serif">
						<xsl:if test="referenceObject/@reference">
							<xsl:call-template name="findtable">
								<xsl:with-param name="table">
									<xsl:value-of select="referenceObject/@reference"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:if>
					</fo:block>
					<!--</fo:block>-->
		               </fo:table-cell> 
       <!--senka -->          <fo:table-cell>
					<fo:block font-size="8pt" font-family="sans-serif">
					 <xsl:if test="referenceObject/@reference">
					 <fo:page-number-citation>  
					   <xsl:attribute name="ref-id">					   
					    <xsl:value-of select="referenceObject/@reference"/>	  
					    </xsl:attribute>	
					    </fo:page-number-citation> 
					 </xsl:if>
				      </fo:block>
					<!--</fo:block>-->
		               </fo:table-cell>      <!--senka --> 
			</xsl:for-each>
		</fo:table-row>
		<fo:table-row>
			<!-- PA : Here it crashes when trying to imlement the attribut ..keep-with-next="always"..but having (attribut) tables exceding one page-->
			<fo:table-cell number-columns-spanned="11" keep-with-next="auto"> <!--senka promenila iz 10 u 11-->
				<fo:block border-bottom-color="#AAEEAA" border-bottom-width="0.5pt" border-bottom-style="solid"/>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!--
Function:     index1
Parameter:    char ID    e.g. "aaa"
Beschreibung: 
This template was added by Dragan Radeka 23.01.2003.-->
	<xsl:template name="index1">
		<xsl:param name="index1"/>
		<xsl:param name="index2" select="$index1"/>
		<xsl:choose>
			<xsl:when test="../index/indexColumn[@id=$index2]">
				<xsl:for-each select="../index/indexColumn[@id=$index2]">
					<xsl:choose>
						<xsl:when test="../@unique='true'">Unique</xsl:when>
						<xsl:otherwise>notUnique</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>no</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
Function:     index
Parameter:    char ID    e.g. "aaa"
Beschreibung: 
This template was added by Dragan Radeka 27.01.2003.-->
	<xsl:template match="index">
		<xsl:for-each select=".">
			<xsl:for-each select="indexColumn">
				<fo:table-row keep-with-next="always">
					<!-- border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid"-->
					<fo:table-cell margin-left="0.4cm">
						<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
						<fo:block font-size="8pt" font-family="sans-serif" margin-left="0.45cm">
							<xsl:value-of select="../@id"/>
						</fo:block>
						<!--</fo:block>-->
					</fo:table-cell>
					<fo:table-cell>
						<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
						<fo:block font-size="8pt" font-family="sans-serif">
							<xsl:if test="../@unique='true'">yes</xsl:if>
							<xsl:if test="../@unique!='true'">no</xsl:if>
							<xsl:if test="not(../@unique)">no</xsl:if>
						</fo:block>
						<!--</fo:block>-->
					</fo:table-cell>
					<fo:table-cell>
						<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
						<fo:block font-size="8pt" font-family="sans-serif">
							<xsl:if test="../@clustered='true'">yes</xsl:if>
							<xsl:if test="../@clustered!='true'">no</xsl:if>
							<xsl:if test="not(../@clustered)">no</xsl:if>
						</fo:block>
						<!--</fo:block>-->
					</fo:table-cell>
					<fo:table-cell>
						<!--<fo:block border-bottom-color="green" border-bottom-width="0.5pt" border-bottom-style="solid">-->
						<fo:block font-size="8pt" font-family="sans-serif">
							<xsl:value-of select="@id"/>
						</fo:block>
						<!--</fo:block>-->
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<!-- PA : Here it crashes when trying to imlement the attribut ..keep-with-next="always"..but having (attribut) tables exceding one page-->
					<fo:table-cell number-columns-spanned="4" keep-with-next="auto">
						<fo:block border-bottom-color="#AAEEAA" border-bottom-width="0.5pt" border-bottom-style="solid"/>
					</fo:table-cell>
				</fo:table-row>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!--
Function:     functionpack
Parameter:    char ID    e.g. "aaa.bbb.ccc"
Beschreibung: Holt die Zeichenkette nach dem letzten Punkt
-->
	<xsl:template name="functionpack">
		<xsl:param name="ID"/>
		<xsl:variable name="varpack">
			<xsl:value-of select="substring-after($ID,'.')"/>
		</xsl:variable>
		<xsl:if test="string-length(substring-after($varpack,'.'))>0">
			<xsl:call-template name="functionpack">
				<xsl:with-param name="ID">
					<xsl:value-of select="$varpack"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(substring-after($varpack,'.'))=0">
			<xsl:value-of select="$varpack"/>
		</xsl:if>
	</xsl:template>
	<!--
Function:     functionpack2
Parameter:    char ID    e.g. "aaa.bbb.ccc"
Beschreibung: Holt alle Zeichenketten, _exclusive_ der letzten!!
-->
	<xsl:template name="functionpack2">
		<xsl:param name="ID"/>
		<!-- <xsl:value-of select="$ID"/> -->
		<xsl:variable name="varpack">
			<xsl:call-template name="functionpack">
				<xsl:with-param name="ID">
					<xsl:if test="substring-before($ID,'.')='root'">
						<xsl:value-of select="substring-after($ID,'.')"/>
					</xsl:if>
					<xsl:if test="substring-before($ID,'.')!='root'">
						<xsl:value-of select="$ID"/>
					</xsl:if>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:value-of select="substring(substring-after($ID,'.'),1,string-length(substring-after($ID,'.'))-string-length($varpack)-1)"/>
	</xsl:template>
	<!--
Function:     linktree
Parameter:    char Reststring    e.g. "aaa.bbb.ccc"
              char Wurzel, Aktuell (Intern)
Beschreibung: Hinterlegt den Text zwischen den Punkten mit Links.
-->
	<xsl:template name="linktree">
		<xsl:param name="reststring"/>
		<!--	<xsl:param name="wurzel"/>
		<xsl:param name="aktuell"/>           -->
		<xsl:if test="string-length(substring-after($reststring,'.'))=0">
			<xsl:value-of select="$reststring"/>
		</xsl:if>
		<xsl:if test="string-length(substring-after($reststring,'.'))>0">
			<xsl:variable name="wurzel_a">
				<!--			<xsl:if test="string-length($wurzel)>0">           -->
				<!--				<xsl:value-of select="concat($wurzel,'.',substring-before($reststring,'.'))"/>  -->
				<!--			</xsl:if>                                          -->
				<!--			<xsl:if test="string-length($wurzel)=0">           -->
				<xsl:value-of select="substring-before($reststring,'.')"/>
				<!--			</xsl:if>                                          -->
			</xsl:variable>
			<xsl:variable name="aktuell">
				<xsl:value-of select="substring-before($reststring,'.')"/>
			</xsl:variable>
			<xsl:variable name="reststring">
				<xsl:value-of select="substring-after($reststring,'.')"/>
			</xsl:variable>
			<fo:basic-link>
				<xsl:attribute name="internal-destination"><xsl:value-of select="$wurzel_a"/></xsl:attribute>
				<xsl:value-of select="$aktuell"/>
			</fo:basic-link>
			<xsl:if test="string-length(substring-after($reststring,'.'))>0">.
			<!-- Ruf dich selbst auf mit Parametern -->
				<xsl:call-template name="linktree2">
					<xsl:with-param name="wurzel" select="$wurzel_a"/>
					<xsl:with-param name="aktuell" select="$aktuell"/>
					<xsl:with-param name="reststring" select="$reststring"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(substring-after($reststring,'.'))=0">.
				<fo:basic-link>
					<xsl:attribute name="internal-destination"><xsl:value-of select="concat($wurzel_a,'.',$reststring)"/></xsl:attribute>
					<xsl:value-of select="$reststring"/>
				</fo:basic-link>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--
Function:     linktree2
Parameter:    char Reststring    e.g. "aaa.bbb.ccc"
              char Wurzel, Aktuell (Intern)
Beschreibung: Hinterlegt den Text zwischen den Punkten mit Links.
-->
	<xsl:template name="linktree2">
		<xsl:param name="reststring"/>
		<xsl:param name="wurzel"/>
		<xsl:param name="aktuell"/>
		<xsl:if test="string-length(substring-after($reststring,'.'))=0">
			<xsl:value-of select="$reststring"/>
		</xsl:if>
		<xsl:if test="string-length(substring-after($reststring,'.'))>0">
			<xsl:variable name="wurzel_a">
				<!--			<xsl:if test="string-length($wurzel)>0">       -->
				<xsl:value-of select="concat($wurzel,'.',substring-before($reststring,'.'))"/>
				<!--			</xsl:if>                                      -->
				<!--			<xsl:if test="string-length($wurzel)=0">       -->
				<!--				<xsl:value-of select="substring-before($reststring,'.')"/>       -->
				<!--			</xsl:if>                                      -->
			</xsl:variable>
			<xsl:variable name="aktuell">
				<xsl:value-of select="substring-before($reststring,'.')"/>
			</xsl:variable>
			<xsl:variable name="reststring">
				<xsl:value-of select="substring-after($reststring,'.')"/>
			</xsl:variable>
			<fo:basic-link>
				<xsl:attribute name="internal-destination"><xsl:value-of select="$wurzel_a"/></xsl:attribute>
				<xsl:value-of select="$aktuell"/>
			</fo:basic-link>
			<xsl:if test="string-length(substring-after($reststring,'.'))>0">.
			<!-- Ruf dich selbst auf mit Parametern -->
				<xsl:call-template name="linktree2">
					<xsl:with-param name="wurzel" select="$wurzel_a"/>
					<xsl:with-param name="aktuell" select="$aktuell"/>
					<xsl:with-param name="reststring" select="$reststring"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="string-length(substring-after($reststring,'.'))=0">.
				<fo:basic-link>
					<xsl:attribute name="internal-destination"><xsl:value-of select="concat($wurzel_a,'.',$reststring)"/></xsl:attribute>
					<xsl:value-of select="$reststring"/>
				</fo:basic-link>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!--
Function:     findtable
Parameter:    char table    e.g. "root.com.eosrisq.omdsdownload.data.log.OMDSDownloadLog"
Beschreibung: Holt den Tablename
-->
	<xsl:template name="findtable">
		<xsl:param name="table"/>
		<xsl:for-each select="//package">
			<xsl:for-each select="table">
				<xsl:if test="@id=$table">
					<xsl:value-of select="@dbTableName"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!--
Function:     findreference
Parameter:    char table    e.g. "root.com.eosrisq.omdsdownload.data.log.OMDSDownloadLog"
Beschreibung: Liefert alle Klassen, die auf table zeigen.
-->
	<xsl:template name="findreference">
		<xsl:param name="table"/>
		<fo:block background-color="#CCFFCC" margin-left="0.4cm">
			<!--		<fo:table>                        Dragan Radeka -->
			<fo:table table-layout="fixed">
				<!--			<fo:table-column column-width="390pt"/>
				<fo:table-column column-width="250pt"/>
				<fo:table-column column-width="174pt"/>    Dragan Radeka -->
				<fo:table-column column-width="13.7cm"/>
				<fo:table-column column-width="7.8cm"/>
				<fo:table-column column-width="5.4cm"/>
				<fo:table-column column-width="1.8cm"/>
				<fo:table-body>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="4"> <!-- senka promenila iz 3 u 4-->
							<fo:block font-family="sans-serif" font-size="14pt">
								<fo:inline color="#CCFFCC">___________________________________________</fo:inline>Relations</fo:block>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell>
							<fo:block font-size="10pt" font-family="sans-serif" margin-left="0.45cm">Class<fo:inline color="#CCFFCC">__________________________</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-size="10pt" font-family="sans-serif">Table Name<fo:inline color="#CCFFCC">__________________________</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-size="10pt" font-family="sans-serif">Attribute<fo:inline color="#CCFFCC">____________________</fo:inline>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell>
							<fo:block font-size="10pt" font-family="sans-serif">Page<fo:inline color="#CCFFCC">____________________</fo:inline>
							</fo:block>
						</fo:table-cell> <!--senka -->
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="4"> <!-- senka promenila iz 3 u 4-->
							<fo:block border-bottom-color="#AAEEAA" border-bottom-width="3pt" border-bottom-style="solid"/>
						</fo:table-cell>
					</fo:table-row>
					<fo:table-row keep-with-next="always">
						<fo:table-cell number-columns-spanned="4"> <!-- senka promenila iz 3 u 4-->
							<fo:block space-before.optimum="5pt"/>
						</fo:table-cell>
					</fo:table-row>
					<!--				<xsl:param name="table"/>                                    -->
					<xsl:for-each select="//package">
						<xsl:sort order="ascending" select="@id"/>
						<xsl:for-each select="table">
							<xsl:sort order="ascending" select="@id"/>
							<xsl:for-each select="column">
								<xsl:sort order="ascending" select="@id"/>
								<xsl:if test="referenceObject/@reference=$table">
									<fo:table-row>
										<fo:table-cell>
											<fo:block border-left-width="2pt" color="#FF0000">
												<fo:block font-size="8pt" font-family="sans-serif" margin-left="0.45cm">
													<xsl:call-template name="linktree">
														<xsl:with-param name="reststring">
															<xsl:if test="substring-before(parent::table/@id,'.')='root'">
																<xsl:value-of select="substring-after(parent::table/@id,'.')"/>
															</xsl:if>
															<xsl:if test="substring-before(parent::table/@id,'.')!='root'">
																<xsl:value-of select="parent::table/@id"/>
															</xsl:if>
														</xsl:with-param>
													</xsl:call-template>
												</fo:block>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="8pt" font-family="sans-serif">
												<xsl:call-template name="findtable">
													<xsl:with-param name="table">
														<xsl:value-of select="parent::table/@id"/>
													</xsl:with-param>
												</xsl:call-template>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block font-size="8pt" font-family="sans-serif">
												<xsl:value-of select="@id"/>
											</fo:block>
										</fo:table-cell>
								<!--senka-->	<fo:table-cell>
											<fo:block font-size="8pt" font-family="sans-serif">
												<fo:page-number-citation>  
												 <xsl:attribute name="ref-id">
													<xsl:if test="substring-before(parent::table/@id,'.')!='root'">
																<xsl:value-of select="parent::table/@id"/>
													</xsl:if>
												</xsl:attribute>	
												</fo:page-number-citation> 
											</fo:block>
										</fo:table-cell> <!--senka-->
									</fo:table-row>
									<fo:table-row keep-with-next="always">
										<fo:table-cell number-columns-spanned="4"> <!--senka promenila iz 3 u 4-->
											<fo:block border-bottom-color="#AAEEAA" border-bottom-width="0.5pt" border-bottom-style="solid"/>
										</fo:table-cell>
									</fo:table-row>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>
	<xsl:template name="getclasseswithgenerateSecureInsecure">
		<!--Promenjen naziv templejta i getclasseswithlazycaching -Slobodan Vujasinovic-->
		<!--	<fo:table width="29.7cm" color="#FFFFFF">            Dragan Radeka -->
		<fo:table width="28.7cm" color="#FFFFFF" table-layout="fixed">
			<!-- #CC9933-->
			<!-- Farbteil "6"-->
			<fo:table-column column-width="3cm"/>
			<fo:table-column column-width="8.9cm"/>
			<fo:table-column column-width="3cm"/>
			<fo:table-column column-width="3cm"/>
			<fo:table-column column-width="3cm"/>
			<fo:table-column column-width="3cm"/>
			<fo:table-column column-width="3cm"/>
			<fo:table-column column-width="1.8cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<fo:inline>Package</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<fo:inline>Class</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<!--Dodato umesto isLazy  - Slobodan Vujasinovic-->
							<fo:inline>GenSecure</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<!--Dodato umesto caching  - Slobodan Vujasinovic-->
							<fo:inline>GenInsecure</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<!--Dodato umesto caching  - Slobodan Vujasinovic-->
							<fo:inline>MassDeletes</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<!--Dodato umesto caching  - Slobodan Vujasinovic-->
							<fo:inline>MassUpdates</fo:inline>
						</fo:block>
					</fo:table-cell>										
					<fo:table-cell>
						<fo:block background-color="#333333">
							<!--Dodato umesto caching  - Slobodan Vujasinovic-->
							<fo:inline>DirtyDOs</fo:inline>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block background-color="#333333">
							<!--						<fo:inline>Seite</fo:inline>     Dragan Radeka -->
							<fo:inline>Page</fo:inline>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell number-columns-spanned="8"> <!-- Senka Cicvara promenila iz 7 u 8-->
						<xsl:for-each select="//package">
							<xsl:sort order="ascending" select="@id"/>
							<xsl:if test="@id!='root'">
								<!--							<fo:table width="29.7cm">            Dragan Radeka -->
								<fo:table width="28.7cm" table-layout="fixed">
									<!--background-color="#CCFFCC"-->
									<!-- Farbteil "8"-->
									<fo:table-column column-width="26.9cm"/>
									<fo:table-column column-width="1.8cm"/>
									<fo:table-body>
										<fo:table-row>
											<fo:table-cell>
												<fo:block background-color="#77AA77" color="#FFFFFF">
													<!-- Farbteil "7"-->
													<xsl:call-template name="linktree">
														<xsl:with-param name="reststring">
															<xsl:if test="substring-before(@id,'.')='root'">
																<xsl:value-of select="substring-after(@id,'.')"/>
															</xsl:if>
															<xsl:if test="substring-before(@id,'.')!='root'">
																<xsl:value-of select="@id"/>
															</xsl:if>
														</xsl:with-param>
													</xsl:call-template>
												</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block background-color="#77AA77" color="#FFFFFF">
													<fo:page-number-citation>
														<xsl:attribute name="ref-id"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
													</fo:page-number-citation>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-body>
								</fo:table>
								<!--		Dragan Radeka		<fo:table background-color="#CCFFCC" width="29.7cm">  -->
								<fo:table background-color="#CCFFCC" width="28.7cm" table-layout="fixed">
									<!-- Farbteil "8"-->
                  			<fo:table-column column-width="3cm"/>
                  			<fo:table-column column-width="8.9cm"/>
                  			<fo:table-column column-width="3cm"/>
                  			<fo:table-column column-width="3cm"/>
                  			<fo:table-column column-width="3cm"/>
                  			<fo:table-column column-width="3cm"/>
                  			<fo:table-column column-width="3cm"/>
                  			<fo:table-column column-width="1.8cm"/>
									<fo:table-body>
										<xsl:for-each select="table">
											<xsl:sort order="ascending" select="@id"/>
											<fo:table-row>
												<fo:table-cell/>
												<fo:table-cell>
													<fo:block color="#FF0000">
														<fo:basic-link>
															<xsl:attribute name="internal-destination"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
															<xsl:value-of select="substring-after(@id,concat(parent::package/@id,'.'))"/>
															<fo:inline color="#CCFFCC">_______________</fo:inline>
														</fo:basic-link>
													</fo:block>
												</fo:table-cell>
												<!--Dodato umesto is Lazy  - Slobodan Vujasinovic-->
												<fo:table-cell>
													<fo:block color="#000000">
														<xsl:if test="@generateSecure='true'">true</xsl:if>
														<xsl:if test="@generateSecure!='true'">false</xsl:if>
														<xsl:if test="not(@generateSecure)">false</xsl:if>
													</fo:block>
												</fo:table-cell>
												<!--Dodato umesto caching  - Slobodan Vujasinovic-->
												<fo:table-cell>
													<fo:block color="#000000">
														<xsl:if test="not(@generateInsecure)">true</xsl:if>
														<xsl:if test="@generateInsecure!='true'">false</xsl:if>
														<xsl:if test="@generateInsecure='true'">true</xsl:if>
													</fo:block>
												</fo:table-cell>
												<fo:table-cell>
													<fo:block color="#000000">
      												<xsl:if test="@massDeletes" xml:space="default">
      			    		 					       <xsl:value-of select="@massDeletes"/>
      		     							      </xsl:if>
      												<xsl:if test="not(@massDeletes)">
      												    <xsl:if test="/doml/database/@massDeletes" xml:space="default">
      												        <xsl:value-of select="/doml/database/@massDeletes"/>
      		     							          </xsl:if>
      		     							          <xsl:if test="not(/doml/database/@massDeletes)">False</xsl:if>
      		     							      </xsl:if>														
													</fo:block>
												</fo:table-cell>										
												<fo:table-cell>
													<fo:block color="#000000">
      												<xsl:if test="@massUpdates" xml:space="default">
      			    		 					       <xsl:value-of select="@massUpdates"/>
      		     							      </xsl:if>
      												<xsl:if test="not(@massUpdates)">
      												    <xsl:if test="/doml/database/@massUpdates" xml:space="default">
      												        <xsl:value-of select="/doml/database/@massUpdates"/>
      		     							          </xsl:if>
      		     							          <xsl:if test="not(/doml/database/@massUpdates)">False</xsl:if>
      		     							      </xsl:if>														
													</fo:block>
												</fo:table-cell>																																		
												<fo:table-cell>
													<fo:block color="#000000">
      												<xsl:if test="@dirtyDOs" xml:space="default">
      			    		 					       <xsl:value-of select="@dirtyDOs"/>
      		     							      </xsl:if>
      												<xsl:if test="not(@dirtyDOs)">
      												    <xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
      												        <xsl:value-of select="/doml/database/@dirtyDOs"/>
      		     							          </xsl:if>
      		     							          <xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if>
      		     							      </xsl:if>														
													</fo:block>
												</fo:table-cell>												
												<fo:table-cell>
													<fo:block color="#000000">
														<fo:page-number-citation>  
															<xsl:attribute name="ref-id"><xsl:if test="substring-before(@id,'.')='root'">
															  <xsl:value-of select="substring-after(@id,'.')"/>
															 </xsl:if><xsl:if test="substring-before(@id,'.')!='root'">
															 <xsl:value-of select="@id"/></xsl:if>
															</xsl:attribute>
														</fo:page-number-citation> 
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
											<fo:table-row keep-with-previous="always">
												<fo:table-cell number-columns-spanned="6">
													<fo:block border-bottom-color="#77AA77" border-bottom-width="0.5pt" border-bottom-style="solid"/>
												</fo:table-cell>
											</fo:table-row>
										</xsl:for-each>
									</fo:table-body>
								</fo:table>
							</xsl:if>
						</xsl:for-each>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	<xsl:template name="javadoc">
		<fo:block margin-left="0.4cm" margin-right="0.4cm">
			<fo:block background-color="#CCFFCC">
				<!--CCFFCC
				<fo:block font-size="14pt" font-family="sans-serif" margin-left="12cm">
							JavaDoc
							</fo:block>-->
				<fo:table table-layout="fixed">
					<fo:table-column column-width="5.6cm"/>
					<fo:table-column column-width="23.1cm"/>
					<fo:table-body>
						<fo:table-row keep-with-next="always">
							<fo:table-cell number-columns-spanned="2">
								<fo:block font-family="sans-serif" font-size="14pt">
									<fo:inline color="#CCFFCC">___________________________________________</fo:inline>Javadoc</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-size="9pt" font-family="sans-serif" margin-left="0.45cm">id</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block font-size="9pt" font-family="sans-serif">Text</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row keep-with-next="always">
							<fo:table-cell number-columns-spanned="2">
								<fo:block border-bottom-color="#AAEEAA" border-bottom-width="3pt" border-bottom-style="solid"/>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell number-columns-spanned="2">
								<fo:block space-before.optimum="5pt"/>
							</fo:table-cell>
						</fo:table-row>
						<!--					<xsl:message>
							<xsl:value-of select="count(column/javadoc)"/>
						</xsl:message>                                        -->
						<xsl:apply-templates select="column/javadoc"/>
					</fo:table-body>
				</fo:table>
			</fo:block>
		</fo:block>
		<fo:block space-before.optimum="5pt" space-after.optimum="5pt"/>
	</xsl:template>
	<xsl:template match="column/javadoc">
		<fo:table-row>
			<fo:table-cell>
				<fo:block font-size="9pt" font-family="sans-serif" margin-left="0.45cm">
					<xsl:value-of select="parent::column/@id"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block font-size="9pt" font-family="sans-serif" margin-left="0.45cm">
					<xsl:value-of select="current()"/>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
		<fo:table-row>
			<fo:table-cell number-columns-spanned="2">
				<fo:block border-bottom-color="#AAEEAA" border-bottom-width="0.5pt" border-bottom-style="solid"/>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<xsl:template name="lesezeichen">
		<xsl:for-each select=".">
			<xsl:sort order="ascending" select="@id"/>
			<fox:outline>
				<xsl:attribute name="internal-destination"><xsl:if test="substring-before(@id,'.')='root'"><xsl:value-of select="substring-after(@id,'.')"/></xsl:if><xsl:if test="substring-before(@id,'.')!='root'"><xsl:value-of select="@id"/></xsl:if></xsl:attribute>
				<fox:label>
					<xsl:if test="substring-before(@id,'.')='root'">
						<xsl:value-of select="substring-after(@id,'.')"/>
					</xsl:if>
					<xsl:if test="substring-before(@id,'.')!='root'">
						<xsl:value-of select="@id"/>
					</xsl:if>
				</fox:label>
				<xsl:for-each select="package">
					<xsl:sort order="ascending" select="@id"/>
					<xsl:call-template name="lesezeichen"/>
				</xsl:for-each>
			</fox:outline>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
