<!-- edited with XML Spy v4.3 U (http://www.xmlspy.com) by slobodan (none) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="text"/>
	<!-- 
  Made by  Softmax OEG, www.softmax.at
  Programmiert von  Rene Huber/Alexander Pelzl
  Erstellt am:      16.07.2001	DOML2RED
  Modified:			  09.09.2001
  -->
	<!-- <xsl:key name="thetables" match="//table" use="@id"/>   There is no need for this. Dragan Radeka  -->
	<xsl:variable name="BasisA" select="500000"/>
	<xsl:template name="nr">
		<xsl:param name="basis"/>
		<xsl:variable name="CountOfAncestors-or-SelfP" select="count(ancestor-or-self::*[name()='package'])"/>
		<xsl:variable name="CountOfPrecedingP" select="count(preceding::*[name()='package'])"/>
		<xsl:variable name="CountOfAncestors-or-SelfT" select="count(ancestor-or-self::*[name()='table'])"/>
		<xsl:variable name="CountOfPrecedingT" select="count(preceding::*[name()='table'])"/>
		<xsl:variable name="CountOfAncestors-or-SelfC" select="count(ancestor-or-self::*[name()='column'])"/>
		<xsl:variable name="CountOfPrecedingC" select="count(preceding::*[name()='column'])"/>
		<xsl:variable name="CountOfAncestors-or-SelfA" select="count(ancestor-or-self::*[name()='referenceObject'])"/>
		<xsl:variable name="CountOfPrecedingA" select="count(preceding::*[name()='referenceObject'])"/>
		<xsl:value-of select="format-number($basis+$CountOfAncestors-or-SelfP+$CountOfPrecedingP+$CountOfAncestors-or-SelfT+$CountOfPrecedingT+$CountOfAncestors-or-SelfC+$CountOfPrecedingC+$CountOfAncestors-or-SelfA+$CountOfPrecedingA, '000000000000')"/>
	</xsl:template>
	<xsl:template name="as">
		<xsl:param name="currentnode"/>
		<xsl:for-each select="//table">
			<xsl:if test="@id=$currentnode">
				<xsl:variable name="CountOfAncestors-or-SelfP" select="count(ancestor-or-self::*[name()='package'])"/>
				<xsl:variable name="CountOfPrecedingP" select="count(preceding::*[name()='package'])"/>
				<xsl:variable name="CountOfAncestors-or-SelfT" select="count(ancestor-or-self::*[name()='table'])"/>
				<xsl:variable name="CountOfPrecedingT" select="count(preceding::*[name()='table'])"/>
				<xsl:variable name="CountOfAncestors-or-SelfC" select="count(ancestor-or-self::*[name()='column'])"/>
				<xsl:variable name="CountOfPrecedingC" select="count(preceding::*[name()='column'])"/>
				<xsl:variable name="CountOfAncestors-or-SelfA" select="count(ancestor-or-self::*[name()='referenceObject'])"/>
				<xsl:variable name="CountOfPrecedingA" select="count(preceding::*[name()='referenceObject'])"/>
				<xsl:value-of select="format-number($CountOfAncestors-or-SelfP+$CountOfPrecedingP+$CountOfAncestors-or-SelfT+$CountOfPrecedingT+$CountOfAncestors-or-SelfC+$CountOfPrecedingC+$CountOfAncestors-or-SelfA+	$CountOfPrecedingA, 	'000000000000')"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="doml">
		<xsl:for-each select="database">
			<!-- header -->	
			
(object Petal
    version    	45
    _written   	"Rose 7.5.0103.1920"
    charSet    	0)

(object Design "Logical View"
    is_unit    	TRUE
    is_loaded  	TRUE
    attributes 	(list Attribute_Set
	(object Attribute
	    tool       	"Java"
	    name       	"IDE"
	    value      	"Internal Editor")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"DatabaseCounter"
	    value      	"0")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"DomainPackageCounter"
	    value      	"0")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"SchemaCounter"
	    value      	"0")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"DomainCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"TableCounter"
	    value      	16)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"ViewCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"JoinCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"ColumnCounter"
	    value      	"0")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"TriggerCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"IndexCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"ConstraintCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"PrimaryKeyCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"ForeignKeyCounter"
	    value      	0)
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"StoredProcedurePackageCounter"
	    value      	"0")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"StoredProcedureCounter"
	    value      	"0")
	(object Attribute
	    tool       	"Data Modeler"
	    name       	"StoredProcedureParameterCounter"
	    value      	"0"))
    quid       	"3E2EC77E0147"
    defaults   	(object defaults
	rightMargin 	0.250000
	leftMargin 	0.250000
	topMargin  	0.250000
	bottomMargin 	0.500000
	pageOverlap 	0.250000
	clipIconLabels 	TRUE
	autoResize 	TRUE
	snapToGrid 	TRUE
	gridX      	16
	gridY      	16
	defaultFont 	(object Font
	    size       	10
	    face       	"Arial"
	    bold       	FALSE
	    italics    	FALSE
	    underline  	FALSE
	    strike     	FALSE
	    color      	0
	    default_color 	TRUE)
	showMessageNum 	1
	showClassOfObject 	TRUE
	notation   	"Unified")
    root_usecase_package 	(object Class_Category "Use Case View"
	quid       	"3E2EC77E0149"
	exportControl 	"Public"
	global     	TRUE
	logical_models 	(list unit_reference_list)
	logical_presentations 	(list unit_reference_list
	    (object UseCaseDiagram "Main"
		quid       	"3E2EC77E0158"
		title      	"Main"
		zoom       	100
		max_height 	28350
		max_width  	21600
		origin_x   	0
		origin_y   	0
		items      	(list diagram_item_list))))
  root_category 	<!-- 1-->(object Class_Category "Logical View"
	quid       	"3BFB76FB0193"
	exportControl 	"Public"
	global     	TRUE
	subsystem  	"Component View"
	quidu      	"3BFB76FB0195"
	logical_models <!--2 -->(list unit_reference_list
	<xsl:call-template name="association"/>
			<xsl:for-each select="package">
				<xsl:sort order="ascending" select="@id"/>
				<xsl:call-template name="package"/>
			</xsl:for-each>
		)			<!-- The end of "list unit_reference_list".   Dragan Radeka -->
	)			<!-- The end of "object Class_Category "Logical View""   Dragan Radeka -->
			
)			<!-- The end of "object Design 'Logical View'"   Dragan Radeka -->
		</xsl:for-each>
		<!-- The end of "xsl:for-each select="database""   Dragan Radeka -->
	</xsl:template>
	<!-- Template package -->
	<xsl:template name="package">
		<!-- 3 ANFANG PACKAGE	3-->
				(object Class_Category "<xsl:call-template name="functionpack">
			<xsl:with-param name="ID">
				<xsl:value-of select="@id"/>
			</xsl:with-param>
		</xsl:call-template>"
						quid "<xsl:call-template name="nr">
			<xsl:with-param name="basis" select="0"/>
		</xsl:call-template>"
						exportControl "Public"	
						documentation 	"id : <xsl:value-of select="@id"/>
		<xsl:if test="javadoc" xml:space="default">
					Javadoc==========================
					<xsl:value-of select="javadoc"/>
		</xsl:if>"
<!--4 ANFANG UNIT LIST	 --> 		logical_models <!-- 4-->(list unit_reference_list
		<xsl:if test="table">
			<xsl:for-each select="table">
				<xsl:sort order="ascending" select="@id"/>
				<xsl:call-template name="table"/>
			</xsl:for-each>
			<!--)   Dragan Radeka-->
		</xsl:if>
		<xsl:if test="package">
			<xsl:for-each select="package">
				<xsl:sort order="ascending" select="@id"/>
				<xsl:call-template name="package"/>
			</xsl:for-each>
			<!--)   Dragan Radeka-->
		</xsl:if>))
	</xsl:template>
	<!-- ex package-->
	<!-- Template table -->
	<xsl:template name="table">
		<!--xsl:message>working on class : <xsl:value-of select="@id" disable-output-escaping="no"/></xsl:message-->
		<!--xsl:message>working on class : <xsl:value-of select="@dbTableName" disable-output-escaping="no"/>
		</xsl:message-->
		<!--5 -->(object Class "<xsl:call-template name="functionpack">
			<xsl:with-param name="ID">
				<xsl:value-of select="@id"/>
			</xsl:with-param>
		</xsl:call-template>"
					attributes 	(list Attribute_Set
								    (object Attribute
									tool       	"Data Modeler"
									name       	"dmItem"
									value      	TRUE)
								    (object Attribute
									tool       	"Data Modeler"
									name       	"IsTable"
									value      	TRUE)
								    (object Attribute
									tool       	"Data Modeler"
									name       	"DMName"
									value      	"<xsl:call-template name="functionpack">
			<xsl:with-param name="ID">
				<xsl:value-of select="@id"/>
			</xsl:with-param>
		</xsl:call-template>")
								    (object Attribute
									tool       	"Data Modeler"
									name       	"TableSpaceID"
									value      	""))
														quid "<xsl:call-template name="nr">
			<xsl:with-param name="basis" select="0"/>
		</xsl:call-template>"
														documentation 	"Class
====================
id : <xsl:value-of select="@id"/>
dbTableName : <xsl:value-of select="@dbTableName"/>
		<!--Promenjeno iz isLazy u generateSecure  - Slobodan Vujasinovic-->
generateSecure : <xsl:if test="@generateSecure" xml:space="default">
			<xsl:value-of select="@generateSecure"/>
		</xsl:if>
		<xsl:if test="not(@generateSecure)">false</xsl:if>
		<!--Dodato radi uskladjivanja sa novim DTD-om (3)  - Slobodan Vujasinovic-->
generateInsecure : <xsl:if test="@generateInsecure" xml:space="default">
			<xsl:value-of select="@generateInsecure"/>
		</xsl:if>
		<xsl:if test="not(@generateInsecure)">true</xsl:if>
		<!--Dodato radi uskladjivanja sa novim DTD-om (3)  - Slobodan Vujasinovic-->
MultiDB : <xsl:if test="@multidb" xml:space="default">
			<xsl:value-of select="@multidb"/>
		</xsl:if>
		<xsl:if test="not(@multidb)">false</xsl:if>
		<!--Dodato radi uskladjivanja sa novim DTD-om (5)  - Djojic Predrag-->
MassDeletes : <xsl:if test="@massDeletes" xml:space="default">
			     <xsl:value-of select="@massDeletes"/>
		     </xsl:if>
		     <xsl:if test="not(@massDeletes)"><xsl:if test="/doml/database/@massDeletes" xml:space="default">
			     <xsl:value-of select="/doml/database/@massDeletes"/>
		     </xsl:if></xsl:if>
		     <xsl:if test="not(@massDeletes)"><xsl:if test="not(/doml/database/@massDeletes)">False</xsl:if></xsl:if>
		<!--Dodato radi uskladjivanja sa novim DTD-om (5)  - Djojic Predrag-->
MassUpdates : <xsl:if test="@massUpdates" xml:space="default">
			     <xsl:value-of select="@massUpdates"/>
		     </xsl:if>
		     <xsl:if test="not(@massUpdates)"><xsl:if test="/doml/database/@massUpdates" xml:space="default">
			     <xsl:value-of select="/doml/database/@massUpdates"/>
		     </xsl:if></xsl:if>
		     <xsl:if test="not(@massUpdates)"><xsl:if test="not(/doml/database/@massUpdates)">False</xsl:if></xsl:if>		
		<!--Dodato radi uskladjivanja sa novim DTD-om (4)  - Djojic Predrag-->
DirtyDOs : <xsl:if test="@dirtyDOs" xml:space="default">
			     <xsl:value-of select="@dirtyDOs"/>
		     </xsl:if>
		     <xsl:if test="not(@dirtyDOs)"><xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
			     <xsl:value-of select="/doml/database/@dirtyDOs"/>
		     </xsl:if></xsl:if>
		     <xsl:if test="not(@dirtyDOs)"><xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if></xsl:if>
		<xsl:if test="javadoc" xml:space="default">
Javadoc
====================
<xsl:value-of select="javadoc"/>
		</xsl:if>"
														stereotype 	"Table"
														class_attributes 	<!-- 6-->(list class_attribute_list
																<xsl:apply-templates select="column"/>
		<!--6 -->)
														persistence 	"Persistent"<!--5 -->)
			</xsl:template>
	<!-- ex table-->
	<!-- Template column -->
	<xsl:template match="column">
		<xsl:for-each select=".">
			<xsl:sort order="ascending" select="@id"/>
			<!--xsl:message>working on attribut : <xsl:value-of select="@id" disable-output-escaping="no"/>
			</xsl:message-->
			<!-- 7-->(object ClassAttribute "<xsl:value-of select="@id"/>"
															    		quid "<xsl:call-template name="nr">
				<xsl:with-param name="basis" select="0"/>
			</xsl:call-template>"
																	<xsl:if test="not(substring(type/@javaType,1,4) = 'root')">type "<xsl:value-of select="type/@javaType"/>
			</xsl:if>
			<xsl:if test="substring(type/@javaType,1,4) = 'root'">type "<xsl:call-template name="functionpack">
					<xsl:with-param name="ID" select="type/@javaType"/>
				</xsl:call-template>
			</xsl:if>"
																	documentation "Attribute
====================
constraint : <xsl:if test="referenceObject/@constraint='true'">yes</xsl:if>
			<xsl:if test="referenceObject/@constraint!='true'">no</xsl:if>
			<xsl:if test="not(referenceObject/@constraint)">no</xsl:if>
isIndex : <xsl:if test="@isIndex">
				<xsl:value-of select="@isIndex"/>
			</xsl:if>
			<xsl:if test="not(@isIndex)">false</xsl:if>
usedForQuery : <xsl:if test="@usedForQuery">
				<xsl:value-of select="@usedForQuery"/>
			</xsl:if>
			<xsl:if test="not(@usedForQuery)">false</xsl:if>
dbType : <xsl:if test="not(type/@dbType='none')">
				<xsl:value-of select="type/@dbType"/>
			</xsl:if>
			<xsl:if test="type/@dbType='none'">DECIMAL
size : 19,0</xsl:if>
			<xsl:if test="type/@size">
size : <xsl:value-of select="type/@size"/>
			</xsl:if>
canBeNull : 	<xsl:if test="type/@canBeNull='true'">true</xsl:if>
			<xsl:if test="type/@canBeNull!='true'">false</xsl:if>
			<xsl:if test="not(type/@canBeNull)">false</xsl:if>
			<xsl:if test="type/@javatype">
javaType : <xsl:value-of select="type/@javaType"/>
			</xsl:if>
			<xsl:if test="javadoc">
Javadoc
====================
<xsl:value-of select="javadoc"/>
			</xsl:if>
"exportControl 	"Public"<!-- 7-->)
																</xsl:for-each>
	</xsl:template>
	<!-- ex column-->
	<!--context column:-->
	<!-- Template association -->
	<xsl:template name="association">
		<xsl:for-each select="//referenceObject">
			<!--xsl:message>association : <xsl:value-of select="@reference" disable-output-escaping="no"/>
			</xsl:message-->
			 (object Association "<xsl:call-template name="functionpack">
				<xsl:with-param name="ID" select="../../@id"/>
			</xsl:call-template>_<xsl:value-of select="../@id"/>"
								quid       	"<xsl:call-template name="nr">
				<xsl:with-param name="basis">
					<xsl:value-of select="$BasisA"/>
				</xsl:with-param>
			</xsl:call-template>"
								documentation         "constraint : <xsl:if test="referenceObject/@constraint='true'">yes</xsl:if>
			<xsl:if test="referenceObject/@constraint!='true'">no</xsl:if>
			<xsl:if test="not(referenceObject/@constraint)">no</xsl:if>
			<xsl:if test="@reference">
reference : <xsl:value-of select="@reference"/>
			</xsl:if>
isIndex : <xsl:if test="../@isIndex">
				<xsl:value-of select="../@isIndex"/>
			</xsl:if>
			<xsl:if test="not(../@isIndex)">false</xsl:if>
usedForQuery : <xsl:if test="../@usedForQuery='true'">true</xsl:if>
			<xsl:if test="../@usedForQuery='false'">false</xsl:if>
			<xsl:if test="not(../@usedForQuery)">false</xsl:if>
dbType : <xsl:if test="not(../type/@dbType='none')">
				<xsl:value-of select="../type/@dbType"/>
			</xsl:if>
			<xsl:if test="../type/@dbType='none'">DECIMAL
size : 19,0</xsl:if>
			<xsl:if test="../type/@size">
size : <xsl:value-of select="../type/@size"/>
			</xsl:if>
			<xsl:if test="../type/@javatype">
javaType : <xsl:value-of select="../type/@javatype"/>
			</xsl:if>
			<xsl:if test="javadoc">
Javadoc
====================
<xsl:value-of select="javadoc"/>
			</xsl:if>"
								roles      	(list role_list
								    (object Role "<xsl:value-of select="../../@id"/>"
									quid       	"<xsl:call-template name="nr">
				<xsl:with-param name="basis">
					<xsl:value-of select="$BasisA"/>
				</xsl:with-param>
			</xsl:call-template>"
			documentation         "Reference
====================
<xsl:value-of select="../@id"/>
====================
constraint : <xsl:if test="@constraint='true'">yes</xsl:if>
			<xsl:if test="@constraint!='true'">no</xsl:if>
			<xsl:if test="not(@constraint)">no</xsl:if>
isIndex : <xsl:if test="../@isIndex">
				<xsl:value-of select="../@isIndex"/>
			</xsl:if>
			<xsl:if test="not(../@isIndex)">false</xsl:if>
usedForQuery : <xsl:if test="../@usedForQuery='true'">true</xsl:if>
			<xsl:if test="../@usedForQuery='false'">false</xsl:if>
			<xsl:if test="not(../@usedForQuery)">false</xsl:if>
dbType : <xsl:if test="not(../type/@dbType='none')">
				<xsl:value-of select="../type/@dbType"/>
			</xsl:if>
			<xsl:if test="../type/@dbType='none'">DECIMAL
size : 19,0</xsl:if>
			<xsl:if test="../type/@size">
size : <xsl:value-of select="../type/@size"/>
			</xsl:if>
			<xsl:if test="../type/@javatype">
javaType : <xsl:value-of select="../type/@javatype"/>
			</xsl:if>
			<xsl:if test="@reference">
reference : <xsl:value-of select="@reference"/>
			</xsl:if>
			<xsl:if test="javadoc">
Javadoc
====================
<xsl:value-of select="javadoc"/>
			</xsl:if>"
									label      	"<xsl:call-template name="functionpack">
				<xsl:with-param name="ID">
					<xsl:value-of select="../../@id"/>
				</xsl:with-param>
			</xsl:call-template>"
									quidu      	"<xsl:call-template name="as">
				<xsl:with-param name="currentnode">
					<xsl:value-of select="@reference"/>
				</xsl:with-param>
			</xsl:call-template>"
									client_cardinality 	(value cardinality "<xsl:if test="../table/type/@canBeNull='false'">1</xsl:if>
			<xsl:if test="../table/type/@canBeNull='true'">0</xsl:if>
			<xsl:if test="not(../table/type/@canBeNull)">1</xsl:if>..1")
									is_navigable 	TRUE)
								    (object Role "<xsl:value-of select="@reference"/>"
									quid       	"<xsl:call-template name="nr">
				<xsl:with-param name="basis">
					<xsl:value-of select="$BasisA"/>
				</xsl:with-param>
			</xsl:call-template>"
			documentation         "Relation
====================
<!--<xsl:call-template name="RelationDocu">
				<xsl:with-param name="node">
					<xsl:value-of select="@reference"/>
				</xsl:with-param>
			</xsl:call-template>-->"
									label      	"<xsl:call-template name="functionpack">
				<xsl:with-param name="ID">
					<xsl:value-of select="@reference"/>
				</xsl:with-param>
			</xsl:call-template>"
									quidu      	"<xsl:call-template name="as">
				<xsl:with-param name="currentnode">
					<xsl:value-of select="../../@id"/>
				</xsl:with-param>
			</xsl:call-template>"
									client_cardinality 	(value cardinality "0..n")
									is_navigable 	TRUE)))
	</xsl:for-each>
	</xsl:template>
	<!--
						    (object Association "$UNNAMED$0"
							quid       	"349908B2036C"
							roles      	(list role_list
							    (object Role "$UNNAMED$1"
								quid       	"349908B2036D" org.webdocwf.vcms.VCMSSite
								supplier   	"AnmeldungInfo"
								quidu      	"349908B201EC"
								client_cardinality 	(value cardinality "1"))
							    (object Role "the_StudentInfo"
								attributes 	(list Attribute_Set
								    (object Attribute
									tool       	"cg"
									name       	"DataMemberVisibility"
									value      	("DataMemberVisibilitySet" 14)))
								quid       	"349908B2036E"
								label      	"the_StudentInfo"
								supplier   	"StudentInfo"
								quidu      	"349908B202FC"
								client_cardinality 	(value cardinality "1")
								Containment 	"By Value"
								exportControl 	"Implementation"
								is_navigable 	TRUE
								is_principal 	TRUE)))

			<xsl:message><xsl:value-of select="name(current())"/></xsl:message>
Function:     functionpack
Parameter:    char ID    e.g. "aaa.bbb.ccc"
Beschreibung: Holt die Zeichenkette nach dem letzten Punkt
-->
	<xsl:template name="functionpack">
		<xsl:param name="ID"/>
		<!-- 	<xsl:choose>
			<xsl:when test="not($ID='root')">							Dragan Radeka -->
		<xsl:variable name="varpack">
			<xsl:value-of select="$ID"/>
		</xsl:variable>
		<xsl:if test="string-length(substring-after($varpack,'.'))>0">
			<xsl:call-template name="functionpack">
				<xsl:with-param name="ID">
					<xsl:value-of select="substring-after($varpack,'.')"/>
				</xsl:with-param>
			</xsl:call-template>
			<!-- 			<xsl:if test="string-length(substring-after($varpack,'.'))=0">
					<xsl:value-of select="$varpack"/>
				</xsl:if>												Dragan Radeka -->
		</xsl:if>
		<xsl:if test="string-length(substring-after($varpack,'.'))=0">
			<xsl:value-of select="$varpack"/>
		</xsl:if>
		<!-- Dragan Radeka -->
		<!-- 		</xsl:when>
			<xsl:when test="$ID='root'">root</xsl:when>
		</xsl:choose>													Dragan Radeka -->
	</xsl:template>
	<!-- Template RelationDocu -->
	<xsl:template name="RelationDocu">
		<xsl:param name="node"/>
		<xsl:for-each select="//table">
			<xsl:if test="@id=$node">
				<!--xsl:message>NODE :<xsl:value-of select="$node"/> ||||  CURRENT : <xsl:value-of select="current()/@id"/></xsl:message--> Class
====================
id : <xsl:value-of select="@id"/>
dbTableName : <xsl:value-of select="@dbTableName"/>
				<!--xsl:message>UND ECHT : <xsl:value-of select="current()/@id"/></xsl:message-->
				<!--promenjeno iz isLazy u generateSecure - Slobodan Vujasinovic--> 
generateSecure : <xsl:if test="@generateSecure" xml:space="default">
					<xsl:value-of select="@generateSecure"/>
				</xsl:if>
				<xsl:if test="not(@generateSecure)">false</xsl:if>
				<!--Dodato radi uskladjivanja sa novim DTD-om (3)  - Slobodan Vujasinovic--> 
generateInsecure : <xsl:if test="@generateInsecure" xml:space="default">
					<xsl:value-of select="@generateInsecure"/>
				</xsl:if>
				<xsl:if test="not(@generateInsecure)">true</xsl:if>
			 <!--Dodato radi uskladjivanja sa novim DTD-om (3)  - Slobodan Vujasinovic--> 
MultiDB : <xsl:if test="@multidb" xml:space="default">
					<xsl:value-of select="@multidb"/>
				</xsl:if>
				<xsl:if test="not(@multidb)">false</xsl:if>
		<!--Dodato radi uskladjivanja sa novim DTD-om (5)  - Djojic Predrag-->
MassDeletes : <xsl:if test="@massDeletes" xml:space="default">
			     <xsl:value-of select="@massDeletes"/>
		     </xsl:if>
		     <xsl:if test="not(@massDeletes)"><xsl:if test="/doml/database/@massDeletes" xml:space="default">
			     <xsl:value-of select="/doml/database/@massDeletes"/>
		     </xsl:if></xsl:if>
		     <xsl:if test="not(@massDeletes)"><xsl:if test="not(/doml/database/@massDeletes)">False</xsl:if></xsl:if>
		<!--Dodato radi uskladjivanja sa novim DTD-om (5)  - Djojic Predrag-->
MassUpdates : <xsl:if test="@massUpdates" xml:space="default">
			     <xsl:value-of select="@massUpdates"/>
		     </xsl:if>
		     <xsl:if test="not(@massUpdates)"><xsl:if test="/doml/database/@massUpdates" xml:space="default">
			     <xsl:value-of select="/doml/database/@massUpdates"/>
		     </xsl:if></xsl:if>
		     <xsl:if test="not(@massUpdates)"><xsl:if test="not(/doml/database/@massUpdates)">False</xsl:if></xsl:if>						
			  <!--Dodato radi uskladjivanja sa novim DTD-om (3)  - Slobodan Vujasinovic--> 
DirtyDOs : <xsl:if test="@dirtyDOs" xml:space="default">
			     <xsl:value-of select="@dirtyDOs"/>
		     </xsl:if>
		     <xsl:if test="not(@dirtyDOs)"><xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
			     <xsl:value-of select="/doml/database/@dirtyDOs"/>
		     </xsl:if></xsl:if>
		     <xsl:if test="not(@dirtyDOs)"><xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if></xsl:if>
		<xsl:if test="javadoc" xml:space="default">
Javadoc
====================
<xsl:value-of select="javadoc"/>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
