<!-- edited with XML Spy v4.3 U (http://www.xmlspy.com) by slobodan (none) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="#default">
	<!--xmlns="http://www.w3.org/1999/xhtml"   Dragan Radeka20030201-->
	<xsl:output method="xml"/>
	<!-- 
  Erstellt von der Softmax OEG
  Programmiert von Rene Huber
  Erstellt:  27.04.1001
	Bearbeitung: 1.6. References
-->
	<xsl:key name="thetables" match="//tables" use="text()"/>
	<xsl:variable name="packnr" select="-10"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="doml">
		<xsl:for-each select="database">
			<!-- Begin XMI		-->
			<XMI xmi.version="1.0">
				<!-- Begin Header  -->
				<XMI.header>
					<XMI.metamodel xmi.version="1.3" xmi.name="UML"/>
				</XMI.header>
				<!-- End Header  -->
				<!-- Begin Content  -->
				<XMI.content>
					<xsl:element name="Model_Management.Model">
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="count(//table)+1"/></xsl:attribute>
						<xsl:for-each select="package">
							<Foundation.Core.ModelElement.name>
								<xsl:value-of select="@id"/>
							</Foundation.Core.ModelElement.name>
							<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
							<!-- nicht Foundation.Core.ModelElement.visibility ?-->
							<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
							<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
							<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
							<Foundation.Core.ModelElement.stereotype>
								<xsl:element name="Foundation.Extension_Mechanisms.Stereotype">
									<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table)+4"/></xsl:attribute>
								</xsl:element>
							</Foundation.Core.ModelElement.stereotype>
							<!--    				xxxxxxxxxxxxxxxxxxxxxx BEGIN DATABASE xxxxxxxxxxxxxxxxxx -->
							<Foundation.Core.ModelElement.taggedValue>
								<!--     			<Foundation.Extension_Mechanisms.TaggedValue xmi.id="xmi.?">	-->
								<xsl:element name="Foundation.Extension_Mechanisms.TaggedValue">
									<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="count(//table)+5"/></xsl:attribute>
									<Foundation.Extension_Mechanisms.TaggedValue.tag>database</Foundation.Extension_Mechanisms.TaggedValue.tag>
									<Foundation.Extension_Mechanisms.TaggedValue.value>
										<xsl:value-of select="parent::database/@database"/>
									</Foundation.Extension_Mechanisms.TaggedValue.value>
									<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
										<xsl:element name="Model_Management.Model">
											<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table)+1"/></xsl:attribute>
										</xsl:element>
									</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
									<!--     			</Foundation.Extension_Mechanisms.TaggedValue>	-->
								</xsl:element>
							</Foundation.Core.ModelElement.taggedValue>
							<!--

	    				xxxxxxxxxxxxxxxxxxxxxx END DATABASE xxxxxxxxxxxxxxxxxx



-->
							<Foundation.Core.Namespace.ownedElement>
								<xsl:element name="Foundation.Extension_Mechanisms.Stereotype">
									<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="count(//table)+4"/></xsl:attribute>
									<Foundation.Core.ModelElement.name>DOML</Foundation.Core.ModelElement.name>
									<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
									<Foundation.Core.ModelElement.namespace>
										<xsl:element name="Model_Management.Model">
											<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table)+1"/></xsl:attribute>
										</xsl:element>
									</Foundation.Core.ModelElement.namespace>
									<Foundation.Extension_Mechanisms.Stereotype.extendedElement>
										<xsl:element name="Model_Management.Model">
											<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table)+1"/></xsl:attribute>
										</xsl:element>
									</Foundation.Extension_Mechanisms.Stereotype.extendedElement>
								</xsl:element>
								<xsl:for-each select="package">
									<xsl:call-template name="package">
										<xsl:with-param name="package">
											<xsl:value-of select="count(//table)+1"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:for-each>
								<!--



					XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXx -->
								<!-- relativ fixer text -->
								<xsl:element name="Foundation.Extension_Mechanisms.Stereotype">
									<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="count(//table) + 2"/></xsl:attribute>
									<Foundation.Core.ModelElement.name>TABLE</Foundation.Core.ModelElement.name>
									<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
									<Foundation.Core.ModelElement.namespace>
										<!--
            			<Model_Management.Model xmi.idref="count(//table) + 1"/>				 zeigt auf root -->
										<xsl:element name="Model_Management.Model">
											<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table) + 1"/></xsl:attribute>
										</xsl:element>
									</Foundation.Core.ModelElement.namespace>
									<Foundation.Extension_Mechanisms.Stereotype.extendedElement/>
									<!--
        		</Foundation.Extension_Mechanisms.Stereotype>	-->
								</xsl:element>
								<xsl:element name="Foundation.Extension_Mechanisms.Stereotype">
									<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="count(//table) + 3"/></xsl:attribute>
									<Foundation.Core.ModelElement.name>COLUMN</Foundation.Core.ModelElement.name>
									<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
									<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
									<Foundation.Core.ModelElement.namespace>
										<xsl:element name="Model_Management.Model">
											<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table) + 1"/></xsl:attribute>
										</xsl:element>
									</Foundation.Core.ModelElement.namespace>
									<Foundation.Extension_Mechanisms.Stereotype.extendedElement/>
								</xsl:element>
								<xsl:variable name="datatypes">
									<xsl:for-each select="//type/@javaType">
										<xsl:value-of select="."/>
									</xsl:for-each>
								</xsl:variable>
								<xsl:if test="contains($datatypes,'String')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90001</xsl:with-param>
										<xsl:with-param name="name">String</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'java.math.BigDecimal')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90002</xsl:with-param>
										<xsl:with-param name="name">java.math.BigDecimal</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'boolean')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90003</xsl:with-param>
										<xsl:with-param name="name">boolean</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'byte')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90004</xsl:with-param>
										<xsl:with-param name="name">byte</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'short')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90005</xsl:with-param>
										<xsl:with-param name="name">short</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'int')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90006</xsl:with-param>
										<xsl:with-param name="name">int</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'long')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90007</xsl:with-param>
										<xsl:with-param name="name">long</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'float')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90008</xsl:with-param>
										<xsl:with-param name="name">float</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'double')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90009</xsl:with-param>
										<xsl:with-param name="name">double</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'byte[]')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90010</xsl:with-param>
										<xsl:with-param name="name">byte[]</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'java.sql.Date')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90011</xsl:with-param>
										<xsl:with-param name="name">java.sql.Date</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'java.sql.Time')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90012</xsl:with-param>
										<xsl:with-param name="name">java.sql.Time</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
								<xsl:if test="contains($datatypes,'java.sql.Timestamp')">
									<xsl:call-template name="javatype">
										<xsl:with-param name="id">xmi.90013</xsl:with-param>
										<xsl:with-param name="name">java.sql.Timestamp</xsl:with-param>
									</xsl:call-template>
								</xsl:if>
							</Foundation.Core.Namespace.ownedElement>
							<!-- relativ fixer text end -->
						</xsl:for-each>
					</xsl:element>
				</XMI.content>
				<!-- End Content		-->
			</XMI>
			<!-- End XMI		-->
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="package">
		<xsl:param name="package"/>
		<xsl:variable name="CountOfAncestors-or-Self" select="count(ancestor-or-self::*[name()='package'])"/>
		<xsl:variable name="CountOfPreceding" select="count(preceding::*[name()='package'])"/>
		<xsl:variable name="CountOfAncestors-or-Self2" select="count(ancestor-or-self::*[name()='column'])"/>
		<xsl:variable name="CountOfPreceding2" select="count(preceding::*[name()='column'])"/>
		<!--
					XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXx -->
		<xsl:element name="Model_Management.Package">
			<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1) * 30 + count(//table) + ($CountOfAncestors-or-Self2 + $CountOfPreceding2 ) * 30"/></xsl:attribute>
			<Foundation.Core.ModelElement.name>
				<!-- package id -->
				<xsl:call-template name="lastelement">
					<xsl:with-param name="ID">
						<xsl:value-of select="@id"/>
					</xsl:with-param>
				</xsl:call-template>
				<!-- package id -->
			</Foundation.Core.ModelElement.name>
			<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
			<Foundation.Core.ModelElement.namespace>
				<!--			<Model_Management.Package xmi.idref="xmi.?"/> -->
				<xsl:element name="Model_Management.Package">
					<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="$package"/></xsl:attribute>
					<!--
				<xsl:if test="($CountOfAncestors-or-Self + $CountOfPreceding - 2) * 30 = 0">
						<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table)+1"/></xsl:attribute>	
				</xsl:if>
				<xsl:if test="($CountOfAncestors-or-Self + $CountOfPreceding - 2) * 30 > 0">
	 	 			<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 2) * 30 + count(//table) + ($CountOfAncestors-or-Self2 + $CountOfPreceding2 ) * 30 "/></xsl:attribute>
				</xsl:if>
				-->
				</xsl:element>
			</Foundation.Core.ModelElement.namespace>
			<Foundation.Core.Namespace.ownedElement>
				<xsl:variable name="CountOfAncestors-or-Selfpackage" select="count(ancestor-or-self::*[name()='package'])"/>
				<xsl:variable name="CountOfPrecedingpackage" select="count(preceding::*[name()='package'])"/>
				<xsl:for-each select="package">
					<xsl:call-template name="package">
						<xsl:with-param name="package">
							<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1) * 30 + count(//table) + ($CountOfAncestors-or-Self2 + $CountOfPreceding2 ) * 30"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:for-each>
				<xsl:for-each select="table">
					<xsl:call-template name="table">
						<xsl:with-param name="package">
							<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1) * 30 + count(//table) + ($CountOfAncestors-or-Self2 + $CountOfPreceding2 ) * 30"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:for-each>
				<xsl:for-each select="table/column">
					<xsl:call-template name="columnref">
						<xsl:with-param name="package" select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table)"/>
					</xsl:call-template>
				</xsl:for-each>
			</Foundation.Core.Namespace.ownedElement>
		</xsl:element>
	</xsl:template>
	<xsl:template name="table">
		<xsl:param name="package"/>
		<xsl:variable name="CountOfAncestors-or-Self" select="count(ancestor-or-self::*[name()='table'])"/>
		<xsl:variable name="CountOfPreceding" select="count(preceding::*[name()='table'])"/>
		<xsl:variable name="CountOfAncestors-or-Selfpackage" select="count(ancestor-or-self::*[name()='package'])"/>
		<xsl:variable name="CountOfPrecedingpackage" select="count(preceding::*[name()='package'])"/>
		<xsl:variable name="CountOfAncestors-or-SelfC" select="count(ancestor-or-self::*[contains('column', name())])"/>
		<xsl:variable name="CountOfPrecedingC" select="count(preceding::*[contains('column', name())])"/>
		<!-- <xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding )"/> -->
		<!--	xxxxxxxxxxxxxxxxxxxxxxxxxxx TABLE xxxxxxxxxxxxxxxxxxxxxxxxx 		-->
		<Foundation.Core.Class>
			<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding )"/></xsl:attribute>
			<Foundation.Core.ModelElement.name>
				<xsl:call-template name="lastelement">
					<xsl:with-param name="ID">
						<xsl:value-of select="@id"/>
					</xsl:with-param>
				</xsl:call-template>
			</Foundation.Core.ModelElement.name>
			<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isLeaf xmi.value="true"/>
			<Foundation.Core.GeneralizableElement.isAbstract xmi.value="true"/>
			<Foundation.Core.Class.isActive xmi.value="false"/>
			<Foundation.Core.ModelElement.namespace>
				<Model_Management.Package>
					<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="$package"/></xsl:attribute>
					<!-- zeigt aufs package -->
				</Model_Management.Package>
			</Foundation.Core.ModelElement.namespace>
			<Foundation.Core.ModelElement.stereotype>
				<Foundation.Extension_Mechanisms.Stereotype>
					<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table)+2"/><!-- zeigt auf  das table ding am schluss --></xsl:attribute>
				</Foundation.Extension_Mechanisms.Stereotype>
			</Foundation.Core.ModelElement.stereotype>
			<Foundation.Core.ModelElement.taggedValue>
				<xsl:if test="@dbTableName">
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC ) * 30 + 2"/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>dbTableName</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:value-of select="@dbTableName"/>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC  ) * 30 + 3"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
				<xsl:if test="true=true">
					<!--Promenjeno  - Slobodan Vujasinovic-->
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table)+3"/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>generateSecure</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:if test="@generateSecure" xml:space="default">
								<xsl:value-of select="@generateSecure"/>
							</xsl:if>
							<xsl:if test="not(@generateSecure)">false</xsl:if>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding)"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
				<xsl:if test="true=true">
					<!--Promenjeno  - Slobodan Vujasinovic-->
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC ) * 30 +1 "/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>generateInsecure</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:if test="@generateInsecure" xml:space="default">
								<xsl:value-of select="@generateInsecure"/>
							</xsl:if>
							<xsl:if test="not(@generateInsecure)">true</xsl:if>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding)"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
				<xsl:if test="true=true">
					<!--Novi atribut tabele  - Slobodan Vujasinovic-->
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC ) * 30 +1 "/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>multidb</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:if test="@multidb" xml:space="default">
								<xsl:value-of select="@multidb"/>
							</xsl:if>
							<xsl:if test="not(@multidb)">false</xsl:if>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding)"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
				<xsl:if test="true=true">
					<!--table attribute  - Djojic Predrag-->
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC ) * 30 +1 "/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>dirtyDOs</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:if test="@dirtyDOs" xml:space="default">
			     				<xsl:value-of select="@dirtyDOs"/>
		     				</xsl:if>
		     				<xsl:if test="not(@dirtyDOs)"><xsl:if test="/doml/database/@dirtyDOs" xml:space="default">
			     				<xsl:value-of select="/doml/database/@dirtyDOs"/>
		     				</xsl:if></xsl:if>
		     				<xsl:if test="not(@dirtyDOs)"><xsl:if test="not(/doml/database/@dirtyDOs)">Compatible</xsl:if></xsl:if>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding)"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
				<xsl:if test="true=true">
				<!--table attribute  - Djojic Predrag-->
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC ) * 30 +1 "/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>massDeletes</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:if test="@massDeletes" xml:space="default">
			     				<xsl:value-of select="@massDeletes"/>
		     				</xsl:if>
		     				<xsl:if test="not(@massDeletes)"><xsl:if test="/doml/database/@massDeletes" xml:space="default">
			     				<xsl:value-of select="/doml/database/@massDeletes"/>
		     				</xsl:if></xsl:if>
		     				<xsl:if test="not(@massDeletes)"><xsl:if test="not(/doml/database/@massDeletes)">False</xsl:if></xsl:if>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding)"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
				<xsl:if test="true=true">
				<!--table attribute  - Djojic Predrag-->
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table) + ($CountOfAncestors-or-SelfC + $CountOfPrecedingC ) * 30 +1 "/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>massUpdates</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>
							<xsl:if test="@massUpdates" xml:space="default">
			     				<xsl:value-of select="@massUpdates"/>
		     				</xsl:if>
		     				<xsl:if test="not(@massUpdates)"><xsl:if test="/doml/database/@massUpdates" xml:space="default">
			     				<xsl:value-of select="/doml/database/@massUpdates"/>
		     				</xsl:if></xsl:if>
		     				<xsl:if test="not(@massUpdates)"><xsl:if test="not(/doml/database/@massUpdates)">False</xsl:if></xsl:if>
						</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding)"/></xsl:attribute>
							</Foundation.Core.Class>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</xsl:if>
			</Foundation.Core.ModelElement.taggedValue>
			<!-- Columns einfügen, wenn vorhanden -->
			<xsl:for-each select="column">
				<xsl:call-template name="column">
					<xsl:with-param name="package" select="($CountOfAncestors-or-Selfpackage + $CountOfPrecedingpackage - 1 ) * 30 + count(//table)"/>
				</xsl:call-template>
			</xsl:for-each>
		</Foundation.Core.Class>
		<!-- End Table (ownedElement) -->
	</xsl:template>
	<xsl:template name="column">
		<xsl:param name="package"/>
		<Foundation.Core.Classifier.feature>
			<!--	Wenn Attribut keine Referenz auf eine andere Table ist, dann :	-->
			<!--	<xsl:if test="type/@dbType!='none'">	-->
			<xsl:variable name="CountOfAncestors-or-Self2" select="count(ancestor-or-self::*[contains('table', name())])"/>
			<xsl:variable name="CountOfPreceding2" select="count(preceding::*[contains('table', name())])"/>
			<xsl:variable name="CountOfAncestors-or-Self" select="count(ancestor-or-self::*[contains('column', name())])"/>
			<xsl:variable name="CountOfPreceding" select="count(preceding::*[contains('column', name())])"/>
			<!--
	..................................COLUMN.................................. -->
			<Foundation.Core.Attribute>
				<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
				<Foundation.Core.ModelElement.name>
					<xsl:value-of select="@id"/>
				</Foundation.Core.ModelElement.name>
				<Foundation.Core.ModelElement.visibility xmi.value="private"/>
				<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
				<Foundation.Core.Attribute.initialValue>
					<Foundation.Data_Types.Expression>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 5"/></xsl:attribute>
						<Foundation.Data_Types.Expression.language>Java</Foundation.Data_Types.Expression.language>
						<Foundation.Data_Types.Expression.body>1</Foundation.Data_Types.Expression.body>
					</Foundation.Data_Types.Expression>
				</Foundation.Core.Attribute.initialValue>
				<Foundation.Core.ModelElement.stereotype>
					<Foundation.Extension_Mechanisms.Stereotype>
						<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table) + 3"/></xsl:attribute>
					</Foundation.Extension_Mechanisms.Stereotype>
				</Foundation.Core.ModelElement.stereotype>
				<Foundation.Core.Feature.owner>
					<Foundation.Core.Class>
						<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self2 + $CountOfPreceding2)"/></xsl:attribute>
					</Foundation.Core.Class>
				</Foundation.Core.Feature.owner>
				<Foundation.Core.StructuralFeature.type>
					<xsl:choose>
						<xsl:when test="type/@javaType='String'">
							<Foundation.Core.Class xmi.idref="xmi.90001"/>
						</xsl:when>
						<xsl:when test="type/@javaType='java.math.BigDecimal'">
							<Foundation.Core.Class xmi.idref="xmi.90002"/>
						</xsl:when>
						<xsl:when test="type/@javaType='boolean'">
							<Foundation.Core.Class xmi.idref="xmi.90003"/>
						</xsl:when>
						<xsl:when test="type/@javaType='byte'">
							<Foundation.Core.Class xmi.idref="xmi.90004"/>
						</xsl:when>
						<xsl:when test="type/@javaType='short'">
							<Foundation.Core.Class xmi.idref="xmi.90005"/>
						</xsl:when>
						<xsl:when test="type/@javaType='int'">
							<Foundation.Core.Class xmi.idref="xmi.90006"/>
						</xsl:when>
						<xsl:when test="type/@javaType='long'">
							<Foundation.Core.Class xmi.idref="xmi.90007"/>
						</xsl:when>
						<xsl:when test="type/@javaType='float'">
							<Foundation.Core.Class xmi.idref="xmi.90008"/>
						</xsl:when>
						<xsl:when test="type/@javaType='double'">
							<Foundation.Core.Class xmi.idref="xmi.90009"/>
						</xsl:when>
						<xsl:when test="type/@javaType='byte[]'">
							<Foundation.Core.Class xmi.idref="xmi.90010"/>
						</xsl:when>
						<xsl:when test="type/@javaType='java.sql.Date'">
							<Foundation.Core.Class xmi.idref="xmi.90011"/>
						</xsl:when>
						<xsl:when test="type/@javaType='java.sql.Time'">
							<Foundation.Core.Class xmi.idref="xmi.90012"/>
						</xsl:when>
						<xsl:when test="type/@javaType='java.sql.Timestamp'">
							<Foundation.Core.Class xmi.idref="xmi.90013"/>
						</xsl:when>
						<xsl:otherwise>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:variable name="id2find" select="current()/referenceObject/@reference"/><xsl:for-each select="//table[@id=$id2find]"><xsl:variable name="nummerierung"><xsl:number count="table" level="any" format="1"/></xsl:variable><xsl:number count="table" level="any" format="1"/></xsl:for-each></xsl:attribute>
							</Foundation.Core.Class>
						</xsl:otherwise>
					</xsl:choose>
				</Foundation.Core.StructuralFeature.type>
				<Foundation.Core.ModelElement.taggedValue>
					<xsl:if test="@isConstant">
						<Foundation.Extension_Mechanisms.TaggedValue>
							<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 6"/></xsl:attribute>
							<Foundation.Extension_Mechanisms.TaggedValue.tag>isConstant</Foundation.Extension_Mechanisms.TaggedValue.tag>
							<Foundation.Extension_Mechanisms.TaggedValue.value>
								<xsl:value-of select="@isConstant"/>
							</Foundation.Extension_Mechanisms.TaggedValue.value>
							<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
							</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
						</Foundation.Extension_Mechanisms.TaggedValue>
					</xsl:if>
					<xsl:if test="@isConstant">
						<Foundation.Extension_Mechanisms.TaggedValue>
							<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 7"/></xsl:attribute>
							<Foundation.Extension_Mechanisms.TaggedValue.tag>isIndex</Foundation.Extension_Mechanisms.TaggedValue.tag>
							<Foundation.Extension_Mechanisms.TaggedValue.value>
								<xsl:value-of select="@isIndex"/>
							</Foundation.Extension_Mechanisms.TaggedValue.value>
							<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
								<Foundation.Core.Attribute>
									<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
								</Foundation.Core.Attribute>
							</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
						</Foundation.Extension_Mechanisms.TaggedValue>
					</xsl:if>
					<xsl:if test="@usedForQuery">
						<Foundation.Extension_Mechanisms.TaggedValue>
							<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 8"/></xsl:attribute>
							<Foundation.Extension_Mechanisms.TaggedValue.tag>usedForQuery</Foundation.Extension_Mechanisms.TaggedValue.tag>
							<Foundation.Extension_Mechanisms.TaggedValue.value>
								<xsl:value-of select="@usedForQuery"/>
							</Foundation.Extension_Mechanisms.TaggedValue.value>
							<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
								<Foundation.Core.Attribute>
									<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
								</Foundation.Core.Attribute>
							</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
						</Foundation.Extension_Mechanisms.TaggedValue>
					</xsl:if>
					<xsl:if test="type/@canBeNull">
						<Foundation.Extension_Mechanisms.TaggedValue>
							<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 9"/></xsl:attribute>
							<Foundation.Extension_Mechanisms.TaggedValue.tag>canBeNull</Foundation.Extension_Mechanisms.TaggedValue.tag>
							<Foundation.Extension_Mechanisms.TaggedValue.value>
								<xsl:value-of select="type/@canBeNull"/>
							</Foundation.Extension_Mechanisms.TaggedValue.value>
							<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
							</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
						</Foundation.Extension_Mechanisms.TaggedValue>
					</xsl:if>
					<xsl:if test="type/@dbType">
						<Foundation.Extension_Mechanisms.TaggedValue>
							<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 10"/></xsl:attribute>
							<Foundation.Extension_Mechanisms.TaggedValue.tag>dbType</Foundation.Extension_Mechanisms.TaggedValue.tag>
							<Foundation.Extension_Mechanisms.TaggedValue.value>
								<xsl:value-of select="type/@dbType"/>
							</Foundation.Extension_Mechanisms.TaggedValue.value>
							<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
								<Foundation.Core.Attribute>
									<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
								</Foundation.Core.Attribute>
							</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
						</Foundation.Extension_Mechanisms.TaggedValue>
					</xsl:if>
					<xsl:if test="type/@size">
						<Foundation.Extension_Mechanisms.TaggedValue>
							<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 11"/></xsl:attribute>
							<Foundation.Extension_Mechanisms.TaggedValue.tag>size</Foundation.Extension_Mechanisms.TaggedValue.tag>
							<Foundation.Extension_Mechanisms.TaggedValue.value>
								<xsl:value-of select="type/@size"/>
							</Foundation.Extension_Mechanisms.TaggedValue.value>
							<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
								<Foundation.Core.Attribute>
									<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4"/></xsl:attribute>
								</Foundation.Core.Attribute>
							</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
						</Foundation.Extension_Mechanisms.TaggedValue>
					</xsl:if>
				</Foundation.Core.ModelElement.taggedValue>
			</Foundation.Core.Attribute>
			<!--	</xsl:if>	-->
		</Foundation.Core.Classifier.feature>
	</xsl:template>
	<xsl:template name="columnref">
		<xsl:param name="package"/>
		<xsl:variable name="CountOfAncestors-or-Self2" select="count(ancestor-or-self::*[contains('table', name())])"/>
		<xsl:variable name="CountOfPreceding2" select="count(preceding::*[contains('table', name())])"/>
		<xsl:variable name="CountOfAncestors-or-Self" select="count(ancestor-or-self::*[contains('column', name())])"/>
		<xsl:variable name="CountOfPreceding" select="count(preceding::*[contains('column', name())])"/>
		<!--		<Foundation.Core.Classifier.feature/>	-->
		<!-- WENN Attribut eine Referenz auf eine andere Table ist, dann :	-->
		<xsl:if test="type/@dbType='none'">
			<!--BEGIN ASSOCIATIONS-->
			<Foundation.Core.Association>
				<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
				<Foundation.Core.ModelElement.name>
					<xsl:call-template name="lastelement">
						<xsl:with-param name="ID">
							<xsl:value-of select="parent::table/@id"/>
						</xsl:with-param>
					</xsl:call-template>_<xsl:value-of select="@id"/>reference</Foundation.Core.ModelElement.name>
				<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
				<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
				<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
				<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
				<Foundation.Core.ModelElement.namespace>
					<Model_Management.Package>
						<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="$package"/></xsl:attribute>
						<!-- soll aufs pack1 zeigen -->
					</Model_Management.Package>
				</Foundation.Core.ModelElement.namespace>
				<Foundation.Core.ModelElement.taggedValue>
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 5 + 10"/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>isConstant</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>false</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Association>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
							</Foundation.Core.Association>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 6 + 10"/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>isIndex</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>false</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Association>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
							</Foundation.Core.Association>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 7 + 10"/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>usedForQuery</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>false</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Association>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
							</Foundation.Core.Association>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
					<Foundation.Extension_Mechanisms.TaggedValue>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 8 + 10"/></xsl:attribute>
						<Foundation.Extension_Mechanisms.TaggedValue.tag>constraint</Foundation.Extension_Mechanisms.TaggedValue.tag>
						<Foundation.Extension_Mechanisms.TaggedValue.value>false</Foundation.Extension_Mechanisms.TaggedValue.value>
						<Foundation.Extension_Mechanisms.TaggedValue.modelElement>
							<Foundation.Core.Association>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
							</Foundation.Core.Association>
						</Foundation.Extension_Mechanisms.TaggedValue.modelElement>
					</Foundation.Extension_Mechanisms.TaggedValue>
				</Foundation.Core.ModelElement.taggedValue>
				<Foundation.Core.Association.connection>
					<Foundation.Core.AssociationEnd>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 9 + 10"/></xsl:attribute>
						<Foundation.Core.ModelElement.name>
							<xsl:value-of select="@id"/>
						</Foundation.Core.ModelElement.name>
						<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
						<Foundation.Core.AssociationEnd.isNavigable xmi.value="true"/>
						<Foundation.Core.AssociationEnd.aggregation xmi.value="aggregate"/>
						<Foundation.Core.AssociationEnd.multiplicity>
							<Foundation.Data_Types.Multiplicity>
								<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 10 + 10"/></xsl:attribute>
								<Foundation.Data_Types.Multiplicity.range>
									<Foundation.Data_Types.MultiplicityRange>
										<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 11 + 10"/></xsl:attribute>
										<Foundation.Data_Types.MultiplicityRange.lower>0</Foundation.Data_Types.MultiplicityRange.lower>
										<Foundation.Data_Types.MultiplicityRange.upper>-1</Foundation.Data_Types.MultiplicityRange.upper>
									</Foundation.Data_Types.MultiplicityRange>
								</Foundation.Data_Types.Multiplicity.range>
							</Foundation.Data_Types.Multiplicity>
						</Foundation.Core.AssociationEnd.multiplicity>
						<Foundation.Core.AssociationEnd.association>
							<Foundation.Core.Association>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
							</Foundation.Core.Association>
						</Foundation.Core.AssociationEnd.association>
						<Foundation.Core.AssociationEnd.type>
							<Foundation.Core.Classifier>
								<!-- vorher ...Class -->
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="$CountOfAncestors-or-Self2 + $CountOfPreceding2 "/></xsl:attribute>
							</Foundation.Core.Classifier>
						</Foundation.Core.AssociationEnd.type>
					</Foundation.Core.AssociationEnd>
					<Foundation.Core.AssociationEnd>
						<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 12 + 10"/></xsl:attribute>
						<Foundation.Core.ModelElement.name>
							<xsl:value-of select="@id"/>
						</Foundation.Core.ModelElement.name>
						<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
						<Foundation.Core.AssociationEnd.isNavigable xmi.value="true"/>
						<Foundation.Core.AssociationEnd.multiplicity>
							<Foundation.Data_Types.Multiplicity>
								<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 13 + 10"/></xsl:attribute>
								<Foundation.Data_Types.Multiplicity.range>
									<Foundation.Data_Types.MultiplicityRange>
										<xsl:attribute name="xmi.id">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 14 + 10"/></xsl:attribute>
										<Foundation.Data_Types.MultiplicityRange.lower>1</Foundation.Data_Types.MultiplicityRange.lower>
										<Foundation.Data_Types.MultiplicityRange.upper>1</Foundation.Data_Types.MultiplicityRange.upper>
									</Foundation.Data_Types.MultiplicityRange>
								</Foundation.Data_Types.Multiplicity.range>
							</Foundation.Data_Types.Multiplicity>
						</Foundation.Core.AssociationEnd.multiplicity>
						<Foundation.Core.AssociationEnd.association>
							<Foundation.Core.Association>
								<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="($CountOfAncestors-or-Self + $CountOfPreceding - 1 ) * 30 + $package + 4 + 10"/></xsl:attribute>
							</Foundation.Core.Association>
						</Foundation.Core.AssociationEnd.association>
						<Foundation.Core.AssociationEnd.type>
							<Foundation.Core.Class>
								<xsl:attribute name="xmi.idref">xmi.<xsl:call-template name="idfinder"/></xsl:attribute>
							</Foundation.Core.Class>
							<!--	 AUF DAS ZU ZEIGENDE!!		-->
						</Foundation.Core.AssociationEnd.type>
					</Foundation.Core.AssociationEnd>
				</Foundation.Core.Association.connection>
			</Foundation.Core.Association>
			<!--END ASSOCIATIONS-->
		</xsl:if>
	</xsl:template>
	<xsl:template name="idfinder">
		<xsl:if test="referenceObject">
			<!--<xsl:message><xsl:value-of select="current()/@id"/></xsl:message>
		<xsl:message><xsl:value-of select="current()/referenceObject/@reference"/></xsl:message>-->
			<xsl:variable name="id2find" select="current()/referenceObject/@reference"/>
			<xsl:for-each select="//table[@id=$id2find]">
				<xsl:variable name="nummerierung">
					<xsl:number count="table" level="any" format="1"/>
				</xsl:variable>
				<xsl:number count="table" level="any" format="1"/>
				<!--<xsl:message>table id = <xsl:value-of select="$nummerierung"/></xsl:message>-->
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<!--
Function:     lastelement
Parameter:    char ID    e.g. "aaa.bbb.ccc"
Beschreibung: Zeigt nur die letzte Zeichenkette
-->
	<xsl:template name="lastelement">
		<xsl:param name="ID"/>
		<xsl:variable name="varpack">
			<xsl:value-of select="substring-after($ID,'.')"/>
		</xsl:variable>
		<xsl:if test="string-length(substring-after($varpack,'.'))>0">
			<xsl:call-template name="lastelement">
				<xsl:with-param name="ID">
					<xsl:value-of select="$varpack"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="string-length(substring-after($varpack,'.'))=0">
			<xsl:value-of select="$varpack"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="javatype">
		<xsl:param name="id"/>
		<xsl:param name="name"/>
		<Foundation.Core.DataType>
			<xsl:attribute name="xmi.id"><xsl:value-of select="$id"/></xsl:attribute>
			<Foundation.Core.ModelElement.name>
				<xsl:value-of select="$name"/>
			</Foundation.Core.ModelElement.name>
			<Foundation.Core.ModelElement.isSpecification xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isRoot xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isLeaf xmi.value="false"/>
			<Foundation.Core.GeneralizableElement.isAbstract xmi.value="false"/>
			<Foundation.Core.ModelElement.namespace>
				<xsl:element name="Model_Management.Model">
					<xsl:attribute name="xmi.idref">xmi.<xsl:value-of select="count(//table) + 1"/></xsl:attribute>
				</xsl:element>
			</Foundation.Core.ModelElement.namespace>
		</Foundation.Core.DataType>
	</xsl:template>
</xsl:stylesheet>
